<?php
/**~~
 * Set Group Options in Detail
 *
 */

require_once(PTSC_PATH . '/classes/ptsc.php');

global $wpdb;
$ptsc = new PTSC();
$group = $ptsc->ptsc_group;
$currency = $ptsc->ptsc_currency;

$row = $group->ptsc_get($_GET['edit']);

$files = $ptsc->get_template_files("ptsc_order_slider");

//== Get description seperator from settings.
$description_separator=get_option("ptsc_description_separator");
?>

<form action="?page=ptsc-groups&edit=<?php echo $row['group_id'] ?>" method="post">
    <input type="hidden" name="group_id" value="<?php echo $row['group_id'] ?>">
    <input type="hidden" name="group_action" value="edit"/>
    <div class="ptsc_row">
        <div class="ptsc_col_12">
            <div class="ptsc_form_field ptsc_text_2x">
                    <?php echo esc_html_x("Manage settings for","admin","ptsc") ?> <strong class="ptsc_text_primary"><?php echo $row['name'] ?></strong>

            <div class="ptsc_form_field ptsc_form_button">
                    <input style="float: right; margin-left: 10px" type="submit" value="<?php echo esc_html_x('Save','admin', 'ptsc')?>" class="button button-primary">
                    <a href="?page=ptsc-groups&plans=<?php echo $row['group_id']?>" class="ptsc_button ptsc_button_primary" style="float: right; margin-left: 10px">
                        <?php echo esc_html_x("Select Products/ Tables","admin","ptsc") ?>
                    </a>
                    <a href="?page=ptsc-groups" class="ptsc_button ptsc_button_primary ptsc_pull_right">
                        <span class="ptsc_icon ptsc_icon_left-dir"></span> <?php echo esc_html_x(" Back to List","admin","ptsc")?>
                    </a>
                    <span class="ptsc_clearfix"></span>
            </div>
            </div>
            <div class="ptsc_alert ptsc_alert_info ptsc_margin_bottom_30">
                <?php echo esc_html_x("You can edit/configure you group settings on this page, you can select template for each short-code and also set some general parameters for group, like currency and billing-cycle etc etc.","admin","ptsc") ?>.
            </div>


            <div class="ptsc_row" ptsc_margin_bottom_30>
                <div class="ptsc_col_12">
                    <div class="ptsc_panel ptsc_panel_info ptsc_panel_fancy_1 ">
                        <div class="ptsc_panel_body ptsc_panel_header ">
                            <b><?php echo esc_html_x("General Options",'admin', "ptsc"); ?></b>
                        </div>
                        <div class="ptsc_panel_body">
                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="gname"><?php echo esc_html_x("Group Name",'admin', "ptsc") ?></label>
                                <input required
                                       value="<?php echo $row['name'] ?>"
                                       name="name" id="gname"
                                       placeholder="<?php echo esc_html_x('Group Name','admin', 'ptsc') ?>">
                            </div>
                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="gdesc"><?php echo esc_html_x("Group Description","admin", "ptsc") ?></label>
                                <textarea name="description" id="gdesc"
                                          placeholder="<?php echo esc_html_x("Group Description","admin", "ptsc") ?>"><?php echo $row['description']; ?></textarea>
                            </div>

                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="description_separator">
                                    <?php echo esc_html_x('Description Separator','admin', 'ptsc') ?>
                                </label>

                                <?php //== Discripiton seperator is now used form default settings?>
                                <input value="<?php echo empty($row['description_separator']) ? $description_separator : $row['description_separator']; ?>"
                                       name="description_separator" id="description_separator" placeholder="<?php echo esc_html_x('Description separator','admin', 'ptsc') ?>">
                            </div>

                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="ribbon_text"><?php echo esc_html_x('Highlight text for featured plan','admin', 'ptsc') ?>
                                </label><input name="ribbon_text" id="ribbon_text"
                                               value="<?php echo $row['ribbon_text'] == "" ?   esc_html_x('Most Popular', 'ptsc') : esc_html_x($row['ribbon_text'], "ptsc"); ?>">
                                <div style="margin-right: 47%" class="ptsc_form_field ptsc_form_field_horizontal ptsc_form_field_small_text_right">
                                    <small style="display: block; font-style: italic">
                                        <i><?php echo esc_html_x("*Where supported by selected template.","admin","ptsc") ?></i>
                                    </small>
                                </div>
                            </div>
                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="enable_tooltips"><?php echo esc_html_x('Enable Tooltips','admin', 'ptsc')?></label>
                                <select name="enable_tooltips" id="enable_tooltips">
                                    <option value="1"><?php echo esc_html_x("Yes","admin","ptsc")?></option>

                                    <option <?php echo $row['enable_tooltips'] == "0" ? "selected=selected" : ""?> value="0">
                                        <?php echo esc_html_x("No","admin","ptsc") ?>
                                    </option>
                                </select>
                            </div>

                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="button_text"><?php echo esc_html_x('Button Text','admin', 'ptsc') ?>
                                </label><input
                                        value="<?php echo $row['button_text'] == "" ? "Buy Now" : $row['button_text']; ?>"
                                        name="button_text" id="button_text"
                                        placeholder="<?php echo esc_html_x('Buy Now','admin', 'ptsc') ?>">

                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="ptsc_row" ptsc_margin_bottom_30>
                <div class="ptsc_col_6">
                    <div class="ptsc_panel ptsc_panel_fancy_1 ptsc_panel_primary">
                        <div class="ptsc_panel_body ptsc_panel_header">
                            <b><?php echo esc_html_x("Billing Cycle","admin", "ptsc"); ?></b>
                        </div>

                        <div class="ptsc_panel_body">
                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="billing_cycle"><?php echo esc_html_x("Select billing cycle","admin","ptsc")?>:</label>
                                <select name="billingcycle" id="billing_cycle">
                                    <option value="annually"><?php echo esc_html_x("Annually","admin","ptsc")?></option>
                                    <option <?php echo $row['billingcycle'] == "monthly" ? "selected=selected" : "" ?>
                                            value="monthly"><?php echo esc_html_x("Monthly","admin","ptsc")?>
                                    </option>
                                    <option <?php echo $row['billingcycle'] == "quarterly" ? "selected=selected" : "" ?>
                                            value="quarterly"><?php echo esc_html_x("Quarterly","admin","ptsc") ?>
                                    </option>
                                    <option <?php echo $row['billingcycle'] == "semiannually" ? "selected=selected" : "" ?>
                                            value="semiannually"><?php echo esc_html_x("Semi Annually","admin","ptsc") ?>
                                    </option>
                                    <option <?php echo $row['billingcycle'] == "biennially" ? "selected=selected" : "" ?>
                                            value="biennially"><?php echo esc_html_x("Biennially","admin","ptsc") ?>
                                    </option>
                                    <option <?php echo $row['billingcycle'] == "triennially" ? "selected=selected" : "" ?>
                                            value="triennially"><?php echo esc_html_x("Triennially","admin","ptsc") ?>
                                    </option>
                                </select>
                            </div>
                            <div class="ptsc_form_field ptsc_form_field_horizontal"><br>
                                <label for="billing_cycle_2"><?php echo esc_html_x('Secondary billing cycle (beta):','admin', 'ptsc') ?></label>
                                <select name="billingcycle2" id="billing_cycle_2">
                                    <option value="">None</option>
                                    <option <?php echo $row['billingcycle2'] == "annually" ? "selected=selected" : "" ?>
                                            value="annually"><?php echo esc_html_x("Annually","admin","ptsc") ?>
                                    </option>
                                    <option <?php echo $row['billingcycle2'] == "monthly" ? "selected=selected" : "" ?>
                                            value="monthly"><?php echo esc_html_x("Monthly","admin","ptsc") ?>
                                    </option>
                                    <option <?php echo $row['billingcycle2'] == "quarterly" ? "selected=selected" : "" ?>
                                            value="quarterly"><?php echo esc_html_x("Quarterly","admin","ptsc") ?>
                                    </option>
                                    <option <?php echo $row['billingcycle2'] == "semiannually" ? "selected=selected" : "" ?>
                                            value="semiannually"><?php echo esc_html_x("Semi Annually","admin","ptsc") ?>
                                    </option>
                                    <option <?php echo $row['billingcycle2'] == "biennially" ? "selected=selected" : "" ?>
                                            value="biennially"><?php echo esc_html_x("Biennially","admin","ptsc") ?>
                                    </option>
                                    <option <?php echo $row['billingcycle2'] == "triennially" ? "selected=selected" : "" ?>
                                            value="triennially"><?php echo esc_html_x("Triennially","admin","ptsc") ?>
                                    </option>
                                </select>
                                <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_form_field_small_text_right">
                                <small style="display: block; font-style: italic">
                                    <?php echo esc_html_x('It should be longer than Primary billing cycle and required if you want','admin', 'ptsc'); ?><br>
                                    <?php echo esc_html_x('to show discount.','admin', 'ptsc'); ?>
                                </small>
                                </div>

                            </div>

                            <!--~~ We are not offering multicurrency at the moment-->
                            <!--<div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="currency"><?php /*echo esc_html_x('Select currency:','admin', 'ptsc') */?></label>
                                <select name="currency" id="currency">
                                    <option value="0">== Default ==</option>
                                    <?php
/*                                    $currs = $currency->ptsc_select();
                                    foreach ($currs as $curr): $S = ($row['currency'] == $curr['c_id']) ? "selected=selected" : ""; */?>

                                        <option <?php /*echo $S */?>
                                                value="<?php /*echo $curr['c_id'] */?>"> <?php /*echo $curr['code'] . " " . $curr['prefix'] . " " . $curr['suffix']; */?></option>
                                    <?php /*endforeach; */?>
                                </select>
                            </div>-->



                        </div>
                    </div>
                </div>
                <div class="ptsc_col_6">
                    <div class="ptsc_panel ptsc_panel_fancy_1 ptsc_panel_primary">
                        <div class="ptsc_panel_body ptsc_panel_header">
                            <b><?php echo esc_html_x('Convert YES/NO (beta)','admin', 'ptsc') ?></b>
                        </div>
                        <div class="ptsc_panel_body">
                            <div class="ptsc_form_field">
                                <small>
                                    <em>
                                        <?php echo esc_html_x('Replace YES/NO with these fontawsome classes. For example if you want to show thumbs up for YES, use fa-thumbs-upFor more information on font awsome icons and font awesome visit: ','admin', 'ptsc') ?>
                                        <a href="http://fontawesome.io/icons/"><?php echo esc_html_x('Font Awesome Icons','admin', 'ptsc') ?></a>
                                    </em>
                                </small>
                            </div>
                            <div class="ptsc_form_field ptsc_form_field_horizontal">

                                <label for="convert_to_symbol"><?php echo esc_html_x('Convert Yes/NO values to icons.','admin', 'ptsc') ?>
                                </label> <select name="convert_to_symbol" id="convert_to_symbol">
                                    <option value="0"><?php echo esc_html_x("No","admin","ptsc") ?></option>
                                    <option <?php echo $row['convert_to_symbol'] == "1" ? "selected=selected" : "" ?>
                                            value="1">
                                        <?php echo esc_html_x("Yes","admin","ptsc") ?>
                                    </option>
                                </select>
                                <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_form_field_small_text_right  ">

                                    <small>
                                        <em>
                                            <?php echo esc_html_x('This option applies to comparison table only','admin', 'ptsc')?>
                                        </em>
                                    </small>
                                </div>

                            </div>
                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="convert_yes_with"><?php echo esc_html_x('Convert Yes with','admin', 'ptsc') ?>
                                </label><input
                                        value="<?php echo $row['convert_yes_with'] == "" ? "fa-check" : $row['convert_yes_with']; ?>"
                                        name="convert_yes_with" id="convert_yes_with" placeholder="fa-check">

                            </div>
                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="convert_no_with"><?php echo esc_html_x('Convert No with','admin', 'ptsc') ?>
                                </label> <input
                                        value="<?php echo $row['convert_no_with'] == "" ? "fa-close" : $row['convert_no_with']; ?>"
                                        name="convert_no_with" id="convert_no_with" placeholder="fa-check">

                            </div>
                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                            </div>
                        </div>
                    </div>
                </div>
                <!--
                <div class="ptsc_col_6">
                    <div class="ptsc_panel ptsc_panel_fancy_1 ptsc_panel_primary">
                        <div class="ptsc_panel_body ptsc_panel_header ">
                            <b> <?php echo esc_html_x('Up-Sell Discount','admin', 'ptsc') ?></b>
                        </div>

                        <div class="ptsc_panel_body">
                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <small>
                                    <em>
                                        <?php echo esc_html_x('Discount feature assumes customer pays less for longer durations.','admin', 'ptsc'); ?>
                                        <?php echo esc_html_x('You must select secondary billing cycle if you want to use discount feature.','admin', 'ptsc'); ?>
                                    </em>
                                </small>
                            </div>
                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="show_discount"><?php echo esc_html_x("Show Discount","admin","ptsc") ?>:</label>
                                <select name="show_discount" id="show_discount">
                                    <option <?php echo $row['show_discount'] == "no" ? "selected=selected" : "" ?>
                                            value="no"><?php echo esc_html_x("No","admin","ptsc") ?>
                                    </option>
                                    <option <?php echo $row['show_discount'] == "percentage" ? "selected=selected" : "" ?>
                                            value="percentage"><?php echo esc_html_x("Percentage","admin","ptsc") ?>(%)
                                    </option>
                                    <option <?php echo $row['show_discount'] == "amount" ? "selected=selected" : "" ?>
                                            value="amount"><?php echo esc_html_x("Amount","admin","ptsc") ?>
                                    </option>
                                </select>
                            </div>
                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <br><label for="show_discount_banner"><?php echo esc_html_x('Show Discount Banner:','admin', 'ptsc') ?></label>
                                <select name="show_discount_banner" id="show_discount_banner">
                                    <option <?php echo $row['show_discount_banner'] == "no" ? "selected=selected" : "" ?>
                                            value="no"><?php echo esc_html_x('No','admin', 'ptsc') ?>
                                    </option>
                                    <option <?php echo $row['show_discount_banner'] == "yes" ? "selected=selected" : "" ?>
                                            value="yes"><?php echo esc_html_x('Yes','admin', 'ptsc') ?>
                                    </option>
                                </select>
                                <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_form_field_small_text_right ">
                                <small>
                                    <em>
                                        <?php echo esc_html_x('This big, bold text is shown just above the duration selection button. ','admin', 'ptsc') ?>
                                    </em>
                                </small>
                                </div>
                            </div>
                            <div class="ptsc_from_field ptsc_form_field_horizontal">
                                <label for="show_discount_secondary"><?php echo esc_html_x('Show Discount for Secondary Billing Cycle:','admin', 'ptsc') ?></label>
                                <select name="show_discount_secondary" id="show_discount_secondary">
                                    <option <?php echo $row['show_discount_secondary'] == "no" ? "selected=selected" : "" ?>
                                            value="no"><?php echo esc_html_x('No','admin', 'ptsc') ?>
                                    </option>
                                    <option <?php echo $row['show_discount_secondary'] == "yes" ? "selected=selected" : "" ?>
                                            value="yes"><?php echo esc_html_x('Yes','admin', 'ptsc') ?>
                                    </option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                -->
            </div>
            <!-- <div class="ptsc_row ptsc_margin_bottom_30"> -->

                <!--
                <div class="ptsc_col_6">
                    <div class="ptsc_panel ptsc_panel_fancy_1 ptsc_panel_info">
                        <div class="ptsc_panel_body ptsc_panel_header">
                            <b><?php echo esc_html_x('Others (beta)','admin', 'ptsc') ?></b>
                        </div>
                        <div class="ptsc_panel_body">
                            <small>
                                <em>
                                    <?php echo esc_html_x('These features are not available in all templates and short-codes. These depends on template design mostly...','admin', 'ptsc'); ?>
                                </em>
                            </small>
                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="decimals"><?php echo esc_html_x("Decimals","admin","ptsc") ?>:</label>
                                <select name="decimals" id="decimals">
                                    <?php for ($x = 0; $x <= 3; $x++): $S = $x == $row['decimals'] ? "selected=selected" : ""; ?>
                                        <option <?php echo $S ?> value="<?php echo $x ?>"><?php echo $x ?></option>
                                    <?php endfor; ?>
                                </select>
                            </div>
                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="duration_style"><?php echo esc_html_x("Duration Style","admin","ptsc") ?>:</label>
                                <select name="duration_style" id="duration_style">
                                    <option value="duration" <?php echo strtolower($row['duration_style']) == "duration" ? "selected=selected" : ""; ?>><?php echo esc_html_x("Default","admin", "ptsc") ?></option>
                                    <option value="long" <?php echo strtolower($row['duration_style']) == "long" ? "selected=selected" : ""; ?>><?php echo esc_html_x("Long (year)","admin", "ptsc") ?></option>
                                    <option value="short" <?php echo strtolower($row['duration_style']) == "short" ? "selected=selected" : ""; ?>><?php echo esc_html_x("Short (yr)","admin", "ptsc") ?></option>
                                    <option value="monthly" <?php echo strtolower($row['duration_style']) == "monthly" ? "selected=selected" : ""; ?>><?php echo esc_html_x("Convert to Mon ths (12 month)","admin", "ptsc") ?></option>
                                </select>
                            </div>
                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="duration_connector"><?php echo esc_html_x('Convert No with','admin', 'ptsc') ?></label>
                                <input value="<?php echo $row['duration_connector'] == "" ? "/" : $row['duration_connector']; ?>"
                                       name="duration_connector" id="duration_connector" placeholder="/"></div>
                        </div>
                    </div>
                </div>
                -->
            <!-- </div> -->

            <div class="ptsc_row ptsc_margin_bottom_30">
                <div class="ptsc_col_4">
                    <div class="ptsc_panel ptsc_panel_info ptsc_panel_fancy_1">
                        <div class="ptsc_panel_body ptsc_panel_header">
                            <b><?php echo esc_html_x('Pricing Table Options','admin', 'ptsc')?></b>
                        </div>
                        <?php $files = $ptsc->get_template_files( "ptsc_pricing_table_group" ); ?>
                        <div class="ptsc_panel_body">
                            <div class="ptsc_form_field ptsc_form_field_horizontal">

                                <label for="pricing_table_template_file"><?php echo esc_html_x('Select template file:','admin', 'ptsc')?></label>
                                <select name="pricing_table_template_file" id="pricing_table_template_file">
                                    <option value="">== <?php echo esc_html_x("Template File","admin","ptsc") ?> ==</option>
                                    <?php foreach ( $files as $file ): $S = ( basename( $file ) == $row['pricing_table_template_file'] ) ? "selected=selected" : ""; ?>
                                        <option <?php echo $S ?>
                                                value="<?php echo basename( $file ) ?>"><?php echo basename( $file ) ?></option>
                                    <?php endforeach; ?>
                                </select>
                            </div>
                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="rows_table"><?php echo esc_html_x("Number of Rows for Features","admin","ptsc") ?>:</label>
                                <select name="rows_table" id="rows_table">
                                    <option value="50">== <?php echo esc_html_x("All","admin","ptsc") ?> ==</option>
                                    <?php for ( $x = 1; $x <= 50; $x ++ ): $S = $x == $row['rows_table'] ? "selected=selected" : ""; ?>
                                        <option <?php echo $S ?> value="<?php echo $x ?>"><?php echo $x ?></option>
                                    <?php endfor; ?>
                                </select>
                            </div>
                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="hide_width_table"><?php echo esc_html_x('Hide Table Group below','admin', 'ptsc')?></label>
                                <input id="hide_width_table" name="hide_width_table" type="number" min="0" max="1200" value="<?php echo $row['hide_width_table'];?>">
                            </div>
                            <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_form_field_small_text_right_last_section Ptsc_last_section_table">
                                <small>
                                    <em>
                                        <?php echo esc_html_x('Select width on which you want to hide table','admin', 'ptsc')?><br>
                                        <?php echo esc_html_x('group','admin', 'ptsc')?>
                                    </em>
                                </small>
                            </div>
                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                            <!--
                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="enable_table_dots"><?php// echo esc_html_x('Enable Price Dots (beta)','admin', 'ptsc')?></label>
                                <select name="enable_table_dots" id="enable_table_dots">
                                    <option value="0"><?php// echo esc_html_x("No","admin","ptsc") ?></option>
                                    <option <?php // echo $row['enable_table_dots'] == "1" ? "selected=selected" : "" ?> value="1">
                                        <?php //echo esc_html_x("Yes","admin","ptsc") ?>
                                    </option>
                                </select>
                            </div>
                            -->
                                <div class="ptsc_form_field ptsc_form_field_horizontal">
                                    <label for="enable_table_carousel"><?php echo esc_html_x('Enable Table Carousel (beta)','admin', 'ptsc')?></label>
                                    <select name="enable_table_carousel" id="enable_table_carousel">
                                        <option value="1"><?php echo esc_html_x("Yes","admin","ptsc")?></option>

                                        <option <?php echo $row['enable_table_carousel'] == "0" ? "selected=selected" : ""?> value="0">
                                            <?php echo esc_html_x("No","admin","ptsc") ?>
                                        </option>
                                    </select>
                                </div>


                            </div>
                        </div>
                    </div>
                </div>
                <div class="ptsc_col_4">
                    <div class="ptsc_panel ptsc_panel_info ptsc_panel_fancy_1">
                        <div class="ptsc_panel_body ptsc_panel_header">
                            <b><?php echo esc_html_x("Comparison Table Options","admin","ptsc")?></b>
                        </div>
                        <?php $files = $ptsc->get_template_files("ptsc_comparison_table");?>

                        <div class="ptsc_panel_body">
                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="template_file"><?php echo esc_html_x("Select template file","admin","ptsc") ?>:</label>
                                <select name="template_file" id="template_file">
                                    <option value="">== <?php echo esc_html_x("Template File","admin","ptsc") ?> ==</option>

                                    <?php foreach ( $files as $file ): $S = ( basename( $file ) == $row['template_file'] ) ? "selected=selected" : ""; ?>
                                        <option <?php echo $S ?>
                                                value="<?php echo basename( $file ) ?>"><?php echo basename( $file ) ?></option>
                                    <?php endforeach; ?>
                                </select>
                            </div>

                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="rows-comparison"><?php echo esc_html_x("Number of Rows for Features","admin","ptsc") ?>:</label>
                                <select name="rows_comparison" id="rows-comparison">
                                    <option value="50">== <?php echo esc_html_x("All","admin","ptsc") ?> ==</option>
                                    <?php for ( $x = 1; $x <= 50; $x ++ ): $S = $x == $row['rows_comparison'] ? "selected=selected" : ""; ?>
                                        <option <?php echo $S ?> value="<?php echo $x ?>"><?php echo $x ?></option>
                                    <?php endfor; ?>
                                </select>
                            </div>

                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="hide_width_comparison"><?php echo esc_html_x('Hide Comparison Table below','admin', 'ptsc')?></label>
                                <input id="hide_width_comparison" name="hide_width_comparison" type="number" min="0" max="1200" value="<?php echo $row['hide_width_comparison'];?>">
                            </div>

                            <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_form_field_small_text_right_last_section Ptsc_last_section_table">
                                <small>
                                    <em>
                                        <?php echo esc_html_x('Select width on which you want to hide compari-','admin', 'ptsc')?><br>
                                        <?php echo esc_html_x('son table','admin', 'ptsc')?>
                                    </em>
                                </small>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="ptsc_col_4">
                    <div class="ptsc_panel ptsc_panel_info ptsc_panel_fancy_1">
                        <div class="ptsc_panel_body ptsc_panel_header">
                            <b><?php echo esc_html_x("Slider Options","admin","ptsc"); ?></b>
                        </div>
                        <div class="ptsc_panel_body">
                            <?php $files = $ptsc->get_template_files("ptsc_order_slider");?>
                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="slider_template_file"><?php echo esc_html_x("Select template file","admin","ptsc") ?>:</label>
                                <select name="slider_template_file" id="slider_template_file">
                                    <option value="">== <?php echo esc_html_x("Template File","admin","ptsc") ?> ==</option>
                                    <?php foreach ( $files as $file ): $S = ( basename( $file ) == $row['slider_template_file'] ) ? "selected=selected" : ""; ?>
                                        <option <?php echo $S ?>
                                                value="<?php echo basename( $file ) ?>"><?php echo basename( $file ) ?></option>
                                    <?php endforeach; ?>
                                </select>
                            </div>

                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="rows_slider"><?php echo esc_html_x('Number of Rows for Slider Features:','admin', 'ptsc')?></label>
                                <select name="rows_slider" id="rows_slider">
                                    <option value="6">== <?php echo esc_html_x("All","admin","ptsc") ?> ==</option>
                                    <?php for ( $x = 1; $x <= 6; $x ++ ): $S = $x == $row['rows_slider'] ? "selected=selected" : ""; ?>
                                        <option <?php echo $S ?> value="<?php echo $x ?>"><?php echo $x ?></option>
                                    <?php endfor; ?>
                                </select>
                            </div>

                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="hide_width_slider"><?php echo esc_html_x('Hide Slider below','admin', 'ptsc')?></label>
                                <input id="hide_width_slider" name="hide_width_slider" type="number" min="0" max="1200" value="<?php echo $row['hide_width_slider'];?>">
                            </div>
                            <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_form_field_small_text_right_last_section">

                            <small>
                                <em>
                                    <?php echo esc_html_x('Select width on which you want to hide slider','admin', 'ptsc')?>
                                </em>
                            </small>
                            </div>
                        </div>
                    </div>
                </div>

            <div class="ptsc_form_field ptsc_text_center">
                <input type="submit" value="<?php echo esc_html_x('Save','admin', 'ptsc')?>" class="ptsc_button ptsc_button_big "/>
            </div>
        </div>
    </div>
</form>
