<?php
/**
 * Created by PhpStorm.
 * User: Zain Ul Abidin
 * Date: 9/12/2020
 * Time: 12:13 PM
 */

require_once(PTSC_PATH . '/classes/ptsc.php');

$ptsc = new PTSC();


if (isset($_GET['del-service'])) {
    $ptsc->ptsc_client_services->ptsc_delete($_GET['del-service']); ?>
    <div class='updated'><p> <?php echo "Product deleted successfully"; ?></p></div>
<?php } ?>

<?php
$services_list = $ptsc->ptsc_client_services->ptsc_select();
$user_data = $ptsc->ptsc_users->ptsc_select();

//~~ Getting Screen Option Value
$user = get_current_user_id();
$screen = get_current_screen();
$option = $screen->get_option('per_page', 'option');
$per_page = get_user_meta($user, $option, true);
if (empty ($per_page) || $per_page < 1) {
    $per_page = $screen->get_option('per_page', 'default');
}
?>

<div class="wrap">
    <div class="">
        <h1 class="wp-heading-inline">
            <?php echo esc_html_x("Services List", "admin", "ptsc"); ?>
        </h1>
        <a href="admin.php?page=ptsc-add-services" class="page-title-action ptsc_icon ptsc_icon_plus">
            Add Services
        </a>
        <hr class="wp-header-end">
    </div>

    <?php if (empty($services_list)) { ?>
        <div class="inside ptsc_empathy_box">
            <div class="ptsc_panel_warning" style="    padding: 5em 0 0;">
                <div class="ptsc_form_field ptsc_form_field_horizontal">
                    <div class="ptsc_text_center">
                        <div style="font-size: 120px;color: #ddd; margin: 0 0 .1875em; display: block; height: 71px;">
                            <i class="ptsc ptsc_icon_box"></i>
                        </div>
                        <div>
                            <h2><?php echo esc_html_x("Ready to start selling something awesome?", "admin", "ptsc"); ?>
                            </h2>
                        </div>
                        <div>
                            <a href="admin.php?page=ptsc-add-services" class="button button-primary">
                                <?php echo esc_html_x("Add Client Services", "admin", "ptsc"); ?>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    <?php } else { ?>
    <table class="wp-list-table widefat fixed striped table-view-list posts">
        <thead class="ptsc_panel_header ptsc_panel_header_white">
        <tr>
            <td scope="col" id="cb" class="manage-column check-column">
                <span><?php echo esc_html_x("ID", "admin", "ptsc"); ?></span>
            </td>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Name", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Registration Date", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Payment Method", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("First Amount", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Recurring Amount", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Billingcycle", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Client Name", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column" style="text-align: center;">
                <span><?php echo esc_html_x("Action", "admin", "ptsc"); ?></span>
            </th>
        </tr>
        </thead>
        <tbody id="the-list">
        <?php
        $services_list_count = 0;
        if (is_array($services_list) && count($services_list) > 0) {
            foreach ($services_list as $service):
                ?>
                <!-- Start Group Shortcodes Row  -->

                <tr>
                    <th scope="row" class="check-column">
                        <?php echo $service["id"] ?>
                    </th>
                    <td>
                        <?php echo $service["package_name"] ?>
                    </td>
                    <td>
                        <?php echo $service["reg_date"] ?>
                    </td>
                    <td>
                        <?php echo $service['payment_method'] ?>
                    </td>
                    <td>
                        <?php echo $service['first_payment_amount'] ?>
                    </td>
                    <td>
                        <?php echo $service['amount'] ?>
                    </td>
                    <td>
                        <?php echo $service['billingcycle'] ?>
                    </td>
                    <td>
                        <?php
                        foreach ($user_data as $user){
                            if($user['wp_id'] == $service['user_id']){
                                echo $user['user_name'] ;
                            }
                        }
                        ?>
                    </td>
                    <td class="ptsc_main" style="text-align: center;">
                        <a href="?page=ptsc-add-services&order_id=<?php echo $service['order_id'] ?>&edit=<?php echo $service["id"] ?>"
                           class="ptsc_button ptsc_button_primary ptsc_icon ptsc_icon_pencil">
                        </a>
                        <a class="ptsc_button ptsc_button_primary  ptsc_icon ptsc_icon_trash"
                           title="Delete this Order"
                           data-id="<?php echo $service["id"] ?>"
                           href="admin.php?page=ptsc-services&del-service=<?php echo $service["id"] ?>"
                           style="margin-bottom: 0"
                           onclick="return confirm('Are you sure You want to delete?')">
                        </a>
                    </td>
                </tr>
                <!-- End Group Shortcodes Row  -->
                <?php
                $services_list_count++;
                if($services_list_count == $per_page) break;

                ?>
            <?php endforeach;
        } ?>
        </tbody>
        <tfoot class="ptsc_panel_header ptsc_panel_header_white">
        <tr>
            <td scope="col" id="cb" class="manage-column check-column">
                <span><?php echo esc_html_x("ID", "admin", "ptsc"); ?></span>
            </td>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Name", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Registration Date", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Payment Method", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("First Amount", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Recurring Amount", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Billingcycle", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Client Name", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column" style="text-align: center;">
                <span><?php echo esc_html_x("Action", "admin", "ptsc"); ?></span>
            </th>
        </tr>
        </tfoot>

    </table>
    <?php } ?>
</div>