<?php
/**
 * Created by PhpStorm.
 * User: Zain Ul Abidin
 * Date: 9/12/2020
 * Time: 12:13 PM
 */

require_once(PTSC_PATH . '/classes/ptsc.php');
$ptsc = new PTSC();

if (isset($_GET['del-user'])) {

    //~~ If Client Orders, services and invoices excist then show message first delete them then delete user
    $user_orders = $ptsc->ptsc_orders->ptsc_get_by('userid', $_GET['del-user']);
    $user_invoices = $ptsc->ptsc_invoices->ptsc_get_by('user_id', $_GET['del-user']);
    $user_services = $ptsc->ptsc_client_services->ptsc_get_by('user_id', $_GET['del-user']);

    if (empty($user_orders) && empty($user_invoices) && empty($user_services)) {
        $ptsc->ptsc_users->ptsc_delete_on('wp_id', $_GET['del-user']); ?>
        <div class='updated'><p> <?php echo "User deleted successfully"; ?></p></div>
    <?php } else { ?>
        <div class='updated'><p> <?php echo "First remove client service, orders or invoices"; ?></p></div>
    <?php } ?>
<?php } ?>

<?php
$user_list = $ptsc->ptsc_users->ptsc_select();

//~~ Getting Screen Option Value
$user = get_current_user_id();
$screen = get_current_screen();
$option = $screen->get_option('per_page', 'option');
$per_page = get_user_meta($user, $option, true);


if (empty ($per_page) || $per_page < 1) {
    $per_page = $screen->get_option('per_page', 'default');
}
?>

<div class="wrap">
    <div class="">
        <h1 class="wp-heading-inline">
            <?php echo esc_html_x("Users List", "admin", "ptsc"); ?>
        </h1>
        <hr class="wp-header-end">
    </div>
    <table class="wp-list-table widefat fixed striped table-view-list posts">
        <thead class="ptsc_panel_header ptsc_panel_header_white">
        <tr>
            <td scope="col" id="cb" class="manage-column check-column">
                <span><?php echo esc_html_x("ID", "admin", "ptsc"); ?></span>
            </td>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Name", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Email", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Payment Method", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Invoice", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Client File", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column" style="text-align: center;">
                <span><?php echo esc_html_x("Action", "admin", "ptsc"); ?></span>
            </th>
        </tr>
        </thead>
        <tbody id="the-list">
        <?php
        $user_list_count = 0;
        if (is_array($user_list) && count($user_list) > 0) {
            foreach ($user_list as $user):
                ?>
                <!-- Start Group Shortcodes Row  -->

                <tr>
                    <th scope="row" class="check-column">
                        <?php echo $user["wp_id"] ?>
                    </th>
                    <td>
                        <?php echo $user["user_name"] ?>
                    </td>
                    <td>
                        <?php echo $user["email"] ?>
                    </td>
                    <td>
                        <?php echo $user['payment_gateway'] ?>
                    </td>
                    <td>
                        <a href="?page=ptsc-add-invoice&user_id=<?php echo $user['wp_id'] ?>">
                            <u><?php esc_html_e('Add Invoice', 'admin', 'ptsc') ?></u>
                        </a>
                    </td>
                    <td style="position: inherit">
                        <div class="ptsc_popup_image" style="display: none">
                            <i class="ptsc_icon ptsc_icon_cancel ptsc_img_close"></i>
                            <iframe src="<?php echo PTSC_URL . '/images/client_images/' . $user['cnic'] ?>"
                                    alt=""></iframe>
                        </div>
                        <button class="ptsc_click_image">
                            <?php echo esc_html_x('Show Client File', 'admin', 'ptsc') ?>
                        </button>
                        <!--<a target="_blank" href="<?php /*echo PTSC_URL.'/images/client_images/'.$user['cnic'] */
                        ?> ">
                            <u><?php /*echo $user['cnic'] */
                        ?></u>
                        </a>-->
                    </td>

                    <td class="ptsc_main" style="text-align: center;">
                        <a href="?page=ptsc-add-user&edit=<?php echo $user["id"] ?>"
                           class="ptsc_button ptsc_button_primary ptsc_icon ptsc_icon_pencil">
                        </a>
                        <a class="ptsc_button ptsc_button_primary  ptsc_icon ptsc_icon_trash"
                           title="Delete this Order"
                           data-id="<?php echo $user["wp_id"] ?>"
                           href="admin.php?page=ptsc-users&del-user=<?php echo $user["wp_id"] ?>"
                           style="margin-bottom: 0"
                           onclick="return confirm('Are you sure You want to delete?')">
                        </a>
                    </td>
                </tr>
                <!-- End Group Shortcodes Row  -->
                <?php
                $user_list_count++;
                if ($user_list_count == $per_page) break;

                ?>
            <?php endforeach;
        } ?>
        </tbody>
        <tfoot class="ptsc_panel_header ptsc_panel_header_white">
        <tr>
            <td scope="col" id="cb" class="manage-column check-column">
                <span><?php echo esc_html_x("ID", "admin", "ptsc"); ?></span>
            </td>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Name", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Email", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Payment Method", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Invoice", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Client File", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column" style="text-align: center;">
                <span><?php echo esc_html_x("Action", "admin", "ptsc"); ?></span>
            </th>
        </tr>
        </tfoot>
    </table>
</div>