<?php
/**
 * Created by PhpStorm.
 * User: Zain Ul Abidin
 * Date: 9/10/2020
 * Time: 1:52 PM
 */
$published_status = isset($_GET['edit']) ? esc_html__('Active', 'admin', 'ptsc') : esc_html__('Not Active', 'admin', 'ptsc');

require_once(PTSC_PATH . '/classes/ptsc.php');
$ptsc = new PTSC();
$action_message = '';
$payment_gateways = ptsc_get_all_payment_gateways();
$billingcycles = ["monthly", "quarterly", "semiannually", "annually", "biennially", "triennially"];
$all_users = $ptsc->ptsc_users->ptsc_select();

if (isset($_GET['edit'])) {
    $service_id = $_GET['edit'];
    $service_data = $ptsc->ptsc_client_services->ptsc_get($service_id);
    if (isset($_POST['save_services'])) {
        if (isset($_POST['ptsc_pid'])) {
            $service_data['package_id'] = $_POST['ptsc_pid'];
            $selected_product = ptsc_get_product_details($_POST['ptsc_pid']);
            $service_data['package_name'] = $selected_product['product_name'];
        }
        if (isset($_POST['ser_client_id'])) {
            $service_data['user_id'] = $_POST['ser_client_id'];
        }
        if (isset($_POST['ser_reg_date'])) {
            $service_data['reg_date'] = $_POST['ser_reg_date'];
        }
        if (isset($_POST['ser_first_amount'])) {
            $service_data['first_payment_amount'] = $_POST['ser_first_amount'];
        }
        if (isset($_POST['ser_order_amount'])) {
            $service_data['amount'] = $_POST['ser_order_amount'];
        }

        if (isset($_POST['ser_next_due_date'])) {
            $service_data['next_due_date'] = $_POST['ser_next_due_date'];
        }
        if (isset($_POST['ser_next_invoice_date'])) {
            $service_data['next_invoice_date'] = $_POST['ser_next_invoice_date'];
        }
        if (isset($_POST['ser_termination_date'])) {
            $service_data['termination_date'] = $_POST['ser_termination_date'];
        }
        if (isset($_POST['ser_billing'])) {
            $service_data['billingcycle'] = $_POST['ser_billing'];
        }
        if (isset($_POST['ser_pay_method'])) {
            $service_data['payment_method'] = $_POST['ser_pay_method'];
        }
        if (isset($_POST['ser_sub_id'])) {
            $service_data['subscription_id'] = $_POST['ser_sub_id'];
        }
        if (isset($_POST['ser_override_autosus'])) {
            $_POST['ser_override_autosus'] = $_POST['ser_override_autosus'] == 'on' ? '1' : '0';
            $service_data['override_auto_suspend'] = $_POST['ser_override_autosus'];
        }
        if (isset($_POST['ser_suspend_until'])) {
            $service_data['override_suspend_until'] = $_POST['ser_suspend_until'];
        }

        $cli_inv_update = $ptsc->ptsc_client_services->ptsc_update($service_data['id'], $service_data);
        if ($cli_inv_update) {
            $action_message = esc_html_x("Service Updated Successfully", 'admin', 'ptsc');

        }
    }
}
elseif (!isset($_GET['edit']) && isset($_POST['save_services'])) {
    //$service_id = $_GET['edit'];
    $service_data  = [];
    if (isset($_POST['ptsc_pid'])) {
        $service_data['package_id'] = $_POST['ptsc_pid'];
        $selected_product = ptsc_get_product_details($_POST['ptsc_pid']);
        $service_data['package_name'] = $selected_product['product_name'];
    }
    if (isset($_POST['ser_client_id'])) {
        $service_data['user_id'] = $_POST['ser_client_id'];
    }
    if (isset($_POST['ser_reg_date'])) {
        $service_data['reg_date'] = $_POST['ser_reg_date'];
    }
    if (isset($_POST['ser_first_amount'])) {
        $service_data['first_payment_amount'] = $_POST['ser_first_amount'];
    }
    if (isset($_POST['ser_order_amount'])) {
        $service_data['amount'] = $_POST['ser_order_amount'];
    }

    if (isset($_POST['ser_next_due_date'])) {
        $service_data['next_due_date'] = $_POST['ser_next_due_date'];
    }
    if (isset($_POST['ser_next_invoice_date'])) {
        $service_data['next_invoice_date'] = $_POST['ser_next_invoice_date'];
    }
    if (isset($_POST['ser_termination_date'])) {
        $service_data['termination_date'] = $_POST['ser_termination_date'];
    }
    if (isset($_POST['ser_billing'])) {
        $service_data['billingcycle'] = $_POST['ser_billing'];
    }
    if (isset($_POST['ser_pay_method'])) {
        $service_data['payment_method'] = $_POST['ser_pay_method'];
    }
    if (isset($_POST['ser_sub_id'])) {
        $service_data['subscription_id'] = $_POST['ser_sub_id'];
    }
    if (isset($_POST['ser_override_autosus'])) {
        $_POST['ser_override_autosus'] = $_POST['ser_override_autosus'] == 'on' ? '1' : '0';
        $service_data['override_auto_suspend'] = $_POST['ser_override_autosus'];
    }
    if (isset($_POST['ser_suspend_until'])) {
        $service_data['override_suspend_until'] = $_POST['ser_suspend_until'];
    }

    $cli_inv_add = $ptsc->ptsc_client_services->ptsc_add($service_data);
    if ($cli_inv_add) {
        $action_message = esc_html_x("Service Added Successfully", 'admin', 'ptsc');
    }
}

?>
<?php if ($action_message) { ?>
    <div class='updated'><p><?php echo $action_message ?> </p></div>
<?php } ?>
<div class="wrap">
    <?php $path = "admin.php?page=ptsc-orders"; ?>
    <div class="">
        <h1 class="wp-heading-inline">
            <?php echo isset($_GET['edit'])?esc_html_x("Update Client Service", "admin", "ptsc"): esc_html_x("Add Client Service", "admin", "ptsc"); ?>
        </h1>
        <a href="admin.php?page=ptsc-services" class="page-title-action">
            <span class="lnr lnr-list"></span> List Services
        </a>
        <hr class="wp-header-end">
    </div>

    <div class="ptsc_panel_body">
        <form action="#" method="post">

            <div id="poststuff">
                <div id="post-body" class="metabox-holder columns-2">
                    <div id="postbox-container-1" class="postbox-container">
                        <div id="side-sortables" class="meta-box-sortables ui-sortable">
                            <div CLASS="postbox">
                                <div class="postbox-header">
                                    <h2 class="hndle ui-sortable-handle">Save</h2>
                                    <div class="handle-actions hide-if-no-js">
                                        <button type="button" class="handle-order-higher" aria-disabled="false"
                                                aria-describedby="ptsc_details-handle-order-higher-description">
                                            <span class="screen-reader-text">Move up</span><span
                                                    class="order-higher-indicator" aria-hidden="true"></span>
                                        </button>
                                        <span class="hidden" id="ptsc_details-handle-order-higher-description">Move Details box up</span>
                                        <button type="button" class="handle-order-lower" aria-disabled="false"
                                                aria-describedby="ptsc_details-handle-order-lower-description">
                                            <span class="screen-reader-text">Move down</span><span
                                                    class="order-lower-indicator" aria-hidden="true"></span>
                                        </button>
                                        <span class="hidden" id="ptsc_details-handle-order-lower-description">Move Details box down</span>
                                        <button type="button" class="handlediv" aria-expanded="true"><span
                                                    class="screen-reader-text">Toggle panel: Details</span><span
                                                    class="toggle-indicator" aria-hidden="true"></span></button>
                                    </div>
                                </div>
                                <div class="inside" style="padding: 0;">
                                    <div>
                                        <div id="misc-publishing-actions">
                                            <div class="misc-pub-section misc-pub-post-status">
                                                Status: <span
                                                        id="post-status-display"><?php echo $published_status ?></span>
                                            </div>

                                        </div>

                                        <div id="major-publishing-actions">

                                            <div id="publishing-action">
                                                <input type="submit" name="cancel_services"
                                                       value="Cancel"
                                                       class="button"/>
                                                <input type="submit" name="save_services"
                                                       value="Save Changes"
                                                       class="button button-primary"/>

                                            </div>
                                            <div class="clear"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="postbox-container-2" class="postbox-container">
                        <div id="normal-sortables" class="meta-box-sortables ui-sortable">
                            <div class="postbox">
                                <div class="postbox-header">
                                    <h2 class="hndle ui-sortable-handle">Details</h2>
                                    <div class="handle-actions hide-if-no-js">
                                        <button type="button" class="handle-order-higher" aria-disabled="false"
                                                aria-describedby="ptsc_details-handle-order-higher-description">
                                            <span class="screen-reader-text">Move up</span><span
                                                    class="order-higher-indicator" aria-hidden="true"></span>
                                        </button>
                                        <span class="hidden" id="ptsc_details-handle-order-higher-description">Move Details box up</span>
                                        <button type="button" class="handle-order-lower" aria-disabled="false"
                                                aria-describedby="ptsc_details-handle-order-lower-description">
                                            <span class="screen-reader-text">Move down</span><span
                                                    class="order-lower-indicator" aria-hidden="true"></span>
                                        </button>
                                        <span class="hidden" id="ptsc_details-handle-order-lower-description">Move Details box down</span>
                                        <button type="button" class="handlediv" aria-expanded="true"><span
                                                    class="screen-reader-text">Toggle panel: Details</span><span
                                                    class="toggle-indicator" aria-hidden="true"></span></button>
                                    </div>
                                </div>
                                <div class="inside">
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ser_prod_name"><strong><?php echo esc_html_x('Product/Service', 'admin', 'ptsc') ?></strong></label>
                                        <?php echo ptsc_sp_render_products_dropdown(isset($service_data['package_id'])?$service_data['package_id']:''); ?>
                                    </div>

                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ser_client_id"><strong><?php echo esc_html_x('Client Name', 'admin', 'ptsc') ?></strong></label>
                                        <select name="ser_client_id" id="ser_client_id">
                                            <option value=""><?php esc_html_e('Select Option', 'admin', 'ptsc') ?></option>
                                            <?php foreach ($all_users as $user) { ?>
                                                <?php $selected = $user['wp_id'] == $service_data['user_id'] ? 'selected' : '' ?>
                                                <option <?php echo $selected ?>
                                                        value="<?php echo $user['wp_id'] ?>"><?php echo $user['user_name'] ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>

                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ser_reg_date"><strong><?php echo esc_html_x('Registration date', 'admin', 'ptsc') ?></strong></label>
                                        <input type="date" name="ser_reg_date" id="ser_o_regdate"
                                               value="<?php echo $service_data['reg_date'] ?>"/>
                                    </div>

                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ser_first_amount"><strong><?php echo esc_html_x('First Payment Amount', 'admin', 'ptsc') ?></strong></label>
                                        <input name="ser_first_amount" id="ser_o_first_amount"
                                               value="<?php echo isset($service_data['first_payment_amount'])?$service_data['first_payment_amount']:'' ?>"
                                               placeholder="<?php echo esc_html_x('First Payment Amount', 'admin', 'ptsc') ?>"/>
                                    </div>

                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ser_billing"><strong><?php echo esc_html_x('Billingcycle', 'admin', 'ptsc') ?></strong></label>

                                        <select name="ser_billing" id="ser_o_billing">
                                            <option value=""><?php esc_html_e('Select Option', 'admin', 'ptsc') ?></option>
                                            <?php foreach ($billingcycles as $billing) { ?>
                                                <?php $selected_billing = $service_data['billingcycle'] == $billing ? 'selected' : '' ?>
                                                <option value="<?php echo $billing ?>" <?php echo $selected_billing ?>><?php echo ucfirst($billing) ?></option>
                                            <?php } ?>

                                        </select>
                                    </div>

                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ser_pay_method"><strong><?php echo esc_html_x('Payment Method', 'admin', 'ptsc') ?></strong></label>
                                        <select name="ser_pay_method" id="ser_o_paymenthod">
                                            <option value=""><?php esc_html_e('Select Option', 'admin', 'ptsc') ?></option>
                                            <?php foreach ($payment_gateways as $pg) { ?>
                                                <?php $selected = $pg['gateway'] == $service_data['payment_method'] ? 'selected' : '' ?>
                                                <option <?php echo $selected ?>
                                                        value="<?php echo $pg['gateway'] ?>"><?php echo $pg['display_name'] ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>

                                    <!--<div class="ptsc_form_field ptsc_form_field_horizontal">
                                                <label for="ser_sub_id"><strong><?php /*echo esc_html_x('Subscription_id', 'admin', 'ptsc') */ ?></strong></label>
                                                <input name="ser_sub_id" id="ser_o_subid"
                                                       value="<?php /*echo $service_data['subscription_id'] */ ?>"
                                                       placeholder="<?php /*echo esc_html_x('Subscription ID', 'admin', 'ptsc') */ ?>"/>
                                            </div>-->

                                    <?php if (isset($_GET['edit'])) { ?>
                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="ser_order_num"><strong><?php echo esc_html_x('Order #', 'admin', 'ptsc') ?></strong></label>
                                            <?php echo $_GET['order_id'] ?> - <a
                                                    href='?page=ptsc-add-orders&edit=<?php echo $_GET['order_id'] ?>'> <?php echo esc_html_x('View Order', 'admin', 'ptsc') ?></a>
                                        </div>
                                    <?php } ?>


                                    <!--                                            <div class="ptsc_form_field ptsc_form_field_horizontal">-->
                                    <!--                                                <label for="ser_override_autosus"><strong>-->
                                    <?php //echo esc_html_x('Override Auto Suspend', 'admin', 'ptsc') ?><!--</strong></label>-->
                                    <!--                                                <input type="checkbox" name="ser_override_autosus" id="ser_o_overrideautosus"-->
                                    <!--                                                    -->
                                    <?php //echo  $service_data['subscription_id'] == 'on' ? "checked" :"" ?><!--/>-->
                                    <!--                                            </div>-->

                                    <!--                                            <div class="ptsc_form_field ptsc_form_field_horizontal">-->
                                    <!--                                                <label for="ser_suspend_until"><strong>-->
                                    <?php //echo esc_html_x('Do not suspend until', 'admin', 'ptsc') ?><!--</strong></label>-->
                                    <!--                                                <input type="date" name="ser_suspend_until" id="ser_o_susuntil"-->
                                    <!--                                                       value="-->
                                    <?php //echo $service_data['override_suspend_until'] ?><!--" />-->
                                    <!--                                            </div>-->

                                </div>
                            </div>
                        </div>
                    </div><!-- /post-body -->
                    <div id="postbox-container-2" class="postbox-container">
                        <div id="normal-sortables" class="meta-box-sortables ui-sortable">
                            <div class="postbox">
                                <div class="postbox-header">
                                    <h2 class="hndle ui-sortable-handle">Recurring</h2>
                                    <div class="handle-actions hide-if-no-js">
                                        <button type="button" class="handle-order-higher" aria-disabled="false"
                                                aria-describedby="ptsc_details-handle-order-higher-description">
                                            <span class="screen-reader-text">Move up</span><span
                                                    class="order-higher-indicator" aria-hidden="true"></span>
                                        </button>
                                        <span class="hidden" id="ptsc_details-handle-order-higher-description">Move Details box up</span>
                                        <button type="button" class="handle-order-lower" aria-disabled="false"
                                                aria-describedby="ptsc_details-handle-order-lower-description">
                                            <span class="screen-reader-text">Move down</span><span
                                                    class="order-lower-indicator" aria-hidden="true"></span>
                                        </button>
                                        <span class="hidden" id="ptsc_details-handle-order-lower-description">Move Details box down</span>
                                        <button type="button" class="handlediv" aria-expanded="true"><span
                                                    class="screen-reader-text">Toggle panel: Details</span><span
                                                    class="toggle-indicator" aria-hidden="true"></span></button>
                                    </div>
                                </div>
                                <div class="inside">


                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ser_order_amount"><strong><?php echo esc_html_x('Recurring Amount', 'admin', 'ptsc') ?></strong></label>
                                        <input name="ser_order_amount" id="ser_o_amount"
                                               value="<?php echo isset($service_data['amount'])?$service_data['amount']:'' ?>"
                                               placeholder="<?php echo esc_html_x('Recurring Amount', 'admin', 'ptsc') ?>"/>
                                    </div>

                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ser_next_due_date"><strong><?php echo esc_html_x('Next due date', 'admin', 'ptsc') ?></strong></label>
                                        <input type="date" name="ser_next_due_date" id="ser_o_duedate"
                                               value="<?php echo $service_data['next_due_date'] ?>"/>
                                    </div>

                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ser_next_invoice_date"><strong><?php echo esc_html_x('Next invoice date', 'admin', 'ptsc') ?></strong></label>
                                        <input type="date" name="ser_next_invoice_date" id="ser_o_invdate"
                                               value="<?php echo $service_data['next_invoice_date'] ?>"/>
                                    </div>

                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ser_termination_date"><strong><?php echo esc_html_x('Termination date', 'admin', 'ptsc') ?></strong></label>
                                        <input type="date" name="ser_termination_date" id="ser_o_termdate"
                                               value="<?php echo $service_data['termination_date'] ?>"/>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div><!-- /post-body -->
                    <br class="clear">
                </div>
            </div>
        </form>
    </div>
    <!--</div>-->
</div>