<?php
extract(shortcode_atts([
    'html_template' => '',
    'image' => '',
    'id' => '',
    'gid' => '',
    'product_vendor' => '',
    'description_option' => 'wc_custom_desc',
    'product_id' => array(),
    'woocommerce_multiple_pids' => array(),
    'featured_rows' => '10',
    'description_separator' => ':',
    'billingcycle' => 'monthly',
    'billingcycle2' => '',
    'enable_tooltips' => '',
    'button_text' => 'Buy Now',
    'show_discount' => '',
    'hide_width_slider' => '',
    'featured_text' => '',
    'toggle_style' => '',
    'featured_id' => '',
    'process_description' => 'yes',
     'primary_color' => get_option('ptsc_primary_color'),
    'secondary_color' => get_option('ptsc_secondary_color'),
], $atts));

require_once(PTSC_PATH . '/classes/ptsc.php');
$ptsc = new PTSC();

if ($gid != "" || $gid != NULL) {
    $id = $gid;
} else {
    $id = $id;
}

//== If Shortcode is set from VC
if ($id == NULL || $id == "") {
    global $wpdb;
    $group_para = array();
    $description_option = $description_option;


    //== All product ids added
    $Q = "SELECT `product_id` FROM `" . $this->get_table_name("products") . "` ";
    $All_pids_data = $wpdb->get_results($Q, ARRAY_A);
    foreach ($All_pids_data as $id => $value) {
        $All_pids[] = $value["product_id"];
    }

    if($atts["product_vendor"] == 'WC') {
        $woocommerce_multiple_pids = $atts['woocommerce_multiple_pids'];
        $woocommerce_multiple_pids = explode(',', $woocommerce_multiple_pids);

        //== Get All Products from WooCommerce
        if (class_exists('WooCommerce')) {
            $categories_ids = get_terms("product_cat", "term_id");
            foreach ($categories_ids as $cat) {
                $product_WC_product_id = $ptsc->get_products_from_category_by_ID($cat);
                $product_WC_name = array();
                foreach ($product_WC_product_id as $index => $wc_id) {
                    $product_WC_name[] = get_the_title($wc_id);
                }
                foreach ($product_WC_name as $index_pro => $name_pro) {
                    $All_pro_name_WC[] = $product_WC_product_id[$index_pro];
                }
            }
        }

        //== Check if Entered Products Ids exist in WooCommerce
        $WC_matched_ids = array_intersect($All_pro_name_WC, $woocommerce_multiple_pids);

        if ($woocommerce_multiple_pids == "" || empty($WC_matched_ids)) {
            $error_heading = esc_html__('No table ids selected to show', 'ptsc');
            $error_instruction1 = esc_html__('Please Insert table ids in ', 'ptsc');
            $error_instruction2 = esc_html__('"Select Product Ids" ', 'ptsc');
            $error_instruction3 = esc_html__('field.', 'ptsc');
            $final_string = '<div class="ptsc_error"><div><strong>';
            $final_string .= $error_heading;
            $final_string .= '</strong></div>';
            $final_string .= $error_instruction1;
            $final_string .= '<strong>' . $error_instruction2 . '</strong>';
            $final_string .= $error_instruction3;
            $final_string .= '</div>';
            echo $final_string;
            return $final_string;
        }
    }
    $group_para["mobile_breakpoint"] = $hide_width_slider;
    $enable_tooltips = $enable_tooltips == "yes" ? 1 : 0;
    $billingcycle = empty($billingcycle) ? "monthly" : $billingcycle;

    if (empty($product_id) && !empty($woocommerce_multiple_pids)) {
        if (class_exists('WooCommerce')) {
            $woocommerce_slider = $ptsc->ptsc_woocommerce_slider_shortcode(
                [
                    'html_template' => $html_template,
                    'image' => $image,
                    'woocommerce_multiple_pids' => $woocommerce_multiple_pids,
                    'description_option' => $description_option,
                    'featured_rows' => $featured_rows,
                    'description_separator' => $description_separator,
                    'billingcycle' => $billingcycle,
                    'billingcycle2' => $billingcycle2,
                    'enable_tooltips' => $enable_tooltips,
                    'button_text' => $button_text,
                    'hide_width_slider' => $hide_width_slider,
                    'featured_text' => $featured_text,
                    'process_description' => $process_description,
                ]
            );
            return $woocommerce_slider;
        } else {
            $error_heading = esc_html__('WooCommerce is not Active!!', 'ptsc');
            $error_instruction1 = esc_html__('Please Activate WooCommerce', 'ptsc');
            $error_instruction2 = esc_html__(' from Plugins Section ', 'ptsc');
            $woocommece_not_exist_string = '<div class="ptsc_error"><div><strong>';
            $woocommece_not_exist_string .= $error_heading;
            $woocommece_not_exist_string .= '</strong></div>';
            $woocommece_not_exist_string .= $error_instruction1;
            $woocommece_not_exist_string .= $error_instruction2;
            $woocommece_not_exist_string .= '</div>';
            echo $woocommece_not_exist_string;
            return $woocommece_not_exist_string;
        }
    } else {

        //== Product ids from shortcode attribute
        $product_ids = $atts['product_id'];
        $product_ids = explode(',', $product_ids);

        //== Check if product ids from shortcode attribute exist in Available Products
        $matched_ids = array_intersect($All_pids, $product_ids);

        if ($product_ids == "" || empty($matched_ids)) {
            $error_heading = esc_html__('No table ids selected to show', 'ptsc');
            $error_instruction1 = esc_html__('Please Insert table ids in ', 'ptsc');
            $error_instruction2 = esc_html__('"Select Product Ids" ', 'ptsc');
            $error_instruction3 = esc_html__('field.', 'ptsc');
            $final_string = '<div class="ptsc_error"><div><strong>';
            $final_string .= $error_heading;
            $final_string .= '</strong></div>';
            $final_string .= $error_instruction1;
            $final_string .= '<strong>' . $error_instruction2 . '</strong>';
            $final_string .= $error_instruction3;
            $final_string .= '</div>';
            echo $final_string;
            return $final_string;
        }

        $product_count = count($product_ids);
        //== Save all product data in one Array
        $count = 0;
        $product_para = array();
        foreach ($product_ids as $p_id) {
            $ptsc_products_para = $ptsc->ptsc_products;
            $product_para[$count] = $ptsc_products_para->ptsc_get($p_id);
            $count++;
        }

        $group_para["plans"] = $product_para;
        $html_template = $html_template;
        if ($html_template == trim("")) {
            $html_template = "default.tpl";
        }
        // Get html template file
        $html_template = $ptsc->get_template_file($html_template, 'ptsc_order_slider');

        /**~~----------------------------------------------------------------
         * If there is a template file make an array to be passed to smarty
         * --------------------------------------------------------------------*/
        $html_template = $ptsc->select_tpl_first($html_template);

        //== If Template file is valid
        if (is_file($html_template)) {
            //~~ Extract veriable that are not package dependent for later use in code.
            $sep = $description_separator;
            if (empty($sep)) {
                $sep = ":";
            }
            $rows = $featured_rows;

            //~~ multicurrency is not offered in this version
            //$currency_info=$currency = $ptsc->ptsc_currency->ptsc_get($group['currency']);
            /*$currency_info = $ptsc->ptsc_currency_info();*/
            $cur = $ptsc-> ptsc_get_current_currency_id_i();
            $currency_info = $currency = $ptsc->ptsc_currency_info_combo($cur);

            $group_para["prefix"] = $currency_info["prefix"];
            $group_para["suffix"] = $currency_info["suffix"];
            $group_para["currency"] = $currency_info["c_id"];
            $group_para["billingcycle"] = $billingcycle;
            $group_para["billingcycle2"] = $billingcycle2;
            $group_para["show_discount"] = "no";
            $group_para["decimals"] = get_option("decimals");
            $group_para["show_duration_as"] = get_option("show_duration_as");
            $group_para["rows_slider"] = $featured_rows;
            $group_para["enable_tooltips"] = $enable_tooltips;
            $group_para["button_text"] = $button_text;

            foreach ($group_para["plans"] as &$plan) {
                $price_tmp = $ptsc->ptsc_break_price($group_para, $plan["product_id"], $group_para["billingcycle"]);

                $plan["price"] = $price_tmp["price"];
                $plan["amount"] = $price_tmp["amount"];
                $plan["fraction"] = $price_tmp["fraction"];

                $plan["prefix"] = $group_para["prefix"];
                $plan["suffix"] = $group_para["suffix"];
                $plan["decimal"] = $price_tmp["decimal"];
                $plan["duration"] = $price_tmp["duration"];
                $plan["billingcycle"] = $group_para["billingcycle"];
                $plan["name"] = $plan["product_name"];
                $plan["all_durations"] = $ptsc->all_prices($group_para, $plan["product_id"], [
                    $group_para["billingcycle"],
                    $group_para["billingcycle2"],
                ]);
                if ($price_tmp["amount"] == "Free") {
                    $plan["prefix"] = "";
                    $plan["suffix"] = "";
                }
                if ($plan["price"] == -1) {
                    $plan["prefix"] = "";
                    $plan["suffix"] = "";
                }
                //~~----Description
                //~~Simple Description
                $plan_description = $plan["product_description"];
                if ($group_para["enable_tooltips"] == 1) {
                    $plan["description"] = $ptsc->linked_description_to_array($plan_description, $rows, $sep, 3, 1);
                    //~~Description in Associative Array
                    $plan["description_array"] = $ptsc->linked_description_to_array($plan_description, $rows, $sep, 4, 1);

                } else {
                    //~~Description in array
                    $plan["description"] = $ptsc->description_to_array($plan_description, $rows, $sep, 3, 1);
                    //~~Description in Associative Array
                    $plan["description_array"] = $ptsc->description_to_array($plan_description, $rows, $sep, 4, 1);

                }

                // Plan Prices duration wise
                $plan['multi_price'] = $ptsc->ptsc_prepare_plan_price($plan);

                $plan['multi_button'] = $ptsc->ptsc_prepare_plan_button($group_para, $plan);

                $plan['multi_duration'] = $ptsc->ptsc_prepare_plan_durations($plan);

                //~~ Discounts are not being offered in this version.
                //$plan['multi_discount'] = ( $group['show_discount'] != "no" ) ? $ptsc->ptsc_prepare_plan_discounts( $plan, "", $group['show_discount_secondary'] ) : "";
                $plan['multi_discount'] = "";
                //~~ check copy to others ~~
                if ($plan["product_id"] == $featured_id) {
                    $plan["featured"] = "yes";
                } else {
                    $plan["featured"] = "no";
                }
                $plan["url"] = $plan["order_url"];
                /*if (preg_match("/\b$sep\b/i", $plan_description, $match)) {
                    $plan["description_process"] = "true";
                } else {
                    $plan["description_process"] = "false";
                }*/
                if ($process_description == "yes") {
                    $plan["description_process"] = "true";
                } else {
                    $plan["description_process"] = "false";
                }
            }


            // Billing Cycle toggle HTML
            $r = rand();
            $group_para['duration_toggle'] = $ptsc->ptsc_prepare_duration_toggle($group_para, $r);

            $vars = [
                "group" => $group_para,
            ];
            $vars["ptsc_GRP_URL"] = PTSC_URL;
            $vars["random"] = $r;


            $OutputString = $ptsc->ptsc_smarty_template($html_template, $vars);
            return $OutputString;
        } else {
            echo "<div class='ptsc_error'>No template selected or template does not exist. <br/>Please choose a template from <b>Set Options > Select Template File</b> under \"Slider Options\" section.</div>";
        }
    }

} else {
    $group = $ptsc->ptsc_get_group_full($id);

    $woocommerce_multiple_pids = $group["woo_prods_ids"];
    $woocommerce_multiple_pids = explode(',', $woocommerce_multiple_pids);
    if ($group["product_vendor"] == "woo_prods") {
        if (class_exists('WooCommerce')) {
            $woocommerce_slider_bs = $ptsc->ptsc_woocommerce_slider_shortcode(
                [
                    'html_template' => $group["template_file"],
                    'image' => "",
                    'woocommerce_multiple_pids' => $woocommerce_multiple_pids,
                    'description_option' => $group["product_section"],
                    'featured_rows' => $group["rows"],
                    'description_separator' => $group["description_separator"],
                    'billingcycle' => "monthly",
                    'billingcycle2' => "",
                    'enable_tooltips' => $group["enable_tooltips"],
                    'button_text' => $group["button_text"],
                    //'hide_width_slider' => $group["hide_width_slider"],
                    'featured_text' => $group["ribbon_text"],
                    'process_description' => "yes",
                    'show_discount' => $group['show_discount']
                ]
            );
            return $woocommerce_slider_bs;
        }
        else {
            $error_heading = esc_html__('WooCommerce is not Active!!', 'ptsc');
            $error_instruction1 = esc_html__('Please Activate WooCommerce', 'ptsc');
            $error_instruction2 = esc_html__(' from Plugins Section ', 'ptsc');
            $woocommece_not_exist_string = '<div class="ptsc_error"><div><strong>';
            $woocommece_not_exist_string .= $error_heading;
            $woocommece_not_exist_string .= '</strong></div>';
            $woocommece_not_exist_string .= $error_instruction1;
            $woocommece_not_exist_string .= $error_instruction2;
            $woocommece_not_exist_string .= '</div>';
            echo $woocommece_not_exist_string;
            return $woocommece_not_exist_string;
        }
    } else {

        if (count($group) == "0" || !isset($group["plans"]) || count($group["plans"]) == "0") {
            $error_heading = esc_html__('No plans selected to show', 'ptsc');
            $error_instruction1 = esc_html__('Please choose plans from ', 'ptsc');
            $error_instruction2 = esc_html__('"List All > Select Plans" ', 'ptsc');
            $error_instruction3 = esc_html__('then select products to include.', 'ptsc');
            $final_string = '<div class="ptsc_error"><div><strong>';
            $final_string .= $error_heading;
            $final_string .= '</strong></div>';
            $final_string .= $error_instruction1;
            $final_string .= '<strong>' . $error_instruction2 . '</strong>';
            $final_string .= $error_instruction3;
            $final_string .= '</div>';
            echo $final_string;
            return $final_string;
        }
        $group["mobile_breakpoint"] = $group['hide_width'];


// If not HTML file provided in short-code, then look for setting in group.
        if ($html_template == "") {
            $html_template = $group['template_file'];
            if ($html_template == trim("")) {
                $html_template = "default.tpl";
            }
        }


// Get html template file
        $html_template = $ptsc->get_template_file($html_template, 'ptsc_order_slider');

        /**~~----------------------------------------------------------------
         * If there is a template file make an array to be passed to smarty
         * --------------------------------------------------------------------*/
        $html_template = $ptsc->select_tpl_first($html_template);
        if (is_file($html_template)) {


            //~~ Extract veriable that are not package dependent for later use in code.
            //$description = $group["description"];
            $name = $group["name"];
            $sep = $group["description_separator"];
            if (empty($sep)) {
                $sep = ":";
            }
            $rows = $group["rows"];

            //~~ multicurrency is not offered in this version
            //$currency_info=$currency = $ptsc->ptsc_currency->ptsc_get($group['currency']);
            //== Because currency is not changing according to currency combo
            //$currency_info = $ptsc->ptsc_currency_info();
            $cur = $ptsc-> ptsc_get_current_currency_id_i();
            $currency_info = $ptsc->ptsc_currency_info_combo($cur);

            $group["prefix"] = $currency_info["prefix"];
            $group["suffix"] = $currency_info["suffix"];
            $group["currency"] = $currency_info["c_id"];
            foreach ($group["plans"] as &$plan) {
                $price_tmp = $ptsc->ptsc_break_price($group, $plan["product_id"], $group["billingcycle"]);

                $plan["price"] = $price_tmp["price"];
                $plan["amount"] = $price_tmp["amount"];
                $plan["fraction"] = $price_tmp["fraction"];

                $plan["prefix"] = $group["prefix"];
                $plan["suffix"] = $group["suffix"];
                $plan["decimal"] = $price_tmp["decimal"];
                $plan["duration"] = $price_tmp["duration"];
                $plan["billingcycle"] = $group["billingcycle"];

                $plan["billingcycle_override_string"] = $group["billingcycle_override_string"];
                $plan["billingcycle2_override_string"] = $group["billingcycle2_override_string"];
                $plan["billingcycle3_override_string"] = $group["billingcycle3_override_string"];
                $plan["billingcycle4_override_string"] = $group["billingcycle4_override_string"];
                $plan["billingcycle5_override_string"] = $group["billingcycle5_override_string"];
                $plan["billingcycle6_override_string"] = $group["billingcycle6_override_string"];
                $plan["all_durations"] = $ptsc->all_prices($group, $plan["product_id"], [
                    $group["billingcycle"],
                    $group["billingcycle2"],
                    $group["billingcycle3"],
                    $group["billingcycle4"],
                    $group["billingcycle5"],
                    $group["billingcycle6"],
                ]);
                $plan["show_discount"] = $group["show_discount"];
                if ($price_tmp["amount"] == "Free") {
                    $plan["prefix"] = "";
                    $plan["suffix"] = "";
                }
                if ($plan["price"] == -1) {
                    $plan["prefix"] = "";
                    $plan["suffix"] = "";
                }
                //~~----Description
                //~~Simple Description
                $plan_description = $plan["formatted_description"];
                if ($group["enable_tooltips"] == 1) {
                    $plan["description"] = $ptsc->linked_description_to_array($plan_description, $rows, $sep, 3, 1);
                    //~~Description in Associative Array
                    $plan["description_array"] = $ptsc->linked_description_to_array($plan_description, $rows, $sep, 4, 1);

                } else {
                    //~~Description in array
                    $plan["description"] = $ptsc->description_to_array($plan_description, $rows, $sep, 3, 1);
                    //~~Description in Associative Array
                    $plan["description_array"] = $ptsc->description_to_array($plan_description, $rows, $sep, 4, 1);

                }

                $plan['complete_discount_string'] = $ptsc->ptsc_discount_string_com_sli($plan,$group);

                //ppa($plan['complete_discount_string']);

                // Plan Prices duration wise
                $plan['multi_price'] = $ptsc->ptsc_prepare_plan_price($plan);

                $plan['multi_button'] = $ptsc->ptsc_prepare_plan_button($group, $plan);

                $plan['multi_duration'] = $ptsc->ptsc_prepare_plan_durations($plan);

                //~~ Discounts are not being offered in this version.
                //$plan['multi_discount'] = ( $group['show_discount'] != "no" ) ? $ptsc->ptsc_prepare_plan_discounts( $plan, "", $group['show_discount_secondary'] ) : "";
                $plan['multi_discount'] = "";
                //~~ check copy to others ~~
                /*if ($plan["product_id"] == $group["important"]) {
                    $plan["featured"] = "yes";
                } else {
                    $plan["featured"] = "no";
                }*/
                $plan["url"] = $plan["order_url"];
                /*if (preg_match("/\b$sep\b/i", $plan_description, $match)) {
                    $plan["description_process"] = "true";
                } else {
                    $plan["description_process"] = "false";
                }*/
                if (strpos($plan_description, $sep) !== false) {
                    $plan["description_process"] = "true";
                } else {
                    $plan["description_process"] = "false";
                }
            }


            $group["primary_color"] = get_option('ptsc_primary_color');
            $group["secondary_color"] = get_option('ptsc_secondary_color');
            $r = rand();
            $group['duration_toggle'] = $ptsc->ptsc_prepare_duration_toggle($group, $r);

            $vars = [
                "group" => $group,
            ];
            $vars["ptsc_GRP_URL"] = PTSC_URL;
            $vars["random"] = $r;


            $OutputString = $ptsc->ptsc_smarty_template($html_template, $vars);
            return $OutputString;


        } /**~~----------------------------------------------------------------
         * If there is no smarty template selected, then show below text
         * --------------------------------------------------------------------*/
        else {
            echo "<div class='ptsc_error'><b>No template selected or template does not exist.</b> <br/>Please choose a template from Makli > Widgets > click Edit icon > select template in 5th step.  -or- click here (and land directly to the above page, if login as admin)</div>";
        }
    }
}
 