<?php
/**
 * Created by PhpStorm.
 * User: zain
 * Date: 6/21/2019
 * Time: 5:42 PM
 */
namespace ElementorPtsc\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
Use Elementor\Controls_Stack;

if (!defined('ABSPATH')) exit; // Exit if accessed directly

/**
 * Elementor Hello World
 *
 * Elementor widget for hello world.
 *
 * @since 1.0.0
 */
class Ptsc_Pricing_Table extends Widget_Base
{
    /**
     * Retrieve the widget name.
     *
     * @since 1.0.0
     *
     * @access public
     *
     * @return string Widget name.
     */
    public function get_name()
    {
        return 'ptsc-pricing-table';
    }

    /**
     * Retrieve the widget title.
     *
     * @since 1.0.0
     *
     * @access public
     *
     * @return string Widget title.
     */
    public function get_title()
    {
        return __('Makli Pricing Table', 'ptsc');
    }

    /**
     * Retrieve the widget icon.
     *
     * @since 1.0.0
     *
     * @access public
     *
     * @return string Widget icon.
     */
    public function get_icon()
    {
        return 'eicon-posts-ticker';
    }

    /**
     * Retrieve the list of categories the widget belongs to.
     *
     * Used to determine where to display the widget in the editor.
     *
     * Note that currently Elementor supports only one category.
     * When multiple categories passed, Elementor uses the first one.
     *
     * @since 1.0.0
     *
     * @access public
     *
     * @return array Widget categories.
     */
    public function get_categories()
    {
        return ['ptsc'];
    }

    /**
     * Retrieve the list of scripts the widget depended on.
     *
     * Used to set scripts dependencies required to run the widget.
     *
     * @since 1.0.0
     *
     * @access public
     *
     * @return array Widget scripts dependencies.
     */
    public function get_script_depends()
    {
        return ['ptsc'];
    }

    /**
     * Register the widget controls.
     *
     * Adds different input fields to allow the user to change and customize the widget settings.
     *
     * @since 1.0.0
     *
     * @access protected
     */
    protected function register_controls()
    {
        require_once (PTSC_PATH.'/classes/ptsc.php');
        $ptsc = new \PTSC();

        //==All shortcode ids
        $result = $ptsc->All_available_group_ids('single pricing table');
        $vendor_option = $ptsc->wc_active_deactive_text();

        //==All WooCommerce Products
        $pro_name_WC = $ptsc->wc_all_products();

        //== Get all products from wp-admin
        $products = $ptsc->ptsc_products_name();

        //==Get all html template according to shortcode
        $FilesList = $ptsc->Elementor_html_file_list("ptsc_pricing_table");

        $html_file1 = $FilesList[' pic-01-mod.tpl'];
        $html_file2 = $FilesList[' pic-02-mod.tpl'];
        $html_file3 = $FilesList[' pic-03-mod.tpl'];

        //Get All BillingCyles
        $BillingCycles = $ptsc->Elementor_BillingCycles();



        $this->start_controls_section(
            'general',
            [
                'label' => __('General', 'ptsc'),
            ]
        );
        /*$this->add_control(
            'shortcode_vendor',
            [
                'label' => __('To Set Shortcode Options I will use', 'ptsc'),
                'type' => \Elementor\Controls_Manager::SELECT,
                'default' => '',
                'return_value' => 'shortcode_option',
                'options' => [
                    'vc' => __('Visual Editor', 'ptsc'),
                    'shortcode_option' => __('Plugin Options in WP admin',"ptsc"),
                ],
            ]
        );*/

        $this->add_control(
            'gid',
            [
                'label' => __('Select Shortcode Id', 'ptsc'),
                'type' => \Elementor\Controls_Manager::SELECT,
                'default' => '',
                'options' => $result,
                /*'condition' => [
                        'shortcode_vendor' => 'shortcode_option',

                ],*/
            ]
        );

        /*$this->add_control(
            'product_vendor',
            [
                'label' => __('Choose Product From', 'ptsc'),
                'type' => \Elementor\Controls_Manager::SELECT,
                'default' => '',
                'return_value' => 'table_data',
                'options' => [
                    'table_data' => __('Table data in WP admin', 'ptsc'),
                    'WC' => $vendor_option,
                ],
                'condition' => [
                    'shortcode_vendor' => 'vc',

                ],
            ]
        );

        $this->add_control(
            'description_option',
            [
                'label' => __('I will pick description from', 'ptsc'),
                'type' => \Elementor\Controls_Manager::SELECT,
                'default' => '',
                'options' => [
                    'wc_custom_desc' => __('WooCommerce product custom field description', 'ptsc'),
                    'wc_desc' => __('WooCommerce product description',"ptsc"),
                ],
                'condition' => [
                        'shortcode_vendor' => 'vc',
                        'product_vendor' => 'WC',

                ],
            ]
        );

        $this->add_control(
            'woocommercepid',
            [
                'label' => __('Select WooCommerce Product Id', 'ptsc'),
                'type' => \Elementor\Controls_Manager::SELECT,
                'default' => '',
                'options' => array_flip($pro_name_WC),
                'condition' => [
                    'shortcode_vendor' => 'vc',
                    'product_vendor' => 'WC',

                ],
            ]
        );

        $this->add_control(
            'product_id',
            [
                'label' => __('Select Table', 'ptsc'),
                'type' => \Elementor\Controls_Manager::SELECT,
                'default' => '',
                'options' => array_flip($products),
                'condition' => [
                    'shortcode_vendor' => 'vc',
                    'product_vendor' => 'table_data',

                ],
            ]
        );

        $this->add_control(
            'html_template',
            [
                'label' => __('Select Template Files', 'ptsc'),
                'type' => \Elementor\Controls_Manager::SELECT,
                'default' => '',
                'return_value' => $html_file1,
                'options' => array_flip($FilesList),
                'condition' => [
                    'shortcode_vendor' => 'vc',

                ],
            ]
        );

        $this->add_control(
            'image_url',
            [
                'label' => __('Enter Image URL', 'ptsc'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => __('', 'ptsc'),
                'condition' => [
                    'shortcode_vendor' => 'vc',
                    'html_template' => [$html_file1,$html_file2,$html_file3]


                ],
            ]
        );

        $this->add_control(
            'button_text',
            [
                'label' => __('Button Text', 'ptsc'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => __('Buy Now', 'ptsc'),
                'condition' => [
                    'shortcode_vendor' => 'vc',


                ],
            ]
        );

        $this->add_control(
            'billingcycle',
            [
                'label' => __('Select Billing Cycle', 'ptsc'),
                'type' => \Elementor\Controls_Manager::SELECT,
                'default' => 'monthly',
                'options' => array_flip($BillingCycles),
                'condition' => [
                    'shortcode_vendor' => 'vc',

                ],
            ]
        );*/

        $this->end_controls_section();

        /*$this->start_controls_section(
            'advance',
            [
                'label' => __('Advance', 'ptsc'),
                'condition' => [
                    'shortcode_vendor' => 'vc',
                ],
            ]

        );

        $this->add_control(
            'featured',
            [
                'label' => __('Featured', 'ptsc'),
                'type' => \Elementor\Controls_Manager::SELECT,
                'default' => 'no',
                'return_value' => 'yes',
                'options' => [
                    '' => __('Default', 'ptsc'),
                    'no' => __('No', 'ptsc'),
                    'yes' => __('Yes',"ptsc"),
                ],
                'condition' => [
                    'shortcode_vendor' => 'vc',

                ],
            ]
        );

        $this->add_control(
            'featured_text',
            [
                'label' => __('Highlighted text for featured plan', 'ptsc'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => __('Most Popular', 'ptsc'),
                'condition' => [
                    'shortcode_vendor' => 'vc',
                    'featured' => 'yes',


                ],
            ]
        );

        $this->add_control(
            'process_description',
            [
                'label' => __('Process Description', 'ptsc'),
                'type' => \Elementor\Controls_Manager::SELECT,
                'default' => 'yes',
                'options' => [
                    '' => __('Default', 'ptsc'),
                    'yes' => __('Yes',"ptsc"),
                    'no' => __('No', 'ptsc'),
                ],
                'condition' => [
                    'shortcode_vendor' => 'vc',

                ],
            ]
        );

        $this->add_control(
            'Description_separator',
            [
                'label' => __('Description separator', 'ptsc'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => __('', 'ptsc'),
                'condition' => [
                    'shortcode_vendor' => 'vc',
                ],
            ]
        );

        $this->add_control(
            'enable_tooltips',
            [
                'label' => __('Enable Tooltip', 'ptsc'),
                'type' => \Elementor\Controls_Manager::SELECT,
                'default' => 'no',
                'options' => [
                    '' => __('Default', 'ptsc'),
                    'no' => __('No', 'ptsc'),
                    'yes' => __('Yes',"ptsc"),
                ],
                'condition' => [
                    'shortcode_vendor' => 'vc',

                ],
            ]
        );

        $this->add_control(
            'show_order_combo',
            [
                'label' => __('Show Order Combo', 'ptsc'),
                'type' => \Elementor\Controls_Manager::SELECT,
                'default' => 'no',
                'options' => [
                    '' => __('Default', 'ptsc'),
                    'no' => __('No', 'ptsc'),
                    'yes' => __('Yes',"ptsc"),
                ],
                'condition' => [
                    'shortcode_vendor' => 'vc',

                ],
            ]
        );

        $this->add_control(
            'custom_text',
            [
                'label' => __('Custom Text', 'ptsc'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => __('', 'ptsc'),
                'condition' => [
                    'shortcode_vendor' => 'vc',
                ],
            ]
        );

        $this->add_control(
            'featured_rows',
            [
                'label' => __('Number of rows to show', 'ptsc'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => __('50', 'ptsc'),
                'condition' => [
                    'shortcode_vendor' => 'vc',
                ],
            ]
        );



        $this->end_controls_section();*/

        /*$this->start_controls_section(
            'color',
            [
                'label' => __('Colors', 'ptsc'),
                'condition' => [
                    'shortcode_vendor' => 'vc',
                ],
            ]
        );

        $this->add_control(
            'primary_color',
            [
                'label' => __( 'Primary Color', 'ptsc' ),
                'type' => \Elementor\Controls_Manager::COLOR,
                'scheme' => [
                    'type' => \Elementor\Scheme_Color::get_type(),
                    'value' => \Elementor\Scheme_Color::COLOR_1,
                ],
                'selectors' => [
                    '{{WRAPPER}} .title' => 'color: {{VALUE}}',
                ],
            ]
        );

        $this->add_control(
            'secondary_color',
            [
                'label' => __( 'Secondary Color', 'ptsc' ),
                'type' => \Elementor\Controls_Manager::COLOR,
                'scheme' => [
                    'type' => \Elementor\Scheme_Color::get_type(),
                    'value' => \Elementor\Scheme_Color::COLOR_1,
                ],
                'selectors' => [
                    '{{WRAPPER}} .title' => 'color: {{VALUE}}',
                ],
            ]
        );

        $this->end_controls_section();*/


    }

    /**
     * Render the widget output on the frontend.
     *
     * Written in PHP and used to generate the final HTML.
     *
     * @since 1.0.0
     *
     * @access protected
     */
    protected function render()
    {
        $settings = $this->get_settings_for_display();
        echo '<div class="ptsc_currency_combo">';
        //$shortcode_vendor = $settings['shortcode_vendor'];
        $gid = $settings['gid'];
        /*$product_vendor = $settings['product_vendor'];
        $description_option = $settings['description_option'];
        $woocommercepid = $settings['woocommercepid'];
        $product_id = $settings['product_id'];
        $html_template = $settings['html_template'];
        $image_url = $settings['image_url'];
        $button_text = $settings['button_text'];
        $billingcycle = $settings['billingcycle'];
        $featured = $settings['featured'];
        $featured_text = $settings['featured_text'];
        $process_description = $settings['process_description'];
        $Description_separator = $settings['Description_separator'];
        $enable_tooltips = $settings['enable_tooltips'];
        $show_order_combo = $settings['show_order_combo'];
        $custom_text = $settings['custom_text'];
        $featured_rows = $settings['featured_rows'];
        $primary_color = $settings['primary_color'];
        $secondary_color = $settings['secondary_color'];*/


        /*echo do_shortcode('[ptsc_pricing_table shortcode_vendor="' . $shortcode_vendor . '" gid="' . $gid . '"
        product_vendor="' . $product_vendor . '" description_option="' . $description_option . '" woocommercepid="' . $woocommercepid . '"
        product_id="' . $product_id . '" html_template="' . $html_template . '" image_url="' . $image_url . '" button_text="' . $button_text . '"  
        billingcycle="' . $billingcycle . '" featured="' . $featured . '" featured_text="' . $featured_text . '" process_description="' . $process_description . '"
        Description_separator="' . $Description_separator . '" enable_tooltips="' . $enable_tooltips . '" show_order_combo="' . $show_order_combo . '"
        custom_text="' . $custom_text . '" featured_rows="' . $featured_rows . '" primary_color="' . $primary_color . '" secondary_color="' . $secondary_color . '" ]');
        echo '</div>';*/

        echo do_shortcode('[ptsc_pricing_table gid="' . $gid . '" ]');
        echo '</div>';
    }

    /**
     * Render the widget output in the editor.
     *
     * Written as a Backbone JavaScript template and used to generate the live preview.
     *
     * @since 1.0.0
     *
     * @access protected
     */
    protected function content_template()
    {
        ?>
        <div class="title">
            <!--{{{ settings.shortcode_vendor }}}-->
            {{{ settings.gid }}}
            <!--{{{ settings.product_vendor }}}
            {{{ settings.description_option }}}
            {{{ settings.woocommercepid }}}
            {{{ settings.product_id }}}
            {{{ settings.html_template }}}
            {{{ settings.image_url }}}
            {{{ settings.button_text }}}
            {{{ settings.billingcycle }}}
            {{{ settings.featured }}}
            {{{ settings.featured_text }}}
            {{{ settings.process_description }}}
            {{{ settings.enable_tooltips }}}
            {{{ settings.show_order_combo }}}
            {{{ settings.custom_text }}}
            {{{ settings.featured_rows }}}
            {{{ settings.primary_color }}}
            {{{ settings.secondary_color }}}-->


        </div>
        <?php
    }
}