<?php
require_once(PTSC_PATH . '/classes/ptsc.php');

$ptsc = new PTSC();
$cid = "";
$code = "";
$suffix = "";
$prefix = "";
$default = "";
$rate = "";
if (!empty($_GET["edit"])) {
    $data = $ptsc->ptsc_currency->ptsc_get($_GET["edit"]);
    $cid = $data['c_id'];
    $code = $data["code"];
    $suffix = $data["suffix"];
    $prefix = $data["prefix"];
    $default = $data["default"];
    $rate = $data["rate"];
}
if (!empty($_POST['save_currency'])) {
    $code = $_POST['code'];
    $prefix = $_POST['prefix'];
    $suffix = $_POST['suffix'];
    $rate = $_POST['rate'];
    $default = isset($_POST['default']) ? $_POST['default'] : 0;
    $data = [
        'code' => $code,
        'prefix' => $prefix,
        'suffix' => $suffix,
        'format' => '1',
        'rate' => $rate,
        'default' => $default
    ];

    if (!empty($cid)) {
        $result = $ptsc->ptsc_currency->ptsc_update($cid, $data);
        if ($result) {
            $message = "Currency Updated Successfully";
        } else {
            $message = "There is some problem";
        }
    } else {
        $result = $ptsc->ptsc_currency->ptsc_add($data);
        if ($result) {
            $message = "Currency Saved Successfully";
        } else {
            $message = "There is some problem";
        }
        $_POST = [];
        $code = '';
        $prefix = '';
        $suffix = '';
        $rate = '';
    }


    echo "<div class='updated'><p> $message</p></div>";

}
$published_status = isset($_GET['edit']) ? esc_html__('Active', 'admin', 'ptsc') : esc_html__('Not Active', 'admin', 'ptsc');
?>
<div class="wrap">
            <div class="">
                <h1 class="wp-heading-inline">
                <?php echo esc_html_x("Add Currency", "admin", "ptsc"); ?>
                </h1>
                    <?php
                    $path = "admin.php?page=ptsc-currencies";
                    ?>
                    <a class='page-title-action' style='margin-left:10px'
                       href="admin.php?page=ptsc-currencies"><span
                                class="lnr lnr-list"></span> <?php echo esc_html_x('List All Currencies', 'admin', 'ptsc'); ?>
                    </a>
                    <?php $path = "admin.php?page=ptsc-settings"; ?>
                    <a class='page-title-action' href="admin.php?page=ptsc-settings"> <span
                                class="ptsc_icon ptsc_icon_left-dir"></span> <?php echo esc_html_x(' Back to Settings', 'admin', 'ptsc'); ?>
                    </a>
                    <hr class="wp-header-end">
            </div>
<!--            <div class="ptsc_alert ptsc_alert_info ptsc_margin_bottom_30">-->
<!--                --><?php //echo esc_html_x("Dummy data about add currency", "admin", "ptsc") ?><!--.-->
<!--            </div>-->


            <div class="ptsc_panel_body">
                <form action="#" method="post">
                    <input type="hidden" name="c_id" value="0"/>
                    <div id="poststuff">
                        <div id="post-body" class="metabox-holder columns-2">
                            <div id="postbox-container-1" class="postbox-container">
                                <div id="side-sortables" class="meta-box-sortables ui-sortable">
                                    <div CLASS="postbox">
                                        <div class="postbox-header">
                                            <h2 class="hndle ui-sortable-handle">Save</h2>
                                            <div class="handle-actions hide-if-no-js">
                                                <button type="button" class="handle-order-higher" aria-disabled="false"
                                                        aria-describedby="ptsc_details-handle-order-higher-description">
                                                    <span class="screen-reader-text">Move up</span><span
                                                            class="order-higher-indicator" aria-hidden="true"></span>
                                                </button>
                                                <span class="hidden" id="ptsc_details-handle-order-higher-description">Move Details box up</span>
                                                <button type="button" class="handle-order-lower" aria-disabled="false"
                                                        aria-describedby="ptsc_details-handle-order-lower-description">
                                                    <span class="screen-reader-text">Move down</span><span
                                                            class="order-lower-indicator" aria-hidden="true"></span>
                                                </button>
                                                <span class="hidden" id="ptsc_details-handle-order-lower-description">Move Details box down</span>
                                                <button type="button" class="handlediv" aria-expanded="true"><span
                                                            class="screen-reader-text">Toggle panel: Details</span><span
                                                            class="toggle-indicator" aria-hidden="true"></span></button>
                                            </div>
                                        </div>
                                        <div class="inside" style="padding: 0;">
                                            <div>
                                                <div id="misc-publishing-actions">
                                                    <div class="misc-pub-section misc-pub-post-status">
                                                        Status: <span
                                                                id="post-status-display"><?php echo $published_status ?></span>
                                                    </div>

                                                </div>

                                                <div id="major-publishing-actions">

                                                    <div id="publishing-action">
                                                        <!-- Save and Cancel Button -->
                                                        <div>
                                                            <input type="submit" name="save_currency" value="Save Currency"
                                                                   class="button button-primary"/>
                                                            <!--<a href="admin.php?page=ptsc-settings"
                               class="button button-primary"><?php /*echo esc_html_x('Cancel', 'admin', 'ptsc') */?></a>-->
                                                        </div>
                                                    </div>
                                                    <div class="clear"></div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div id="postbox-container-2" class="postbox-container">
                                <div id="normal-sortables" class="meta-box-sortables ui-sortable">
                                    <div class="postbox">
                                        <div class="postbox-header">
                                            <h2 class="hndle ui-sortable-handle">Details</h2>
                                            <div class="handle-actions hide-if-no-js">
                                                <button type="button" class="handle-order-higher" aria-disabled="false"
                                                        aria-describedby="ptsc_details-handle-order-higher-description">
                                                    <span class="screen-reader-text">Move up</span><span
                                                            class="order-higher-indicator" aria-hidden="true"></span>
                                                </button>
                                                <span class="hidden" id="ptsc_details-handle-order-higher-description">Move Details box up</span>
                                                <button type="button" class="handle-order-lower" aria-disabled="false"
                                                        aria-describedby="ptsc_details-handle-order-lower-description">
                                                    <span class="screen-reader-text">Move down</span><span
                                                            class="order-lower-indicator" aria-hidden="true"></span>
                                                </button>
                                                <span class="hidden" id="ptsc_details-handle-order-lower-description">Move Details box down</span>
                                                <button type="button" class="handlediv" aria-expanded="true"><span
                                                            class="screen-reader-text">Toggle panel: Details</span><span
                                                            class="toggle-indicator" aria-hidden="true"></span></button>
                                            </div>
                                        </div>
                                        <div class="inside">
                                            <!--<div class="ptsc_panel_header ptsc_panel_header_white">
                                <div class="ptsc_text_large">
									<?php /*if ( ! empty( $_GET['edit'] ) ) {
										echo esc_html_x( "Update your Currency Info","admin", "ptsc" );
									} else {
										echo esc_html_x( "Provide New Currency Details","admin", "ptsc" );
									}

									*/ ?>
                                    <span class="ptsc_clearfix"></span>
                                </div>
                            </div>-->
                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                <label for="code"><strong><?php echo esc_html_x('Currency Code', "admin", 'ptsc') ?></strong></label>
                                                <input required name="code" id="ccode"
                                                       value="<?php echo $code ?>"
                                                       placeholder="<?php echo esc_html_x('Currency Code', "admin", 'ptsc') ?>"/>
                                            </div>
                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                <label>
                                                    <strong>
                                                        <?php echo esc_html_x("Prefix", "admin", "ptsc") ?>
                                                    </strong>
                                                </label>

                                                <input name="prefix" placeholder="prefix" value="<?php echo $prefix ?>">
                                            </div>
                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                <label>
                                                    <strong>
                                                        <?php echo esc_html_x("Suffix", "admin", "ptsc") ?>
                                                    </strong>
                                                </label>
                                                <input name="suffix" placeholder="suffix" value="<?php echo $suffix ?>">
                                            </div>
                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                <input type="hidden" name="rate" placeholder="Rate" value="0.0">
                                            </div>
                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                <label>
                                                    <strong>
                                                        <?php echo esc_html_x("Default", "admin", "ptsc") ?>
                                                    </strong>
                                                </label>

                                                <input type="checkbox" name="default" placeholder="Default"
                                                       value="1" <?php if ($default == 1)
                                                    echo "checked='checked'" ?>>
                                            </div>
                                    </div>
                                </div>
                            </div>
                        </div><!-- /post-body -->
                        <br class="clear">
                    </div>
                </form>
            </div>
</div>