<?php
/**
 * Created by PhpStorm.
 * User: Zain Ul Abidin
 * Date: 9/9/2020
 * Time: 11:44 AM
 */
$published_status = isset($_GET['edit']) ? esc_html__('Active', 'admin', 'ptsc') : esc_html__('Not Active', 'admin', 'ptsc');
require_once(PTSC_PATH . '/classes/ptsc.php');
$ptsc = new PTSC();
$action_message = '';
if (isset($_GET['edit'])) {
    $order_id = $_GET['edit'];
    if (!empty($order_id)) {
        $order_data = $ptsc->ptsc_orders->ptsc_get($order_id);
        $attached_service_data = $ptsc->ptsc_client_services->ptsc_get_by('order_id', $order_id);
        $attached_service_data = $attached_service_data[0];
    }
    if (isset($_POST['accept_order'])) {
        $order_data['status'] = 'active';
        $ptsc->ptsc_orders->ptsc_update($order_data['order_id'], $order_data);
        $action_message = "<h2> Order Accepted </h2>";
        $action_message .= "<p> The order is now been successfully activated </p>";
    } elseif (isset($_POST["reject_order"])) {
        $order_data['status'] = 'cancelled';
        $ptsc->ptsc_orders->ptsc_update($order_data['order_id'], $order_data);
        $action_message = "<h2> Order Set to Cancelled </h2>";
        $action_message .= "<p> The order status has been changed successfully </p>";
    } elseif (isset($_POST["reject_refund_order"])) {
        $order_data['status'] = 'cancelled';
        $ptsc->ptsc_orders->ptsc_update($order_data['order_id'], $order_data);
        $action_message = "<h2> Order Cancelled & Refund </h2>";
        $action_message .= "<p> The order is cancelled and refund successfully </p>";
    } elseif (isset($_POST["fraud_order"])) {
        $order_data['status'] = 'fraud';
        $ptsc->ptsc_orders->ptsc_update($order_data['order_id'], $order_data);
        $action_message = "<h2> Order Set to Fraud </h2>";
        $action_message .= "<p> The order status has been changed successfully </p>";
    } elseif (isset($_POST["back_pending"])) {
        $order_data['status'] = 'pending';
        $ptsc->ptsc_orders->ptsc_update($order_data['order_id'], $order_data);
        $action_message = "<h2> Order Set to Pending </h2>";
        $action_message .= "<p> The order status has been changed successfully </p>";
    }
}

?>

<div class="wrap">
    <?php $path = "admin.php?page=ptsc-orders"; ?>
    <div class="">
        <h1 class="wp-heading-inline">
            <?php echo esc_html_x("Manage Orders", "admin", "ptsc"); ?>
        </h1>

        <a class="page-title-action" href="admin.php?page=ptsc-orders"><span
                    class="lnr lnr-list"></span><?php echo esc_html_x(" All Orders", "admin", "ptsc"); ?>
        </a>
        <hr class="wp-header-end">

    </div>

    <?php if ($action_message !== '') { ?>
        <div class="updated"><?php echo $action_message; ?></div>
    <?php } ?>
    <div class="ptsc_panel_body">
        <form action="#" method="post">

            <div id="poststuff">
                <div id="post-body" class="metabox-holder columns-2">
                    <div id="postbox-container-1" class="postbox-container">
                        <div id="side-sortables" class="meta-box-sortables ui-sortable">
                            <div CLASS="postbox">
                                <div class="postbox-header">
                                    <h2 class="hndle ui-sortable-handle">Save</h2>
                                    <div class="handle-actions hide-if-no-js">
                                        <button type="button" class="handle-order-higher" aria-disabled="false"
                                                aria-describedby="ptsc_details-handle-order-higher-description">
                                            <span class="screen-reader-text">Move up</span><span
                                                    class="order-higher-indicator" aria-hidden="true"></span>
                                        </button>
                                        <span class="hidden" id="ptsc_details-handle-order-higher-description">Move Details box up</span>
                                        <button type="button" class="handle-order-lower" aria-disabled="false"
                                                aria-describedby="ptsc_details-handle-order-lower-description">
                                            <span class="screen-reader-text">Move down</span><span
                                                    class="order-lower-indicator" aria-hidden="true"></span>
                                        </button>
                                        <span class="hidden" id="ptsc_details-handle-order-lower-description">Move Details box down</span>
                                        <button type="button" class="handlediv" aria-expanded="true"><span
                                                    class="screen-reader-text">Toggle panel: Details</span><span
                                                    class="toggle-indicator" aria-hidden="true"></span></button>
                                    </div>
                                </div>
                                <div class="inside" style="padding: 0;">
                                    <div>
                                        <div id="misc-publishing-actions">
                                            <div class="misc-pub-section misc-pub-post-status">
                                                Status: <span
                                                        id="post-status-display"><?php echo $published_status ?></span>
                                            </div>

                                        </div>

                                        <div id="major-publishing-actions">

                                            <div>
                                                <!-- Save and Cancel Button -->
                                                <div class="ptsc_admin_text_center ptsc_form_field ptsc_main">

                                                    <input type="submit" name="accept_order"
                                                           value="Accept Order"
                                                           class="button button-primary ptsc_button_success ptsc_button_block"/>
                                                    <input type="submit" name="reject_order"
                                                           value="Cancel Order"
                                                           class="button button-primary ptsc_button_block"/>
                                                    <input type="submit" name="reject_refund_order"
                                                           value="Cancel & Refund"
                                                           class="button button-primary ptsc_button_block"/>
                                                    <input type="submit" name="fraud_order"
                                                           value="Set as fraud"
                                                           class="button button-primary ptsc_button_block"/>
                                                    <input type="submit" name="back_pending"
                                                           value="Set Back to Pending"
                                                           class="button button-primary ptsc_button_block"/>
                                                    <!--<input type="button" name="delete_order"
                                                           value="Delete Order"
                                                           onclick="return confirm('Are you sure You want to delete?')"
                                                           class="button button-primary ptsc_button_danger"/>-->
                                                    <a class="ptsc_button ptsc_button_primary ptsc_button_danger ptsc_button_block ptsc_icon ptsc_icon_trash"
                                                       title="Delete this Order"
                                                       data-id="<?php echo $order_data["order_id"] ?>"
                                                       href="admin.php?page=ptsc-orders&del-order=<?php echo $order_data["order_id"] ?>"
                                                       style="margin-bottom: 0"
                                                       onclick="return confirm('Are you sure You want to delete?')">
                                                        <?php echo 'Delete' ?>
                                                    </a>
                                                </div>
                                            </div>
                                            <div class="clear"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="postbox-container-2" class="postbox-container">
                        <div id="normal-sortables" class="meta-box-sortables ui-sortable">
                            <div class="postbox">
                                <div class="postbox-header">
                                    <h2 class="hndle ui-sortable-handle">Details</h2>
                                    <div class="handle-actions hide-if-no-js">
                                        <button type="button" class="handle-order-higher" aria-disabled="false"
                                                aria-describedby="ptsc_details-handle-order-higher-description">
                                            <span class="screen-reader-text">Move up</span><span
                                                    class="order-higher-indicator" aria-hidden="true"></span>
                                        </button>
                                        <span class="hidden" id="ptsc_details-handle-order-higher-description">Move Details box up</span>
                                        <button type="button" class="handle-order-lower" aria-disabled="false"
                                                aria-describedby="ptsc_details-handle-order-lower-description">
                                            <span class="screen-reader-text">Move down</span><span
                                                    class="order-lower-indicator" aria-hidden="true"></span>
                                        </button>
                                        <span class="hidden" id="ptsc_details-handle-order-lower-description">Move Details box down</span>
                                        <button type="button" class="handlediv" aria-expanded="true"><span
                                                    class="screen-reader-text">Toggle panel: Details</span><span
                                                    class="toggle-indicator" aria-hidden="true"></span></button>
                                    </div>
                                </div>
                                <div class="inside">
                                    <!-- Tooltip Name -->
                                    <div class="ptsc_form_field ptsc_form_field_horizontal"">
                                    <label for="pname"><strong><?php echo esc_html_x('Date', 'admin', 'ptsc') ?></strong></label>
                                        <input name="order_date" id="o_date"
                                               disabled='disabled'
                                               value="<?php echo $order_data['order_date'] ?>"
                                               placeholder="<?php echo esc_html_x('date', 'admin', 'ptsc') ?>"/>
<!--                                        <small class="">--><?php //echo esc_html_x("*This is the order generated date", "admin", "ptsc") ?><!--</small>-->
                                    </div>

                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="order_number"><strong><?php echo esc_html_x('Order #', 'admin', 'ptsc') ?></strong></label>
                                        <input name="order_number" id="o_number"
                                               disabled='disabled'
                                               value="<?php echo $order_data['order_number'] . " " . "(ID: " . $order_data['order_id'] . ")" ?>"
                                               placeholder="<?php echo esc_html_x('Order Number', 'admin', 'ptsc') ?>"/>
                                    </div>

                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="order_client"><strong><?php echo esc_html_x('Client', 'admin', 'ptsc') ?></strong></label>
                                        <input name="order_client" id="o_client"
                                               disabled='disabled'
                                               value="<?php echo $order_data['client_name'] ?>"
                                               placeholder="<?php echo esc_html_x('Client', 'admin', 'ptsc') ?>"/>
                                    </div>

                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="order_amount"><strong><?php echo esc_html_x('Amount', 'admin', 'ptsc') ?></strong></label>
                                        <input name="order_amount" id="o_amount"
                                               disabled='disabled'
                                               value="<?php echo $order_data['amount'] ?>"
                                               placeholder="<?php echo esc_html_x('Order Amount', 'admin', 'ptsc') ?>"/>
                                    </div>

                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="order_product"><strong><?php echo esc_html_x('Order Item', 'admin', 'ptsc') ?></strong></label>
                                        <a href='?page=ptsc-add-services&order_id=<?php echo $order_data['order_id'] ?>&edit=<?php echo $attached_service_data['id'] ?>'> <?php echo $attached_service_data['package_name'] ?></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div><!-- /post-body -->
                    <br class="clear">
                </div>
            </div>


        </form>
    </div>
    <!--</div>-->

</div>