<?php
$currencies='';
if ( isset( $_GET['relid'] ) ) {
	require_once( PTSC_PATH . '/classes/ptsc.php' );

	$ptsc = new PTSC();

	$relid   = $_GET['relid'];
	$pricing = $ptsc->ptsc_pricing->ptsc_get_by( 'relid', $relid );

	$pay_type   = $ptsc->ptsc_products->ptsc_get_column_by( "pay_type", "product_id", $relid );
	$currencies = $ptsc->ptsc_currency->ptsc_select();
	if ( isset( $_POST['save_price'] ) ) {
		foreach ( $currencies as $currency ) {
			if ( isset( $_POST[ "monthly_" . $currency['c_id'] ] ) ) {
				$monthly = $_POST[ "monthly_" . $currency['c_id'] ];
			} else {
				$monthly = 0;
			}
			if ( isset( $_POST[ "quarterly_" . $currency['c_id'] ] ) ) {
				$quarterly = $_POST[ "quarterly_" . $currency['c_id'] ];
			} else {
				$quarterly = 0;
			}
			if ( isset( $_POST[ "semiannually_" . $currency['c_id'] ] ) ) {
				$semiannully = $_POST[ "semiannually_" . $currency['c_id'] ];
			} else {
				$semiannully = 0;
			}
			if ( isset( $_POST[ "annually_" . $currency['c_id'] ] ) ) {
				$annually = $_POST[ "annually_" . $currency['c_id'] ];
			} else {
				$annually = 0;
			}
			if ( isset( $_POST[ "biannially_" . $currency['c_id'] ] ) ) {
				$biannially = $_POST[ "biannially_" . $currency['c_id'] ];
			} else {
				$biannially = 0;
			}
			if ( isset( $_POST[ "triannially_" . $currency['c_id'] ] ) ) {
				$triennially = $_POST[ "triannially_" . $currency['c_id'] ];
			} else {
				$triennially = 0;
			}

			$data = [
				"currency"     => $currency['c_id'],
				"relid"        => $relid,
				'msetupfee'    => '0',
				'qsetupfee'    => '0',
				'ssetupfee'    => '0',
				'asetupfee'    => '0',
				'bsetupfee'    => '0',
				'tsetupfee'    => '0',
				'monthly'      => $monthly,
				'quarterly'    => $quarterly,
				'semiannually' => $semiannully,
				'annually'     => $annually,
				'biennially'   => $biannially,
				'triennially'  => $triennially,
			];


			$table_name = $ptsc->ptsc_pricing->table_name;

			$Q = "SELECT * FROM $table_name where `relid`= %s AND `currency`= %s";
			global $wpdb;
			$result = $wpdb->get_results( $wpdb->prepare( $Q, [ $data['relid'], $data['currency'] ] ) );
			if ( $result == "0" || empty( $result ) ) {
				$action = $ptsc->ptsc_pricing->ptsc_add( $data );
				if ( $action != "0" ) {
                    $message =  esc_html_x("The Record Saved Successfully", "admin", "ptsc") . "</h2>";
				} else {
                    $message =  esc_html_x("Something Went wrong!","admin","ptsc") ."</h2>";
				}
			} else {
				$condition = array(
					"relid"    => $data['relid'],
					"currency" => $data['currency']
				);
				$result    = $ptsc->ptsc_pricing->ptsc_update_on( $data, $condition );
				if ( $result === false ) {
                    $message =  esc_html_x("Something Went Wrong!;","admin","ptsc") . "</h2>";
				} else {
                    $message =  esc_html_x("Record Updated Successfully","admin","ptsc") . "</h2>";
				}
			}
		}
        echo "<div class='updated'><p> $message</p></div>";
	}
}
?>

<div class="wrap">
    <div class="ptsc_main" style="margin: 20px;">
            <div class="ptsc_form_field ptsc_text_2x">
                <?php echo esc_html_x("Products/ Define Pricing","admin", "ptsc"); ?>
                <div class="ptsc_form_field ptsc_form_button">
                    <a class='ptsc_button ptsc_button_primary ptsc_pull_right' href="admin.php?page=ptsc-products">
                        <span class="ptsc_icon ptsc_icon_left-dir"></span><?php echo esc_html_x(" Back to List","admin","ptsc"); ?></a>
                </div>
            </div>

            <div class="ptsc_alert ptsc_alert_info ptsc_margin_bottom_30">
                <?php echo esc_html_x("Define product/service pricing according to product type you have selected.","admin","ptsc") ?>.
            </div>
        <div class="ptsc_panel ptsc_panel_info ptsc_panel_fancy_1 ptsc_panel_primary ptsc_margin_bottom_10">
            <?php if ("free"==$pay_type){ ?>
                <div class="ptsc_alert ptsc_alert_warning"><?php echo esc_html_x("This product is Configured Free. If you want to Add Pricing kindly update the Product pay type","admin","ptsc")?></div>
           <?php } else { ?>
            <form method="post" action="#">
				<?php
				if ( count( $currencies ) > 0 ) {
					if ( $_GET['type'] == 'one time' ) { ?>

                        <div class="ptsc_panel_header ptsc_panel_header_white">
                            <div class="ptsc_row">
                                <div class="ptsc_col_6"><strong><?php echo esc_html_x("Currency","admin","ptsc") ?></strong></div>
                                <div class="ptsc_col_6"><strong><?php echo esc_html_x("Pricing","admin","ptsc") ?></strong></div>
                            </div>
                        </div>

					<?php } else { ?>
                        <div class="ptsc_panel_header ptsc_panel_header_white">
                            <div class="ptsc_row">

                                <div class="ptsc_col_3"><strong><?php echo esc_html_x("Currency","admin","ptsc") ?></strong></div>
                                <div class="ptsc_col_9">
                                    <div class="ptsc_row ptsc_text_center">
                                        <div class="ptsc_col_2"><strong><?php echo esc_html_x("Monthly","admin","ptsc") ?></strong></div>
                                        <div class="ptsc_col_2"><strong><?php echo esc_html_x("Quarterly","admin","ptsc") ?></strong></div>
                                        <div class="ptsc_col_2"><strong><?php echo esc_html_x("Semiannually","admin","ptsc") ?></strong></div>
                                        <div class="ptsc_col_2"><strong><?php echo esc_html_x("Annually","admin","ptsc") ?></strong></div>
                                        <div class="ptsc_col_2"><strong><?php echo esc_html_x("Biannually","admin","ptsc") ?></strong></div>
                                        <div class="ptsc_col_2"><strong><?php echo esc_html_x("Triannually","admin","ptsc") ?></strong></div>
                                    </div>
                                </div>
                            </div>

                        </div>



					<?php }
					foreach ( $currencies as $currency ) {
						global $wpdb;
						$tbl_pricing = $ptsc->ptsc_pricing->table_name;
						$Q           = "Select * from `$tbl_pricing` where `relid`=%s AND `currency`=%s";
						$result      = $wpdb->get_row( $wpdb->prepare( $Q, $_GET['relid'], $currency['c_id'] ), ARRAY_A );
						if ( $_GET['type'] == "one time" ) { ?>
                            <div class="ptsc_row ptsc_panel_body">
                                <div class="ptsc_col_6">
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
	                                    <?php
                                        //~~ Not offering multicurrency in this version
                                        //echo $currency['code'];
                                        echo (get_option("ptsc_default_currency_symbol"));
                                        ?></div>
                                    </div>

                                <div class="ptsc_col_6">
                                   <div class="ptsc_form_field ptsc_form_field_horizontal">
                                       <label>
                                           <input name="monthly_<?php echo $currency['c_id']; ?>" class=""
                                                  value="<?php echo ( isset( $result['monthly'] ) ) ? $result['monthly'] : ""
		                                          ?>">
                                       </label>
                                   </div>
                                </div>
                            </div>
						<?php } else { ?>
                <div class="ptsc_panel_header ptsc_panel_header_white">
                            <div class="ptsc_row ptsc_panel_body">
                                <div class="ptsc_col_3">
                                    <?php
                                    //~~ We are not offering multicurrency in this version
                                    //echo $currency['code'];
                                    echo (get_option("ptsc_default_currency_symbol"));
                                    ?>
                                </div>
                                <div class="ptsc_col_9">
                                    <div class="ptsc_row ">
                                        <div class="ptsc_col_2">
                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                    <input name="monthly_<?php echo $currency['c_id']; ?>" class=""
                                                           value="<?php echo ( isset( $result['monthly'] ) ) ? $result['monthly'] : ""
				                                           ?>">
                                            </div>

                                        </div>

                                        <div class="ptsc_col_2">
                                            <div class="ptsc_form_field ptsc_form_field_horizontal">

                                                    <input name="quarterly_<?php echo $currency['c_id']; ?>" class=""
                                                           value="<?php echo ( isset( $result['quarterly'] ) ) ? $result['quarterly'] : ""
				                                           ?>">

                                            </div>

                                        </div>

                                        <div class="ptsc_col_2">
                                            <div class="ptsc_form_field ptsc_form_field_horizontal">

                                                    <input name="semiannually_<?php echo $currency['c_id']; ?>" class=""
                                                           value="<?php echo ( isset( $result['semiannually'] ) ) ? $result['semiannually'] : ""
				                                           ?>">

                                            </div>

                                        </div>

                                        <div class="ptsc_col_2">
                                            <div class="ptsc_form_field ptsc_form_field_horizontal">

                                                    <input name="annually_<?php echo $currency['c_id']; ?>" class=""
                                                           value="<?php echo ( isset( $result['annually'] ) ) ? $result['annually'] : ""
				                                           ?>">

                                            </div>

                                        </div>

                                        <div class="ptsc_col_2">
                                            <div class="ptsc_form_field ptsc_form_field_horizontal">

                                                    <input name="biannially_<?php echo $currency['c_id']; ?>" class=""
                                                           value="<?php echo ( isset( $result['biennially'] ) ) ? $result['biennially'] : ""
				                                           ?>">

                                            </div>

                                        </div>
                                        <div class="ptsc_col_2">
                                            <div class="ptsc_form_field ptsc_form_field_horizontal">

                                                    <input name="triannially_<?php echo $currency['c_id']; ?>" class=""
                                                           value="<?php echo ( isset( $result['triennially'] ) ) ? $result['triennially'] : ""
				                                           ?>">

                                            </div>

                                        </div>
                                    </div>
                                </div>



                            </div>

                </div>

							<?php
						}
					} ?>
                     <?php
				} else { ?>
                    <div class="ptsc_alert ptsc_alert_warning ptsc_text_2x">
						<?php echo esc_html_x( "Add Currencies First","admin", "ptsc" ); ?>
                    </div>
				<?php }
				?>
                <div class="ptsc_text_center" style="margin:10px;">
                    <input class="ptsc_button ptsc_button_big ptsc_button_save_plans"
                           type="submit" name="save_price"
                           value="<?php echo esc_html_x("Save Prices","admin","ptsc") ?>">
                </div>
            </form>
            <? } ?>
        </div>
    </div>
</div>

