<style>
    .ptsc_tabs_container .ptsc_tab_links .ptsc_tab_link {
        padding: 15px 30px;
        background: #fff;
        color: #017cba;
        border: 2px solid #017cba;
        font-weight: 700;
        border-radius: 4px;
    }

    .ptsc_tabs_container .ptsc_tab_links .ptsc_tab_link.active {
        background: #017cba;
        color: #fff;
    }
</style>
<?php
if (!defined("PTSC_PATH")) {
    wp_die("Direct Access is not allowed");
}

global $wpdb;
require_once(PTSC_PATH . '/classes/ptsc.php');
$ptsc = new PTSC();

if (isset($_POST['ptsc_save_billing_settings'])) {


    //~~ Delete all payment gateways data
    $ptsc->ptsc_payment_gateways->ptsc_delete_all();
    $ptsc->ptsc_payment_gateway_options->ptsc_delete_all();

    //~~ Check for selected payment gateway
    $selected_payment_gateways = isset($_POST['ptsc_payment_gateways']) ? $_POST['ptsc_payment_gateways'] : '';

    foreach ($selected_payment_gateways as $payment_gateway) {

        if ($payment_gateway == 'bank') {
            //~~ Getting Bank Transfer information
            $bank_display_name = isset($_POST['bank_display_name']) ? $_POST['bank_display_name'] : '';
            $bank_show_on_order_form = isset($_POST['bank_show']) ? $_POST['bank_show'] : '';
            $bank_on = !empty($bank_show_on_order_form) ? 'on' : 'off';
            $bank_info_section_style = $payment_gateway == 'bank' ? 'display:block' : 'display:none';
            $bank_name = isset($_POST['bank_name']) ? $_POST['bank_name'] : '';
            $bank_payee_name = isset($_POST['bank_payee_name']) ? $_POST['bank_payee_name'] : '';
            $bank_sort_code = isset($_POST['bank_sort_code']) ? $_POST['bank_sort_code'] : '';
            $bank_account_num = isset($_POST['bank_account_num']) ? $_POST['bank_account_num'] : '';

            $bank_transfer_info = [
                'bank_name' => $bank_name,
                'payee_name' => $bank_payee_name,
                'sort_code' => $bank_sort_code,
                'account_number' => $bank_account_num
            ];

            $bank_data = [
                'gateway' => $payment_gateway,
                'display_name' => $bank_display_name,
                'type' => $bank_on
            ];

            $inserted_gateway_id = $ptsc->ptsc_payment_gateways->ptsc_add($bank_data);
            foreach ($bank_transfer_info as $info => $value) {
                $gateway_options_data = [
                    'gid' => $inserted_gateway_id,
                    'option' => $info,
                    'option_value' => $value,
                ];
                $result = $ptsc->ptsc_payment_gateway_options->ptsc_add($gateway_options_data);
            }
        }
        if ($payment_gateway == 'bluepay') {
            //~~ Bluepay Information Section
            $bluepay_info_section_style = $payment_gateway == 'bluepay' ? 'display:block' : 'display:none';
            $bluepay_show_on_order_form = isset($_POST['bluepay_show']) ? $_POST['bluepay_show'] : '';
            $bluepay_on = !empty($bluepay_show_on_order_form) ? 'on' : 'off';
            $bluepay_display_name = isset($_POST['bluepay_display_name']) ? $_POST['bluepay_display_name'] : '';
            $bluepay_accoount_id = isset($_POST['bluepay_accoount_id']) ? $_POST['bluepay_accoount_id'] : '';
            $bluepay_secret_key = isset($_POST['bluepay_secret_key']) ? $_POST['bluepay_secret_key'] : '';

            $bluepay_transfer_info = [
                'account_id' => $bluepay_accoount_id,
                'secret_key' => $bluepay_secret_key
            ];

            $data = [
                'gateway' => $payment_gateway,
                'display_name' => $bluepay_display_name,
                'type' => $bluepay_on
            ];

            $inserted_gateway_id = $ptsc->ptsc_payment_gateways->ptsc_add($data);
            foreach ($bluepay_transfer_info as $info => $value) {
                $gateway_options_data = [
                    'gid' => $inserted_gateway_id,
                    'option' => $info,
                    'option_value' => $value,
                ];
                $result = $ptsc->ptsc_payment_gateway_options->ptsc_add($gateway_options_data);
            }

        }
        if ($payment_gateway == 'paypal') {
            //~~ Paypal Information Section
            $paypal_info_section_style = $payment_gateway == 'paypal' ? 'display:block' : 'display:none';
            $paypal_show_on_order_form = isset($_POST['paypal_show']) ? $_POST['paypal_show'] : '';
            $paypal_on = !empty($paypal_show_on_order_form) ? 'on' : 'off';
            $paypal_display_name = isset($_POST['paypal_display_name']) ? $_POST['paypal_display_name'] : '';
            $paypal_user_name = isset($_POST['paypal_user_name']) ? $_POST['paypal_user_name'] : '';
            $paypal_secret_key = isset($_POST['paypal_secret_key']) ? $_POST['paypal_secret_key'] : '';
            $paypal_signature = isset($_POST['paypal_signature']) ? $_POST['paypal_signature'] : '';

            $paypal_transfer_info = [
                'user_name' => $paypal_user_name,
                'secret_key' => $paypal_secret_key,
                'signature' => $paypal_signature,
            ];

            $data = [
                'gateway' => $payment_gateway,
                'display_name' => $paypal_display_name,
                'type' => $paypal_on
            ];

            $inserted_gateway_id = $ptsc->ptsc_payment_gateways->ptsc_add($data);
            foreach ($paypal_transfer_info as $info => $value) {
                $gateway_options_data = [
                    'gid' => $inserted_gateway_id,
                    'option' => $info,
                    'option_value' => $value,
                ];
                $result = $ptsc->ptsc_payment_gateway_options->ptsc_add($gateway_options_data);
            }
        }
        if ($payment_gateway == 'stripe') {
            //~~ Paypal Information Section
            $stripe_info_section_style = $payment_gateway == 'stripe' ? 'display:block' : 'display:none';
            $stripe_show_on_order_form = isset($_POST['stripe_show']) ? $_POST['stripe_show'] : '';
            $stripe_on = !empty($stripe_show_on_order_form) ? 'on' : 'off';
            $stripe_display_name = isset($_POST['stripe_display_name']) ? $_POST['stripe_display_name'] : '';
            $stripe_publish_key = isset($_POST['stripe_publish_key']) ? $_POST['stripe_publish_key'] : '';
            $stripe_secret_key = isset($_POST['stripe_secret_key']) ? $_POST['stripe_secret_key'] : '';


            $stripe_transfer_info = [
                'publish_key' => $stripe_publish_key,
                'secret_key' => $stripe_secret_key,
            ];

            $data = [
                'gateway' => $payment_gateway,
                'display_name' => $stripe_display_name,
                'type' => $stripe_on
            ];

            $inserted_gateway_id = $ptsc->ptsc_payment_gateways->ptsc_add($data);
            foreach ($stripe_transfer_info as $info => $value) {
                $gateway_options_data = [
                    'gid' => $inserted_gateway_id,
                    'option' => $info,
                    'option_value' => $value,
                ];
                $result = $ptsc->ptsc_payment_gateway_options->ptsc_add($gateway_options_data);
            }
        }

    }


}


//~~ If Setting page loads

//~~ Getting payment gateway values
$payment_gateway_list = $ptsc->ptsc_payment_gateways->ptsc_select();

//~~ Making an array having payment gateway values
foreach ($payment_gateway_list as $pg) {
    $pay_gate_options[$pg['gateway']] = $ptsc->ptsc_payment_gateway_options->ptsc_get_by('gid', $pg['id']);
    foreach ($pay_gate_options as $pg_name => $pg_options) {
        foreach ($pg_options as $op) {
            $pay_trans_sett[$pg_name][$op['option']] = $op['option_value'];
        }
    }
    $pay_trans_sett[$pg_name]['gateway'] = $pg_name;
    $pay_trans_sett[$pg_name]['display_name'] = $pg['display_name'];
    $pay_trans_sett[$pg_name]['on'] = $pg['type'];
    $pay_trans_sett['on_gateways'][] = $pg['type'] == 'on' ? $pg['gateway'] : '';
}

$selected_payment_gateways = isset($pay_trans_sett['on_gateways']) ? $pay_trans_sett['on_gateways'] : '';

//~~ Bank Transfer Information
$bank_display_name = isset($pay_trans_sett['bank']['display_name']) ? $pay_trans_sett['bank']['display_name'] : '';
$bank_name = isset($pay_trans_sett['bank']['bank_name']) ? $pay_trans_sett['bank']['bank_name'] : '';
$bank_payee_name = isset($pay_trans_sett['bank']['payee_name']) ? $pay_trans_sett['bank']['payee_name'] : '';
$bank_sort_code = isset($pay_trans_sett['bank']['sort_code']) ? $pay_trans_sett['bank']['sort_code'] : '';
$bank_account_num = isset($pay_trans_sett['bank']['account_number']) ? $pay_trans_sett['bank']['account_number'] : '';
if (!empty($selected_payment_gateways)) {
    $bank_info_section_style = in_array('bank', $selected_payment_gateways) ? 'display:block' : 'display:none';
} else {
    $bank_info_section_style = 'display:none';
}


//~~ Bluepay Transfer Information
if (!empty($selected_payment_gateways)) {
    $bluepay_info_section_style = in_array('bluepay', $selected_payment_gateways) ? 'display:block' : 'display:none';
} else {
    $bluepay_info_section_style = 'display:none';
}

$bluepay_show_on_order_form = isset($pay_trans_sett['bluepay']['on']) ? $pay_trans_sett['bluepay']['on'] : '';
$bluepay_display_name = isset($pay_trans_sett['bluepay']['display_name']) ? $pay_trans_sett['bluepay']['display_name'] : '';
$bluepay_accoount_id = isset($pay_trans_sett['bluepay']['account_id']) ? $pay_trans_sett['bluepay']['account_id'] : '';
$bluepay_secret_key = isset($pay_trans_sett['bluepay']['secret_key']) ? $pay_trans_sett['bluepay']['secret_key'] : '';

//~~ Paypal Transfer Information
if (!empty($selected_payment_gateways)) {
    $paypal_info_section_style = in_array('paypal', $selected_payment_gateways) ? 'display:block' : 'display:none';
} else {
    $paypal_info_section_style = 'display:none';
}

$paypal_show_on_order_form = isset($pay_trans_sett['paypal']['on']) ? $pay_trans_sett['paypal']['on'] : '';
$paypal_display_name = isset($pay_trans_sett['paypal']['display_name']) ? $pay_trans_sett['paypal']['display_name'] : '';
$paypal_user_name = isset($pay_trans_sett['paypal']['user_name']) ? $pay_trans_sett['paypal']['user_name'] : '';
$paypal_secret_key = isset($pay_trans_sett['paypal']['secret_key']) ? $pay_trans_sett['paypal']['secret_key'] : '';
$paypal_signature = isset($pay_trans_sett['paypal']['signature']) ? $pay_trans_sett['paypal']['signature'] : '';

//~~ Stripe Transfer Information
if (!empty($selected_payment_gateways)) {
    $stripe_info_section_style = in_array('stripe', $selected_payment_gateways) ? 'display:block' : 'display:none';
} else {
    $stripe_info_section_style = 'display:none';
}

$stripe_show_on_order_form = isset($pay_trans_sett['stripe']['on']) ? $pay_trans_sett['stripe']['on'] : '';
$stripe_display_name = isset($pay_trans_sett['stripe']['display_name']) ? $pay_trans_sett['stripe']['display_name'] : '';
$stripe_publish_key = isset($pay_trans_sett['stripe']['publish_key']) ? $pay_trans_sett['stripe']['publish_key'] : '';
$stripe_secret_key = isset($pay_trans_sett['stripe']['secret_key']) ? $pay_trans_sett['stripe']['secret_key'] : '';
?>

<div class="wrap">


    <div class="">
        <div class="">
            <h1 class="wp-heding-inline" style="padding-bottom: 10px">
                <?php echo esc_html_x("Settings", "admin", "ptsc"); ?>
            </h1>
        </div>

        <div id="ptsc-settings-tab" class="settings-tab-container">
            <div class="ptsc_tabs_container ptsc_tabs_fancy_2">
                <div class="ptsc_row" id="ptsc_tabs_settings">
                    <div class="ptsc_col_lg_3">
                        <ul class="ptsc_tab_links">
                            <li class="active ptsc_tab_link ptsc_settings_switch ptsc_sp_billing_tab_link"
                                data-tab="tab-1">
                                <label for="ptsc_sp_client_type_register">
                                    <?php echo esc_html_x('General Settings', "admin", "ptsc") ?>
                                </label>
                            </li>
                            <li class="ptsc_tab_link ptsc_settings_switch ptsc_sp_billing_tab_link"
                                data-tab="tab-2">
                                <label for="ptsc_sp_client_type_register">
                                    <?php echo esc_html_x('Currency Settings', "admin", "ptsc") ?>
                                </label>
                            </li>

                            <li class="ptsc_tab_link ptsc_settings_switch ptsc_sp_billing_tab_link"
                                data-tab="tab-3">
                                <label for="ptsc_sp_client_type_register">
                                    <?php echo esc_html_x('Price Display Settings', "admin", "ptsc") ?>
                                </label>
                            </li>

                            <li class="ptsc_tab_link ptsc_settings_switch ptsc_sp_billing_tab_link"
                                data-tab="tab-4">
                                <label for="ptsc_sp_client_type_login">
                                    <?php echo esc_html_x('Billing Setting', "admin", "ptsc") ?>
                                </label>
                            </li>
                            <li class="ptsc_tab_link ptsc_settings_switch ptsc_sp_billing_tab_link"
                                data-tab="tab-5">
                                <label>
                                    <?php echo esc_html_x('Social Logins Settings', "admin", "ptsc") ?>
                                </label>
                            </li>
                            <li class="ptsc_tab_link ptsc_settings_switch ptsc_sp_billing_tab_link"
                                data-tab="tab-6">
                                <label>
                                    <?php echo esc_html_x('Email Settings', "admin", "ptsc") ?>
                                </label>
                            </li>
                            <li class="ptsc_tab_link ptsc_settings_switch ptsc_sp_billing_tab_link"
                                data-tab="tab-7">
                                <label>
                                    <?php echo esc_html_x('Payment Settings', "admin", "ptsc") ?>
                                </label>
                            </li>
                            <li class="ptsc_tab_link ptsc_settings_switch ptsc_sp_billing_tab_link"
                                data-tab="tab-8">
                                <label>
                                    <?php echo esc_html_x('Company', "admin", "ptsc") ?>
                                </label>
                            </li>
                            <li class="ptsc_tab_link ptsc_settings_switch ptsc_sp_client_fields_tab_link"
                                data-tab="tab-9">
                                <label for="ptsc_sp_client_fields">
                                    <?php echo esc_html_x('Client Fields', "admin", "ptsc") ?>
                                </label>
                            </li>
                            <li class="ptsc_tab_link ptsc_settings_switch ptsc_sp_client_fields_tab_link"
                                data-tab="tab-10">
                                <label for="ptsc_sp_tc_fields">
                                    <?php echo esc_html_x('Terms & Conditions', "admin", "ptsc") ?>
                                </label>
                            </li>
                        </ul>
                    </div>
                    <div class="ptsc_col_lg_9">
                        <div class="ptsc_tabs_content active" id="tab-1">
                            <form action="options.php" method="post">
                                <?php
                                settings_fields("ptsc_display");
                                $description_separator = get_option("ptsc_description_separator");
                                $gp_api = get_option("gp_api");
                                $order_comp_msg = get_option("order_comp_msg");
                                $w_mode = !empty(get_option("w_mode")) ? get_option("w_mode") : 'display_only';
                                ?>
                                <div id="display_settings">
                                    <div class="ptsc_panel_body">
                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <a class="button" href="admin.php?page=ptsc-getting-started"
                                               style="float: right;"><?php echo esc_html_x("Configuration Wizard", "admin", "ptsc") ?></a>
                                        </div>
                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="description_separator"><strong><?php echo esc_html_x("Working mode", "admin", "ptsc") ?></strong></label>
                                            <div class="ptsc_radio_container">

                                                <?php $checked = $w_mode == 'display_only' ? 'ptsc_checked' : '' ?>
                                                <label class="ptsc_radio <?php echo $checked ?>">
                                                    <input type="radio" name="w_mode" value="display_only">
                                                    <?php echo esc_html_x("Display Only", "admin", "ptsc") ?>
                                                </label>


                                                <?php $checked = $w_mode == 'display_with_woocommerce' ? 'ptsc_checked' : '' ?>
                                                <label class="ptsc_radio <?php echo $checked ?>">
                                                    <input type="radio" name="w_mode" value="display_with_woocommerce">
                                                    <?php echo esc_html_x("Display With WooCommerce", "admin", "ptsc") ?>
                                                </label>


                                                <?php $checked = $w_mode == 'display_and_sell' ? 'ptsc_checked' : '' ?>
                                                <label class="ptsc_radio <?php echo $checked ?>">
                                                    <input type="radio" name="w_mode" value="display_and_sell">
                                                    <?php echo esc_html_x("Display and Sell", "admin", "ptsc") ?>
                                                </label>
                                            </div>
                                        </div>
                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="description_separator"><strong><?php echo esc_html_x("Description Separator", "admin", "ptsc") ?></strong></label>
                                            <input id="description_separator"
                                                   name="ptsc_description_separator"
                                                   value="<?php echo $description_separator ?>">
                                        </div>
                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="gp_api"><strong><?php echo esc_html_x("Google Places API Key", "admin", "ptsc") ?></strong></label>
                                            <input id="gp_api"
                                                   name="gp_api"
                                                   value="<?php echo $gp_api ?>">
                                        </div>
                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="order_comp_msg"><strong><?php echo esc_html_x("Order Complete Message", "admin", "ptsc") ?></strong></label>
                                            <input id="order_comp_msg"
                                                   name="order_comp_msg"
                                                   value="<?php echo $order_comp_msg ?>">
                                        </div>
                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="ptsc_primary_color"><strong><?php echo esc_html_x('Primary Color', 'admin', 'ptsc') ?></strong></label>
                                            <input id="ptsc_primary_color"
                                                   type="text"
                                                   class="ptsc_color_input"
                                                   name="ptsc_primary_color"
                                                   value="<?php echo esc_attr(get_option('ptsc_primary_color', '#000000')); ?>">
                                        </div>
                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="ptsc_secondary_color"><strong><?php echo esc_html_x('Secondary Color', 'admin', 'ptsc') ?></strong></label>
                                            <input id="ptsc_secondary_color"
                                                   type="text"
                                                   class="ptsc_color_input"
                                                   name="ptsc_secondary_color"
                                                   value="<?php echo esc_attr(get_option('ptsc_secondary_color', '#000000')); ?>">
                                        </div>
                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for=""><strong><?php echo esc_html_x("Enable Payment Gateways?", "admin", "ptsc") ?></strong></label>
                                            <?php
                                            $checked = get_option('ptsc_enable_pg') == 1 ? 'checked' : '';
                                            ?>

                                            <label for="ptsc_enable_pg">
                                                <input type="checkbox" <?php echo $checked ?> id="ptsc_enable_pg"
                                                       name="ptsc_enable_pg" value="1">
                                            </label>
                                        </div>
                                    </div>

                                </div>
                                <div class="ptsc_text_center" style="margin-top: 40px">
                                    <button class="button button-primary"><?php echo esc_html_x("Save Settings", "admin", "ptsc") ?></button>
                                </div>
                            </form>
                        </div>
                        <div class="ptsc_tabs_content" id="tab-2">
                            <form action="options.php" method="post">
                                <?php
                                settings_fields("ptsc_currency");
                                $default_currency = get_option("ptsc_default_currency");
                                $currency_prefix = get_option("ptsc_default_currency_symbol");
                                $currency_suffix = get_option("ptsc_default_currency_suffix");

                                ?>
                                <div id="display_settings">
                                    <div class="ptsc_panel_header ptsc_margin_bottom_15">
                                        <div class="ptsc_row">
                                            <div class="ptsc_col_6 ptsc_text_large">
                                                <?php /*echo esc_html_x("Currency Settings","admin", "ptsc"); */ ?>
                                            </div>
                                            <?php //~~ We are not offering multiple currenices in this version ?>
                                            <div class="ptsc_col_6 ptsc_text_right">
                                                <a class="button button-primary ptsc_icon ptsc_icon_plus"
                                                   href="admin.php?page=ptsc-add-currencies">
                                                    <?php echo esc_html_x("Add New Currency", "admin", "ptsc") ?>
                                                </a>
                                                <a class='button button-primary ptsc_pull_right ptsc_icon ptsc_icon_list'
                                                   style='margin-left:10px'
                                                   href="admin.php?page=ptsc-currencies">
                                                    <?php echo esc_html_x('List All Currencies', 'admin', 'ptsc'); ?>
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="ptsc_panel_body ">
                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="ptsc_default_currency"><strong><?php echo esc_html_x("Choose Currency", "admin", "ptsc") ?></strong></label>
                                            <select id="ptsc_default_currency"
                                                    name="ptsc_default_currency">
                                                <option value="0"><?php echo esc_html_x("Defualt Currency", "admin", "ptsc") ?></option>
                                                <?php
                                                $currency = $ptsc->ptsc_currency->ptsc_select();
                                                foreach ($currency as $curr) { ?>

                                                    <option value="<?php echo $curr['c_id'] ?>" <?php echo ($curr['c_id'] == $default_currency) ? "selected" : "" ?> ><?php echo $curr['code']; ?></option>

                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <!--<div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="ptsc_default_currency_symbol"><strong><?php /*echo esc_html_x("Currency Prefix","admin","ptsc") */ ?></strong></label>
                                <input id="ptsc_default_currency_symbol" name="ptsc_default_currency_symbol" value="<?php /*echo $currency_prefix;*/ ?>">
                            </div>
                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                <label for="ptsc_default_currency_suffix"><strong><?php /*echo esc_html_x("Currency Suffix","admin","ptsc") */ ?></strong></label>
                                <input id="ptsc_default_currency_suffix" name="ptsc_default_currency_suffix" value="<?php /*echo $currency_suffix;*/ ?>">
                            </div>-->
                                    </div>
                                </div>
                                <div class="ptsc_text_center">
                                    <button class="button button-primary"><?php echo esc_html_x("Save Settings", "admin", "ptsc") ?></button>
                                </div>
                            </form>
                        </div>
                        <div class="ptsc_tabs_content" id="tab-3">
                            <form action="options.php" method="post">
                                <?php
                                settings_fields("ptsc_pice_settings");
                                $thousand_separator = get_option("ptsc_thousand_separator");
                                $decimal_separator = get_option("ptsc_decimal_separator");
                                $show_trailing_zero = get_option("ptsc_show_trailing_zeros");
                                $price_not_configured = get_option("ptsc_price_not_configured_" . $ptsc->get_current_language());
                                $price_zero = get_option("ptsc_price_zero_" . $ptsc->get_current_language());
                                $duration_style = get_option("ptsc_duration_style");
                                $duration_connector = get_option("ptsc_duration_connector");
                                $decimals = get_option("ptsc_decimals");
                                $ptsc_override_string_price_due = get_option("ptsc_override_string_price_due");
                                ?>
                                <div id="display_settings">
                                    <div class="ptsc_panel_body ">

                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="thousand_separator"><strong><?php echo esc_html_x("Thousand Separator", "admin", "ptsc") ?></strong></label>
                                            <input id="thousand_separator"
                                                   name="ptsc_thousand_separator"
                                                   value="<?php echo $thousand_separator ?>">
                                        </div>

                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="decimal_separator"><strong><?php echo esc_html_x("Decimal Separator", "admin", "ptsc") ?></strong></label>
                                            <input id="decimal_separator"
                                                   name="ptsc_decimal_separator"
                                                   value="<?php echo $decimal_separator ?>">
                                        </div>


                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="decimals"><strong><?php echo esc_html_x("Decimal", "admin", "ptsc") ?></strong></label>
                                            <input id="decimals" name="ptsc_decimals"
                                                   value="<?php echo $decimals ?>">
                                        </div>


                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="price_not_configured_string"><strong><?php echo esc_html_x("String to Show if Price not configured", "admin", "ptsc") ?></strong></label>
                                            <input id="price_not_configured_string"
                                                   name="ptsc_price_not_configured_<?php echo $ptsc->get_current_language() ?>"
                                                   value="<?php echo $price_not_configured ?>">
                                        </div>

                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="price_not_available"><strong><?php echo esc_html_x("String to show if Price Zero", "admin", "ptsc") ?></strong></label>
                                            <input id="price_not_available"
                                                   name="ptsc_price_zero_<?php echo $ptsc->get_current_language() ?>"
                                                   value="<?php echo $price_zero ?>">
                                        </div>

                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="trailing_zero"><strong><?php echo esc_html_x("Show Trailing Zeros", "admin", "ptsc") ?></strong></label>
                                            <select id="trailing_zero" name="ptsc_show_trailing_zeros">
                                                <option value="yes" <?php echo ($show_trailing_zero == "yes") ? "selected" : "" ?>><?php echo esc_html_x("Yes", "admin", "ptsc") ?></option>
                                                <option value="no" <?php echo ($show_trailing_zero == "no") ? "selected" : "" ?>><?php echo esc_html_x("No", "admin", "ptsc") ?></option>
                                            </select>
                                        </div>


                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label id="duration_style"
                                                   for="duration_style"><strong><?php echo esc_html_x("Duration Style", "admin", "ptsc") ?></strong></label>
                                            <select id="duration_style" name="ptsc_duration_style">
                                                <option value="long" <?php echo ($duration_style == "long") ? "selected" : "" ?>><?php echo esc_html_x("Long (Year)", "admin", "ptsc") ?></option>
                                                <option value="short" <?php echo ($duration_style == "short") ? "selected" : "" ?>><?php echo esc_html_x("Short (yr)", "admin", "ptsc") ?></option>
                                                <option value="monthly" <?php echo ($duration_style == "monthly") ? "selected" : "" ?>><?php echo esc_html_x("Convert to Months", "admin", "ptsc") ?></option>
                                            </select>
                                        </div>

                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="ptsc_duration_connector"><strong><?php echo esc_html_x("Duration Connector", "admin", "ptsc") ?></strong></label>
                                            <input id="ptsc_duration_connector"
                                                   name="ptsc_duration_connector"
                                                   value="<?php echo $duration_connector ?>">
                                        </div>

                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="ptsc_override_string_price_due"><strong><?php echo esc_html_x("Override Price", "admin", "ptsc") ?></strong></label>
                                            <input id="ptsc_override_string_price_due"
                                                   name="ptsc_override_string_price_due"
                                                   value="<?php echo $ptsc_override_string_price_due ?>">
                                        </div>
                                    </div>


                                </div>
                                <div class="ptsc_text_center">
                                    <button class="button button-primary"><?php echo esc_html_x("Save Settings", "admin", "ptsc") ?></button>
                                </div>
                            </form>
                        </div>
                        <div class="ptsc_tabs_content" id="tab-4">
                            <form action="options.php" method="post">
                                <?php
                                settings_fields("ptsc_billing_settings");
                                $order_page_url = !empty(get_option("ptsc_order_page_url")) ? get_option("ptsc_order_page_url") : get_permalink(get_page_by_path('mk-order-page'));
                                $invoice_due_days = get_option("invoice_due_days");
                                $invoice_generated_before_days = get_option("invoice_generated_before_days");
                                $invoice_prefix = get_option("invoice_prefix");
                                $invoice_start = get_option("invoice_start");
                                ?>
                                <div id="billing_settings">
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ptsc_order_page_url"><strong><?php echo esc_html_x("Order Page URL", "admin", "ptsc") ?></strong></label>
                                        <input id="order_page_url" name="ptsc_order_page_url"
                                               value="<?php echo $order_page_url ?>">
                                    </div>
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="invoice_due_days"><strong><?php echo esc_html_x("Invoice_due_days", "admin", "ptsc") ?></strong></label>
                                        <input type="number" id="invoice_due_days"
                                               name="invoice_due_days"
                                               value="<?php echo $invoice_due_days ?>">
                                    </div>
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="invoice_generated_before_days"><strong><?php echo esc_html_x("Invoice Generated before days", "admin", "ptsc") ?></strong></label>
                                        <input type="number" id="invoice_generated_before_days"
                                               name="invoice_generated_before_days"
                                               value="<?php echo $invoice_generated_before_days ?>">
                                    </div>
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="invoice_prefix"><strong><?php echo esc_html_x("Invoice Prefix", "admin", "ptsc") ?></strong></label>
                                        <input id="invoice_prefix"
                                               name="invoice_prefix"
                                               value="<?php echo $invoice_prefix ?>">
                                    </div>
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="invoice_start"><strong><?php echo esc_html_x("Invoice Start", "admin", "ptsc") ?></strong></label>
                                        <input type="number" id="invoice_start"
                                               name="invoice_start"
                                               value="<?php echo $invoice_start ?>">
                                    </div>
                                </div>
                                <div class="ptsc_text_center">
                                    <button class="button button-primary"><?php echo esc_html_x("Save Settings", "admin", "ptsc") ?></button>
                                </div>

                            </form>
                        </div>
                        <div class="ptsc_tabs_content" id="tab-5">
                            <form action="options.php" method="post">
                                <?php
                                settings_fields("ptsc_social_settings");
                                $google_client_id = get_option("ptsc_google_client_id");
                                $show_google_login = get_option("ptsc_show_google_login");
                                ?>
                                <div id="social-login-settings">
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="show_google_login"><strong><?php echo esc_html_x("Show Google Login", "admin", "ptsc") ?></strong></label>
                                        <?php $checked = get_option('ptsc_show_google_login') == 1 ? 'checked' : '' ?>
                                        <input type="checkbox" <?php echo $checked ?> id="show_google_login"
                                               name="ptsc_show_google_login" value="0">
                                    </div>
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="google_client_id"><strong><?php echo esc_html_x("Google Login ID", "admin", "ptsc") ?></strong></label>
                                        <input id="google_client_id" name="ptsc_google_client_id"
                                               value="<?php echo $google_client_id ?>">
                                    </div>

                                </div>
                                <div class="ptsc_text_center">
                                    <button class="button button-primary"><?php echo esc_html_x("Save Settings", "admin", "ptsc") ?></button>
                                </div>
                            </form>
                        </div>
                        <div class="ptsc_tabs_content" id="tab-6">
                            <form action="options.php" method="post">
                                <?php
                                settings_fields("ptsc_email");
                                $email_sender_field = get_option("ptsc_email_sender");
                                $sender_email_address = get_option("ptsc_email_sender_email");
                                $email_styling = get_option("ptsc_email_styling");
                                $email_header = get_option("ptsc_email_header_content");
                                $email_footer = get_option("ptsc_email_footer_content");
                                $Ptsc_email_signature = get_option("Ptsc_email_signature");
                                ?>
                                <div id="email-settings">
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ptsc_email_sender"><strong><?php echo esc_html_x("Sender Name", "admin", "ptsc") ?></strong></label>
                                        <input id="ptsc_email_sender" name="ptsc_email_sender"
                                               value="<?php echo $email_sender_field ?>">
                                    </div>
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ptsc_email_sender_email"><strong><?php echo esc_html_x("Sender Email", "admin", "ptsc") ?></strong></label>
                                        <input id="ptsc_email_sender_email" name="ptsc_email_sender_email"
                                               value="<?php echo $sender_email_address ?>">
                                    </div>
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ptsc_email_styling"><strong><?php echo esc_html_x("Email Css Styling", "admin", "ptsc") ?></strong></label>
                                        <textarea id="ptsc_email_styling" name="ptsc_email_styling">
                                            <?php echo htmlspecialchars($email_styling) ?>
                                        </textarea>
                                    </div>
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ptsc_email_header_content"><strong><?php echo esc_html_x("Email Header Content", "admin", "ptsc") ?></strong></label>
                                        <textarea id="ptsc_email_header_content" name="ptsc_email_header_content">
                                            <?php echo htmlspecialchars($email_header) ?>
                                        </textarea>
                                    </div>
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ptsc_email_footer_content"><strong><?php echo esc_html_x("Email Footer Content", "admin", "ptsc") ?></strong></label>
                                        <textarea id="ptsc_email_footer_content" name="ptsc_email_footer_content">
                                            <?php echo htmlspecialchars($email_footer) ?>
                                        </textarea>
                                    </div>
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="Ptsc_email_signature"><strong><?php echo esc_html_x("Email Signature", "admin", "ptsc") ?></strong></label>
                                        <input id="Ptsc_email_signature" name="Ptsc_email_signature"
                                               value="<?php echo $Ptsc_email_signature ?>">
                                    </div>

                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label><strong><?php echo esc_html_x("Enable Email Template", "admin", "ptsc") ?></strong></label>
                                        <?php $checked = get_option('enable_order-confirmation') == 1 ? 'checked' : '' ?>
                                        <input <?php echo $checked ?> type="checkbox" name="enable_order-confirmation"
                                                                      value="1">
                                        <?php echo esc_html_x("Order", "admin", "ptsc") ?>

                                        <?php $checked = get_option('enable_invoice-generated') == 1 ? 'checked' : '' ?>
                                        <input <?php echo $checked ?> type="checkbox" name="enable_invoice-generated"
                                                                      value="1">
                                        <?php echo esc_html_x("Invoice Generated", "admin", "ptsc") ?>

                                        <?php $checked = get_option('enable_invoice-paid') == 1 ? 'checked' : '' ?>
                                        <input <?php echo $checked ?> type="checkbox" name="enable_invoice-paid"
                                                                      value="1">
                                        <?php echo esc_html_x("Invoice Paid", "admin", "ptsc") ?>

                                    </div>

                                </div>
                                <div class="ptsc_text_center">
                                    <button class="button button-primary"><?php echo esc_html_x("Save Settings", "admin", "ptsc") ?></button>
                                </div>
                            </form>
                        </div>
                        <div class="ptsc_tabs_content" id="tab-7">
                            <form action="#" method="post">
                                <div id="billing_settings">
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">

                                        <label for=""><strong><?php echo esc_html_x("Payment Gateways", "admin", "ptsc") ?></strong></label>
                                        <?php
                                        if (!empty($selected_payment_gateways)) {
                                            $checked = (in_array('bank', $selected_payment_gateways)) ? 'checked' : '';
                                        } else {
                                            $checked = '';
                                        }
                                        ?>
                                        <label for="ptsc_payment_gateways">
                                            <input type="checkbox" <?php echo $checked ?> id="ptsc_payment_gateways"
                                                   name="ptsc_payment_gateways[]" value="bank">
                                            <?php echo esc_html_x("Bank Transfer", "admin", "ptsc") ?>
                                        </label>

                                        <!-- INFORMATION SECTION -->
                                        <div class="bank_info_sec" style="<?php echo $bank_info_section_style ?>">

                                            <?php $bank_show = ($bank_show_on_order_form == 'on') ? 'checked' : ''; ?>
                                            <label for="bank_show">
                                                <input type="checkbox" <?php echo $checked ?> id="bank_show"
                                                       name="bank_show" value="on">
                                                <?php echo esc_html_x("Show on Order Form", "admin", "ptsc") ?>
                                            </label>

                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                <input id="bank_display_name"
                                                       name="bank_display_name"
                                                       value="<?php echo $bank_display_name ?>"
                                                       placeholder="Display Name">
                                            </div>
                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                <input id="bank_name"
                                                       name="bank_name"
                                                       value="<?php echo $bank_name ?>" placeholder="Bank Name"">
                                            </div>
                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                <input id="bank_payee_name"
                                                       name="bank_payee_name"
                                                       value="<?php echo $bank_payee_name ?>" placeholder="Payee Name">
                                            </div>
                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                <input type="number" id="bank_sort_code"
                                                       name="bank_sort_code"
                                                       value="<?php echo $bank_sort_code ?>" placeholder="Sort Code">
                                            </div>
                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                <input type="number" id="bank_account_num"
                                                       name="bank_account_num"
                                                       value="<?php echo $bank_account_num ?>"
                                                       placeholder="Account Number">
                                            </div>
                                        </div>

                                        <!--  Bluepay Payment Gateway -->
                                        <?php
                                        /*if (!empty($selected_payment_gateways)) {
                                            $bluepay_checked = (in_array('bluepay', $selected_payment_gateways)) ? 'checked' : '';
                                        } else {
                                            $bluepay_checked = '';
                                        }*/
                                        ?>
                                        <!--<div class="clear">
                                            <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_margin_top_20">
                                                <label for=""
                                                       style="opacity: 0;"><strong><?php /*echo esc_html_x("Payment Gateways", "admin", "ptsc") */ ?></strong></label>
                                                <label for="ptsc_bluepay_gateways">
                                                    <input type="checkbox" <?php /*echo $bluepay_checked */ ?>
                                                           id="ptsc_bluepay_gateways"
                                                           name="ptsc_payment_gateways[]" value="bluepay">
                                                    <?php /*echo esc_html_x("Bluepay", "admin", "ptsc") */ ?>
                                                </label>

                                                <div class="bluepay_info_sec"
                                                     style="<?php /*echo $bluepay_info_section_style */ ?>">

                                                    <?php /*$bluepay_show = ($bluepay_show_on_order_form == 'on') ? 'checked' : ''; */ ?>

                                                    <label for="bluepay_show">
                                                        <input type="checkbox" <?php /*echo $bluepay_show */ ?>
                                                               id="bluepay_show"
                                                               name="bluepay_show" value="on">
                                                        <?php /*echo esc_html_x("Show on Order Form", "admin", "ptsc") */ ?>
                                                    </label>

                                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                        <input id="bluepay_display_name"
                                                               name="bluepay_display_name"
                                                               value="<?php /*echo $bluepay_display_name */ ?>"
                                                               placeholder="Display Name">
                                                    </div>
                                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                        <input type="number" id="bluepay_accoount_id"
                                                               name="bluepay_accoount_id"
                                                               value="<?php /*echo $bluepay_accoount_id */ ?>"
                                                               placeholder="Accound ID"">
                                                    </div>
                                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                        <input id="bluepay_secret_key"
                                                               name="bluepay_secret_key"
                                                               value="<?php /*echo $bluepay_secret_key */ ?>"
                                                               placeholder="Secret Key">
                                                    </div>

                                                </div>
                                            </div>
                                        </div>-->


                                        <!-- PAYPAL EXPRESS CHECKOUT -->
                                        <?php
                                        if (!empty($selected_payment_gateways)) {
                                            $paypal_checked = (in_array('paypal', $selected_payment_gateways)) ? 'checked' : '';
                                        } else {
                                            $paypal_checked = '';
                                        }
                                        ?>
                                        <div class="clear">
                                            <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_margin_top_20">
                                                <label for=""
                                                       style="opacity: 0;"><strong><?php echo esc_html_x("Payment Gateways", "admin", "ptsc") ?></strong></label>
                                                <label for="ptsc_paypal_gateways">
                                                    <input type="checkbox" <?php echo $paypal_checked ?>
                                                           id="ptsc_paypal_gateways"
                                                           name="ptsc_payment_gateways[]" value="paypal">
                                                    <?php echo esc_html_x("Paypal Express Checkout", "admin", "ptsc") ?>
                                                </label>

                                                <!-- INFORMATION SECTION -->
                                                <div class="paypal_info_sec"
                                                     style="<?php echo $paypal_info_section_style ?>">

                                                    <?php $paypal_show = ($paypal_show_on_order_form == 'on') ? 'checked' : ''; ?>

                                                    <label for="paypal_show">
                                                        <input type="checkbox" <?php echo $paypal_show ?>
                                                               id="paypal_show"
                                                               name="paypal_show" value="on">
                                                        <?php echo esc_html_x("Show on Order Form", "admin", "ptsc") ?>
                                                    </label>

                                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                        <input id="paypal_display_name"
                                                               name="paypal_display_name"
                                                               value="<?php echo $paypal_display_name ?>"
                                                               placeholder="Display Name">
                                                    </div>
                                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                        <input type="text" id="paypal_user_name"
                                                               name="paypal_user_name"
                                                               value="<?php echo $paypal_user_name ?>"
                                                               placeholder="User Name">
                                                    </div>
                                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                        <input id="paypal_secret_key"
                                                               name="paypal_secret_key"
                                                               value="<?php echo $paypal_secret_key ?>"
                                                               placeholder="Secret Key">
                                                    </div>
                                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                        <input id="paypal_signature"
                                                               name="paypal_signature"
                                                               value="<?php echo $paypal_signature ?>"
                                                               placeholder="Paypal Signature">
                                                    </div>

                                                </div>
                                            </div>
                                        </div>

                                        <!-- STRIPE CHECKOUT -->
                                        <?php
                                        if (!empty($selected_payment_gateways)) {
                                            $stripe_checked = (in_array('stripe', $selected_payment_gateways)) ? 'checked' : '';
                                        } else {
                                            $stripe_checked = '';
                                        }
                                        ?>
                                        <div class="clear">
                                            <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_margin_top_20">
                                                <label for=""
                                                       style="opacity: 0;"><strong><?php echo esc_html_x("Payment Gateways", "admin", "ptsc") ?></strong></label>
                                                <label for="ptsc_stripe_gateways">
                                                    <input type="checkbox" <?php echo $stripe_checked ?>
                                                           id="ptsc_stripe_gateways"
                                                           name="ptsc_payment_gateways[]" value="stripe">
                                                    <?php echo esc_html_x("Stripe Checkout", "admin", "ptsc") ?>
                                                </label>

                                                <!-- INFORMATION SECTION -->
                                                <div class="stripe_info_sec"
                                                     style="<?php echo $stripe_info_section_style ?>">

                                                    <?php $stripe_show = ($stripe_show_on_order_form == 'on') ? 'checked' : ''; ?>

                                                    <label for="stripe_show">
                                                        <input type="checkbox" <?php echo $stripe_show ?>
                                                               id="stripe_show"
                                                               name="stripe_show" value="on">
                                                        <?php echo esc_html_x("Show on Order Form", "admin", "ptsc") ?>
                                                    </label>

                                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                        <input id="stripe_display_name"
                                                               name="stripe_display_name"
                                                               value="<?php echo $stripe_display_name ?>"
                                                               placeholder="Display Name">
                                                    </div>
                                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                        <input type="text" id="stripe_publish_key"
                                                               name="stripe_publish_key"
                                                               value="<?php echo $stripe_publish_key ?>"
                                                               placeholder="Publish Key">
                                                    </div>
                                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                        <input id="stripe_secret_key"
                                                               name="stripe_secret_key"
                                                               value="<?php echo $stripe_secret_key ?>"
                                                               placeholder="Secret Key">
                                                    </div>

                                                </div>
                                            </div>
                                        </div>


                                    </div>
                                </div>
                                <div class="ptsc_text_center">
                                    <input type="submit" class="button button-primary"
                                           name="ptsc_save_billing_settings" value="Save Settings">
                                </div>

                            </form>
                        </div>
                        <div class="ptsc_tabs_content" id="tab-8">
                            <form action="options.php" method="post">
                                <?php
                                settings_fields("ptsc_company");
                                $ptsc_Company_name_url = get_option("ptsc_Company_name_url");
                                $ptsc_Company_name = get_option("ptsc_Company_name");
                                $ptsc_company_domain = get_option("ptsc_company_domain");
                                $ptsc_Company_details = get_option("ptsc_Company_details");
                                $ptsc_Company_address_one = get_option("ptsc_Company_address_one");
                                $ptsc_Company_address_tow = get_option("ptsc_Company_address_tow");
                                $ptsc_country_name = get_option("ptsc_country_name");
                                $ptsc_city_name = get_option("ptsc_city_name");
                                $ptsc_postal_code = get_option("ptsc_postal_code");
                                ?>
                                <div id="company-settings">
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ptsc_Company_name_url"><strong><?php echo esc_html_x("Company Logo", "admin", "ptsc") ?></strong></label>
                                        <input id="ptsc_Company_name_url" name="ptsc_Company_name_url" placeholder="Compnaly Logo URL"
                                               value="<?php echo $ptsc_Company_name_url ?>">
                                    </div>
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ptsc_Company_name"><strong><?php echo esc_html_x("Company Name", "admin", "ptsc") ?></strong></label>
                                        <input id="ptsc_Company_name" name="ptsc_Company_name"
                                               value="<?php echo $ptsc_Company_name ?>">
                                    </div>
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ptsc_company_domain"><strong><?php echo esc_html_x("Company Domain", "admin", "ptsc") ?></strong></label>
                                        <input id="ptsc_company_domain" name="ptsc_company_domain"
                                               value="<?php echo $ptsc_company_domain ?>">
                                    </div>
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ptsc_Company_details"><strong><?php echo esc_html_x("Company details", "admin", "ptsc") ?></strong></label>
                                        <input id="ptsc_Company_details" name="ptsc_Company_details"
                                               value="<?php echo $ptsc_Company_details ?>">
                                    </div>
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ptsc_Company_address_one"><strong><?php echo esc_html_x("Address line 1", "admin", "ptsc") ?></strong></label>
                                        <input id="ptsc_Company_address_one" name="ptsc_Company_address_one"
                                               value="<?php echo $ptsc_Company_address_one ?>">
                                    </div>
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ptsc_Company_address_tow"><strong><?php echo esc_html_x("Address line 2", "admin", "ptsc") ?></strong></label>
                                        <input id="ptsc_Company_address_tow" name="ptsc_Company_address_tow"
                                               value="<?php echo $ptsc_Company_address_tow ?>">
                                    </div>
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ptsc_country_name"><strong><?php echo esc_html_x("Country name", "admin", "ptsc") ?></strong></label>
                                        <input id="ptsc_country_name" name="ptsc_country_name"
                                               value="<?php echo $ptsc_country_name ?>">
                                    </div>
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ptsc_city_name"><strong><?php echo esc_html_x("City name", "admin", "ptsc") ?></strong></label>
                                        <input id="ptsc_city_name" name="ptsc_city_name"
                                               value="<?php echo $ptsc_city_name ?>">
                                    </div>
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="ptsc_postal_code"><strong><?php echo esc_html_x("* Postal Code", "admin", "ptsc") ?></strong></label>
                                        <input required id="ptsc_postal_code" name="ptsc_postal_code"
                                               value="<?php echo $ptsc_postal_code ?>">
                                    </div>
                                </div>
                                <div class="ptsc_text_center">
                                    <button class="button button-primary"><?php echo esc_html_x("Save Settings", "admin", "ptsc") ?></button>
                                </div>
                            </form>
                        </div>
                        <div class="ptsc_tabs_content" id="tab-9">
                            <form action="options.php" method="post">
                                <?php
                                settings_fields("ptsc_client_fields");
                                ?>
                                <div id="client-fields-settings">
                                    <div class="ptsc_row">
                                        <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                            <?php
                                            $checked = !empty(get_option('ptsc_client_company_name')) ? "ptsc_checked" : '';
                                            $selected = (!empty($checked)) ? "checked" : "";
                                            ?>
                                            <label class=" <?php echo $checked; ?>">
                                                <input type="checkbox"
                                                       name="ptsc_client_company_name" <?php echo $selected; ?>
                                                       value="yes"> <?php esc_html_e('Company Name', 'ptsc') ?>
                                            </label>
                                        </div>
                                        <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                            <?php
                                            $checked = !empty(get_option('ptsc_client_address1')) ? "ptsc_checked" : '';
                                            $selected = (!empty($checked)) ? "checked" : "";
                                            ?>
                                            <label class=" <?php echo $checked; ?>">
                                                <input type="checkbox"
                                                       name="ptsc_client_address1" <?php echo $selected; ?>
                                                       value="yes"> <?php esc_html_e('Address1', 'ptsc') ?>
                                            </label>
                                        </div>
                                    </div>
                                    <div class="ptsc_row">
                                        <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                            <?php
                                            $checked = !empty(get_option('ptsc_client_address2')) ? "ptsc_checked" : '';
                                            $selected = (!empty($checked)) ? "checked" : "";
                                            ?>
                                            <label class=" <?php echo $checked; ?>">
                                                <input type="checkbox"
                                                       name="ptsc_client_address2" <?php echo $selected; ?>
                                                       value="yes"> <?php esc_html_e('Address2', 'ptsc') ?>
                                            </label>
                                        </div>
                                        <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                            <?php
                                            $checked = !empty(get_option('ptsc_client_country')) ? "ptsc_checked" : '';
                                            $selected = (!empty($checked)) ? "checked" : "";
                                            ?>
                                            <label class=" <?php echo $checked; ?>">
                                                <input type="checkbox"
                                                       name="ptsc_client_country" <?php echo $selected; ?>
                                                       value="yes"> <?php esc_html_e('Country', 'ptsc') ?>
                                            </label>
                                        </div>
                                    </div>
                                    <div class="ptsc_row">
                                        <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                            <?php
                                            $checked = !empty(get_option('ptsc_client_state')) ? "ptsc_checked" : '';
                                            $selected = (!empty($checked)) ? "checked" : "";
                                            ?>
                                            <label class=" <?php echo $checked; ?>">
                                                <input type="checkbox"
                                                       name="ptsc_client_state" <?php echo $selected; ?>
                                                       value="yes"> <?php esc_html_e('State', 'ptsc') ?>
                                            </label>
                                        </div>
                                        <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                            <?php
                                            $checked = !empty(get_option('ptsc_client_city')) ? "ptsc_checked" : '';
                                            $selected = (!empty($checked)) ? "checked" : "";
                                            ?>
                                            <label class=" <?php echo $checked; ?>">
                                                <input type="checkbox"
                                                       name="ptsc_client_city" <?php echo $selected; ?>
                                                       value="yes"> <?php esc_html_e('City', 'ptsc') ?>
                                            </label>
                                        </div>
                                    </div>
                                    <div class="ptsc_row">
                                        <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                            <?php
                                            $checked = !empty(get_option('ptsc_client_dob')) ? "ptsc_checked" : '';
                                            $selected = (!empty($checked)) ? "checked" : "";
                                            ?>
                                            <label class=" <?php echo $checked; ?>">
                                                <input type="checkbox"
                                                       name="ptsc_client_dob" <?php echo $selected; ?>
                                                       value="yes"> <?php esc_html_e('Date of Birth', 'ptsc') ?>
                                            </label>
                                        </div>
                                        <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                            <?php
                                            $checked = !empty(get_option('ptsc_client_profession')) ? "ptsc_checked" : '';
                                            $selected = (!empty($checked)) ? "checked" : "";
                                            ?>
                                            <label class=" <?php echo $checked; ?>">
                                                <input type="checkbox"
                                                       name="ptsc_client_profession" <?php echo $selected; ?>
                                                       value="yes"> <?php esc_html_e('Profession', 'ptsc') ?>
                                            </label>
                                        </div>
                                    </div>
                                    <div class="ptsc_row">
                                        <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                            <?php
                                            $checked = !empty(get_option('ptsc_client_investment_budget')) ? "ptsc_checked" : '';
                                            $selected = (!empty($checked)) ? "checked" : "";
                                            ?>
                                            <label class=" <?php echo $checked; ?>">
                                                <input type="checkbox"
                                                       name="ptsc_client_investment_budget" <?php echo $selected; ?>
                                                       value="yes"> <?php esc_html_e('Investment Budget', 'ptsc') ?>
                                            </label>
                                        </div>
                                        <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                            <?php
                                            $checked = !empty(get_option('ptsc_client_cnic')) ? "ptsc_checked" : '';
                                            $selected = (!empty($checked)) ? "checked" : "";
                                            ?>
                                            <label class=" <?php echo $checked; ?>">
                                                <input type="checkbox"
                                                       name="ptsc_client_cnic" <?php echo $selected; ?>
                                                       value="yes"> <?php esc_html_e('CNIC Copy', 'ptsc') ?>
                                            </label>
                                        </div>
                                    </div>
                                    <div class="ptsc_row">
                                        <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                            <?php
                                            $checked = !empty(get_option('ptsc_client_remarks')) ? "ptsc_checked" : '';
                                            $selected = (!empty($checked)) ? "checked" : "";
                                            ?>
                                            <label class=" <?php echo $checked; ?>">
                                                <input type="checkbox"
                                                       name="ptsc_client_remarks" <?php echo $selected; ?>
                                                       value="yes"> <?php esc_html_e('Remarks', 'ptsc') ?>
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                <div class="ptsc_text_center">
                                    <button class="button button-primary"><?php echo esc_html_x("Save Settings", "admin", "ptsc") ?></button>
                                </div>
                            </form>
                        </div>
                        <div class="ptsc_tabs_content" id="tab-10">
                            <form action="options.php" method="post">
                                <?php
                                settings_fields("ptsc_terms_services_fields");
                                $ptsc_tc_text = get_option("ptsc_tc_text");
                                $ptsc_tc_link = get_option("ptsc_tc_link");
                                ?>

                                <div class="ptsc_form_field ptsc_form_field_horizontal">
                                    <label for="ptsc_tc_text"><strong><?php echo esc_html_x("Terms & Condition Text", "admin", "ptsc") ?></strong></label>
                                    <input required id="ptsc_tc_text" name="ptsc_tc_text"
                                           value="<?php echo $ptsc_tc_text ?>">
                                </div>
                                <div class="ptsc_form_field ptsc_form_field_horizontal">
                                    <label for="ptsc_tc_link"><strong><?php echo esc_html_x("Terms & Condition link", "admin", "ptsc") ?></strong></label>
                                    <input required id="ptsc_tc_link" name="ptsc_tc_link"
                                           value="<?php echo $ptsc_tc_link ?>">
                                </div>
                                <div class="ptsc_form_field ptsc_form_field_horizontal">
                                    <label for="show_tc"><strong><?php echo esc_html_x("Show on Order Form?", "admin", "ptsc") ?></strong></label>
                                    <?php $checked = get_option('show_tc') == 1 ? 'checked' : '' ?>
                                    <input type="checkbox" <?php echo $checked ?> id="show_tc"
                                           name="show_tc" value="1">
                                </div>


                                <div class="ptsc_text_center">
                                    <button class="button button-primary"><?php echo esc_html_x("Save Settings", "admin", "ptsc") ?></button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>

            </div>


        </div>


    </div>
</div>
<script type="text/javascript">
    jQuery(document).ready(function () {
        jQuery('.ptsc_settings_switch').click(function () {
            var tab_id = jQuery(this).attr('data-tab');
            jQuery(this).addClass('active');
            jQuery("#" + tab_id).addClass('active');
        });
        jQuery('#show_google_login').click(function () {
            if (jQuery(this).is(":checked")) {
                jQuery('#show_google_login').val('1');
            } else {
                jQuery('#show_google_login').val('0');
            }
        });
        jQuery('#ptsc_payment_gateways').click(function () {
            if (jQuery(this).is(":checked")) {
                jQuery('.bank_info_sec').slideDown();
            } else {
                jQuery('.bank_info_sec').slideUp();
            }
        });

        jQuery('#ptsc_bluepay_gateways').click(function () {
            if (jQuery(this).is(":checked")) {
                jQuery('.bluepay_info_sec').slideDown();
            } else {
                jQuery('.bluepay_info_sec').slideUp();
            }
        });

        jQuery('#ptsc_paypal_gateways').click(function () {
            if (jQuery(this).is(":checked")) {
                jQuery('.paypal_info_sec').slideDown();
            } else {
                jQuery('.paypal_info_sec').slideUp();
            }
        });

        jQuery('#ptsc_stripe_gateways').click(function () {
            if (jQuery(this).is(":checked")) {
                jQuery('.stripe_info_sec').slideDown();
            } else {
                jQuery('.stripe_info_sec').slideUp();
            }
        });
    });
</script>

