<?php
/**
 * Created by PhpStorm.
 * User: fokado
 * Date: 10/21/2016
 * Time: 6:05 PM
 */


if (!defined('PTSC_PATH')) {
    wp_die("Direct access not allowed by WHMPress", "Forbidden");
}

require_once(PTSC_PATH . '/classes/ptsc.php');
global $wpdb;
$ptsc = new PTSC();
$tooltips = $ptsc->ptsc_tooltip;

//~~ Getting Screen Option Value
$user = get_current_user_id();
$screen = get_current_screen();
$option = $screen->get_option('per_page', 'option');
$per_page = get_user_meta($user, $option, true);
if (empty ($per_page) || $per_page < 1) {
    $per_page = $screen->get_option('per_page', 'default');
}

?>


<div class="ptsc ptsc_admin_page">
    <!--    <h2></h2>-->
    <!-- Title of Plugin Page -->
    <div class="ptsc_admin_page_title">
        <?php
        if (isset($_GET["add"])) {
            ?>
            <p>
                <?php esc_html_x('You can use tool tips to give extra details about package features you are offering. Tool tip will appear if you have enabled it in group and a feature name matches with a tool tip.', 'admin', 'ptsc') ?>
            </p>
        <?php } elseif (isset($_GET["edit"])) {
            ?>
            <p>
                <?php esc_html_x('You can use tool tips to give extra details about package features you are offering. Tool tip will appear if you have enabled it in group and a feature name matches with a tool tip.', 'admin', 'ptsc') ?>
            </p>
        <?php } else { ?>
            <p>
                <?php esc_html_x('You can use tool tips to give extra details about package features you are offering. Tool tip will appear if you have enabled it in group and a feature name matches with a tool tip.', 'admin', 'ptsc') ?>
            </p>
        <?php } ?>
    </div>

    <?php
    /**
     * This page control all operations of tooltips management.
     */

    //~ DELETE
    if (isset($_GET["del-tooltip"])) {
        $tooltips->ptsc_delete($_GET["del-tooltip"]);
        if (isset($_GET["name"])) {
            $message = "Tooltip " . $_GET["name"] . ' ' . "Deleted successfully"; ?>

            <div class='updated'><p> <?php echo $message ?> </p></div>
            <?php
            //echo "<div>Tooltip Name <strong>" . $_GET["name"] . "</strong> is deleted!</div>";
            ?>
        <?php }
    }

    //~~ ADD > user clicked Add
    if (isset($_GET["add"])) {
        require_once PTSC_PATH . "/admin/admin_pages/tooltips/tooltip-add.php";
    }

    //~ Data submitted for add
    if (isset($_POST["matchstring"])) {
        if (isset($_POST["matchstring"])) {
            $data["match_string"] = $_POST["matchstring"];
        }
        if (isset($_POST["tooltiptext"])) {
            $data["tooltip_text"] = $_POST["tooltiptext"];
        }
        if (isset($_POST["tooltiplink"])) {
            $data["tooltiplink"] = $_POST["tooltiplink"];
        }
        if (isset($_POST["tooltipicon"])) {
            $data["tooltipicon"] = $_POST["tooltipicon"];
        }

        if (empty($_POST["tooltip_id"])) {
            $response_add = $wpdb->insert(ptsc_get_tooltips_table_name(), $data);
        } else {
            $response_edit = $wpdb->update(ptsc_get_tooltips_table_name(), $data, ["tooltip_id" => $_POST["tooltip_id"]]);
        }
        ?>

        <!-- Tooltip Save Message Starts Here -->
        <?php
        if (!empty($response_add)) {
            $message = "Tooltip " . $data["match_string"] . ' ' . "saved successfully";
        } elseif (!empty($response_edit)) {
            $message = "Tooltip " . $data["match_string"] . ' ' . "updated successfully";
        } else {
            $message = esc_html_x("Something went wrong", "admin", "ptsc");
        }
        ?>

        <!-- Show Message -->
        <div class='updated'><p><?php echo $message ?></p></div>
    <?php }

    //~~ EDIT
    if (isset($_GET["edit"])) {
        require_once PTSC_PATH . "/admin/admin_pages/tooltips/tooltip-edit.php";
    }

    //~~ Show list of pages if there is no action.
    if (!isset($_GET["add"]) && !isset($_GET["edit"])) {        //~~ get rows from tooltips table
        $Q = "SELECT * FROM `" . ptsc_get_tooltips_table_name() . "`";
        $tooltips = $wpdb->get_results($Q, ARRAY_A);
        sort($tooltips);
        ?>

        <div class="wrap">
            <div class="">
                <h1 class="wp-heading-inline">
                    <?php echo esc_html_x("Tooltips", "admin", "ptsc"); ?>
                </h1>
                <a href="?page=<?php echo @$_GET['page']; ?>&add"
                   class="page-title-action ptsc_icon ptsc_icon_plus">
                    <?php echo esc_html_x('Add Tooltip', 'admin', 'ptsc') ?>
                </a>
                <hr class="wp-header-end">
            </div>

<!--            <div class="ptsc_alert ptsc_alert_info ptsc_margin_bottom_30">-->
<!--                --><?php //echo esc_html_x("This page lists all defined tooltips.", "admin", "ptsc");
//                ?>
<!--            </div>-->
            <table class="wp-list-table widefat fixed striped table-view-list posts">
                <!--    Column Headings  -->
                <thead class="ptsc_panel_header ptsc_panel_header_white">
                    <tr>
                        <td id="cb" class="manage-column column-cb check-column">
                            <strong><?php echo esc_html_x("ID", "admin", "ptsc"); ?></strong>
                        </td>
                        <th scope="col" class="manage-column">
                            <strong><?php echo esc_html_x("Match String", "admin", "ptsc"); ?></strong>
                        </th>
                        <th scope="col" class="manage-column">
                            <strong><?php echo esc_html_x("Tooltip Text", "admin", "ptsc"); ?></strong>
                        </th>
                        <th scope="col" class="manage-column">
                            <strong><?php echo esc_html_x("Tooltip Url", "admin", "ptsc"); ?></strong>
                        </th>
                        <th scope="col" class="manage-column">
                            <strong><?php echo esc_html_x("Tooltip Icon", "admin", "ptsc"); ?></strong>
                        </th>
                        <th cscope="col" class="manage-column" style="text-align: center;">
                            <strong><?php echo esc_html_x("Actions", "admin", "ptsc"); ?></strong>
                        </th>
                    </tr>
                </thead>
                <!--   End Column Headings  -->

                <!--   Tooltip row starts Here -->
                <tbody id="the-list">
                <?php
                $tooltips_count = 0;
                if (is_array($tooltips) && sizeof($tooltips) > 0) {
                    foreach ($tooltips as $tooltip) {
                        ?>
                            <tr >
                                <th  scope="row" class="check-column">
                                    <?php echo $tooltip["tooltip_id"] ?>
                                </th>
                                <td >
                                    <a href="?page=ptsc-tooltips&edit=<?php echo $tooltip["tooltip_id"] ?>"><?php echo $tooltip["match_string"] ?>
                                    </a>
                                </td>
                                <td>
                                    <?php echo $tooltip["tooltip_text"] ?>
                                </td>
                                <td>
                                    <?php echo $tooltip["tooltiplink"] ?>
                                </td>
                                <td>
                                    <?php echo $tooltip["tooltipicon"] ?>
                                </td>
                                <td class="ptsc_main" style="text-align: center">
                                    <a href="?page=ptsc-tooltips&edit=<?php echo $tooltip["tooltip_id"] ?>"
                                       class="ptsc_button ptsc_button_primary ptsc_icon ptsc_icon_pencil">
                                    </a>
                                    <a class="ptsc_button ptsc_button_primary  ptsc_icon ptsc_icon_trash"
                                       title="<?php echo esc_html_x('Delete', 'admin', 'ptsc') ?>"
                                       data-id="<?php echo $tooltip["tooltip_id"] ?>"
                                       href="admin.php?page=ptsc-tooltips&del-tooltip=<?php echo $tooltip["tooltip_id"] . "&name=" . $tooltip['match_string'] ?>"
                                       style="margin-bottom: 0"
                                       onclick="return confirm('Are you sure You want to delete?')">
                                    </a>

                                </td>
                            </tr>

                        <?php
                        $tooltips_count++;
                        if($tooltips_count == $per_page) break;
                        ?>
                    <?php } ?>
                    </tbody>
                <?php } else { ?>
                    <div class="ptsc_panel_warning">
                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                            <div class="ptsc_text_center">
                                <em><?php echo esc_html_x("No Tooltip Found", "admin", "ptsc"); ?>
                                    <a href="?page=<?php echo @$_GET['page']; ?>&add">
                                        <?php echo esc_html_x("Add new Tooltip", "admin", "ptsc"); ?>
                                    </a>
                                </em>
                            </div>
                        </div>
                    </div>
                <?php } ?>
            </table>

        </div>
        <?php
    }
    ?>
</div>

<script>
    jQuery(function () {
        jQuery(".del-button").click(function (event) {
            //event.preventDefault();

            if (!confirm("Are you sure you want to delete this group?")) return false;
        });
        jQuery(".select_me").focus(function () {
            jQuery(this).select();
        });
    });
</script>