var ptsc_spinner_icon = '<i class="ptsc_icon_spinner ptsc_animate_spin"></i>';
var ptsc_spinner_block = '<div class="ptsc_text_center_xs"><i class="ptsc_icon_spinner ptsc_animate_spin"></i></div>';

// Sticky Function
(
	function () {
		var $, win;

		$ = window.jQuery;

		win = $( window );

		$.fn.ptsc_sticky = function ( opts ) {
			var doc, elm, enable_bottoming, fn, i, inner_scrolling, len, manual_spacer, offset_top, outer_width,
				parent_selector, recalc_every, sticky_class;
			if ( opts == null ) {
				opts = {};
			}
			sticky_class = opts.sticky_class, inner_scrolling = opts.inner_scrolling, recalc_every = opts.recalc_every, parent_selector = opts.parent, offset_top = opts.offset_top, manual_spacer = opts.spacer, enable_bottoming = opts.bottoming;
			if ( offset_top == null ) {
				offset_top = 0;
			}
			if ( parent_selector == null ) {
				parent_selector = void 0;
			}
			if ( inner_scrolling == null ) {
				inner_scrolling = true;
			}
			if ( sticky_class == null ) {
				sticky_class = "is_stuck";
			}
			doc = $( document );
			if ( enable_bottoming == null ) {
				enable_bottoming = true;
			}
			outer_width = function ( el ) {
				var _el, computed, w;
				if ( window.getComputedStyle ) {
					_el = el[0];
					computed = window.getComputedStyle( el[0] );
					w = parseFloat( computed.getPropertyValue( "width" ) ) + parseFloat( computed.getPropertyValue( "margin-left" ) ) + parseFloat( computed.getPropertyValue( "margin-right" ) );
					if ( computed.getPropertyValue( "box-sizing" ) !== "border-box" ) {
						w += parseFloat( computed.getPropertyValue( "border-left-width" ) ) + parseFloat( computed.getPropertyValue( "border-right-width" ) ) + parseFloat( computed.getPropertyValue( "padding-left" ) ) + parseFloat( computed.getPropertyValue( "padding-right" ) );
					}
					return w;
				}
				else {
					return el.outerWidth( true );
				}
			};
			fn = function ( elm, padding_bottom, parent_top, parent_height, top, height, el_float, detached ) {
				var bottomed, detach, fixed, last_pos, last_scroll_height, offset, parent, recalc, recalc_and_tick,
					recalc_counter, spacer, tick;
				if ( elm.data( "sticky_kit" ) ) {
					return;
				}
				elm.data( "sticky_kit", true );
				last_scroll_height = doc.height();
				parent = elm.parent();
				if ( parent_selector != null ) {
					parent = parent.closest( parent_selector );
				}
				if ( ! parent.length ) {
					throw "failed to find stick parent";
				}
				fixed = false;
				bottomed = false;
				spacer = manual_spacer != null ? manual_spacer && elm.closest( manual_spacer ) : $( "<div />" );
				if ( spacer ) {
					spacer.css( 'position', elm.css( 'position' ) );
				}
				recalc = function () {
					var border_top, padding_top, restore;
					if ( detached ) {
						return;
					}
					last_scroll_height = doc.height();
					border_top = parseInt( parent.css( "border-top-width" ), 10 );
					padding_top = parseInt( parent.css( "padding-top" ), 10 );
					padding_bottom = parseInt( parent.css( "padding-bottom" ), 10 );
					parent_top = parent.offset().top + border_top + padding_top;
					parent_height = parent.height();
					if ( fixed ) {
						fixed = false;
						bottomed = false;
						if ( manual_spacer == null ) {
							elm.insertAfter( spacer );
							spacer.detach();
						}
						elm.css( {
							position: "",
							top: "",
							width: "",
							bottom: ""
						} ).removeClass( sticky_class );
						restore = true;
					}
					top = elm.offset().top - (
						parseInt( elm.css( "margin-top" ), 10 ) || 0
					) - offset_top;
					height = elm.outerHeight( true );
					el_float = elm.css( "float" );
					if ( spacer ) {
						spacer.css( {
							width: outer_width( elm ),
							height: height,
							display: elm.css( "display" ),
							"vertical-align": elm.css( "vertical-align" ),
							"float": el_float
						} );
					}
					if ( restore ) {
						return tick();
					}
				};
				recalc();
				if ( height === parent_height ) {
					return;
				}
				last_pos = void 0;
				offset = offset_top;
				recalc_counter = recalc_every;
				tick = function () {
					var css, delta, recalced, scroll, will_bottom, win_height;
					if ( detached ) {
						return;
					}
					recalced = false;
					if ( recalc_counter != null ) {
						recalc_counter -= 1;
						if ( recalc_counter <= 0 ) {
							recalc_counter = recalc_every;
							recalc();
							recalced = true;
						}
					}
					if ( ! recalced && doc.height() !== last_scroll_height ) {
						recalc();
						recalced = true;
					}
					scroll = win.scrollTop();
					if ( last_pos != null ) {
						delta = scroll - last_pos;
					}
					last_pos = scroll;
					if ( fixed ) {
						if ( enable_bottoming ) {
							will_bottom = scroll + height + offset > parent_height + parent_top;
							if ( bottomed && ! will_bottom ) {
								bottomed = false;
								elm.css( {
									position: "fixed",
									bottom: "",
									top: offset
								} ).trigger( "sticky_kit:unbottom" );
							}
						}
						if ( scroll < top ) {
							fixed = false;
							offset = offset_top;
							if ( manual_spacer == null ) {
								if ( el_float === "left" || el_float === "right" ) {
									elm.insertAfter( spacer );
								}
								spacer.detach();
							}
							css = {
								position: "",
								width: "",
								top: ""
							};
							elm.css( css ).removeClass( sticky_class ).trigger( "sticky_kit:unstick" );
						}
						if ( inner_scrolling ) {
							win_height = win.height();
							if ( height + offset_top > win_height ) {
								if ( ! bottomed ) {
									offset -= delta;
									offset = Math.max( win_height - height, offset );
									offset = Math.min( offset_top, offset );
									if ( fixed ) {
										elm.css( {
											top: offset + "px"
										} );
									}
								}
							}
						}
					}
					else {
						if ( scroll > top ) {
							fixed = true;
							css = {
								position: "fixed",
								top: offset
							};
							css.width = elm.css( "box-sizing" ) === "border-box" ? elm.outerWidth() + "px" : elm.width() + "px";
							elm.css( css ).addClass( sticky_class );
							if ( manual_spacer == null ) {
								elm.after( spacer );
								if ( el_float === "left" || el_float === "right" ) {
									spacer.append( elm );
								}
							}
							elm.trigger( "sticky_kit:stick" );
						}
					}
					if ( fixed && enable_bottoming ) {
						if ( will_bottom == null ) {
							will_bottom = scroll + height + offset > parent_height + parent_top;
						}
						if ( ! bottomed && will_bottom ) {
							bottomed = true;
							if ( parent.css( "position" ) === "static" ) {
								parent.css( {
									position: "relative"
								} );
							}
							return elm.css( {
								position: "absolute",
								bottom: padding_bottom,
								top: "auto"
							} ).trigger( "sticky_kit:bottom" );
						}
					}
				};
				recalc_and_tick = function () {
					recalc();
					return tick();
				};
				detach = function () {
					detached = true;
					win.off( "touchmove", tick );
					win.off( "scroll", tick );
					win.off( "resize", recalc_and_tick );
					$( document.body ).off( "sticky_kit:recalc", recalc_and_tick );
					elm.off( "sticky_kit:detach", detach );
					elm.removeData( "sticky_kit" );
					elm.css( {
						position: "",
						bottom: "",
						top: "",
						width: ""
					} );
					parent.position( "position", "" );
					if ( fixed ) {
						if ( manual_spacer == null ) {
							if ( el_float === "left" || el_float === "right" ) {
								elm.insertAfter( spacer );
							}
							spacer.remove();
						}
						return elm.removeClass( sticky_class );
					}
				};
				win.on( "touchmove", tick );
				win.on( "scroll", tick );
				win.on( "resize", recalc_and_tick );
				$( document.body ).on( "sticky_kit:recalc", recalc_and_tick );
				elm.on( "sticky_kit:detach", detach );
				return setTimeout( tick, 0 );
			};
			for ( i = 0, len = this.length; i < len; i ++ ) {
				elm = this[i];
				fn( $( elm ) );
			}
			return this;
		};

	}
).call( this );


(
	function ( $ ) {

		window.renderptscTabs = function () {
			$( '.ptsc_tabs_container' ).each( function () {
				var $tabs_container = $( this );
				$tabs_container.find( '.ptsc_tab_link' ).on( 'click', function ( e ) {
					e.stopPropagation();
					var tabID = $( this ).data( 'tab' );
					$( this ).siblings( '.ptsc_tab_link' ).removeClass( 'active' );
					$( this ).addClass( 'active' );
					$( this ).closest( '.ptsc_tabs_container' ).find( '.ptsc_tabs_content' ).removeClass( 'active' );
					$( this ).closest( '.ptsc_tabs_container' ).find( '#' + tabID ).addClass( 'active' );
					$( this ).trigger( 'ptscTabChanged' );
				} );
			} );
		};

		window.renderptscModal = function () {
			$( document ).on( 'click', '.ptsc_modal_opener', function ( e ) {
				e.preventDefault();
				var modalBoxID = $( this ).data( 'modal-id' );
				var modalBox = $( "#" + modalBoxID );
				var overlay = (
					"<div class='ptsc_modal_overlay' id='overlay_" + modalBoxID + "'></div>"
				);
				var overlayDiv = $( "#overlay_" + modalBoxID );

				modalBox.after( overlay );
				modalBox.slideDown( 500 );
				overlayDiv.fadeTo( 500, 0.7 );

				$( document ).on( 'click', '.ptsc_modal_overlay, .ptsc_modal_close', function ( c ) {
					c.preventDefault();
					$( ".ptsc_modal_box, .ptsc_modal_overlay" ).fadeOut( 500, function () {
						$( ".ptsc_modal_overlay" ).remove();
					} );
				} );


				$( window ).resize( function () {
					modalBox.css( {
						left: (
							      $( window ).width() - modalBox.outerWidth()
						      ) / 2
					} );
				} );
				$( window ).resize();

				console.log( 'Clicked' );
			} );
		};

		window.renderptscDropdown = function () {
			$( '.ptsc_dropdown' ).each( function () {
				var container = $( this );
				container.on( 'click', function ( e ) {
					e.stopPropagation();
				} );
				container.find( '.ptsc_dropdown_toggle' ).on( 'click', function ( e ) {
					e.preventDefault();
					container.toggleClass( 'active' );
				} );
				$( document ).on( 'click', function () {
					container.removeClass( 'active' );
				} );
			} );
		};

		window.renderptscCollapse = function () {
			$( '.ptsc_collapse' ).each( function () {
				var container = $( this );
				var content = container.find( '.ptsc_collapse_content' );
				container.on( 'click', function ( e ) {
					e.stopPropagation();
				} );
				container.find( '.ptsc_collapse_toggle' ).on( 'click', function ( e ) {
					e.preventDefault();
					var isActive = container.hasClass( 'active' );
					if ( isActive ) {
						content.slideUp( 500, function () {
							container.find('.ptsc_icon_toggle').removeClass('ptsc_icon_up-open').addClass('ptsc_icon_down-open');
							console.log( 'Adding Class' );
							container.removeClass( 'active' );
						} );
					}
					else {
						content.slideDown( 500, function () {
                           container.find('.ptsc_icon_toggle').removeClass('ptsc_icon_down-open').addClass('ptsc_icon_up-open');
							container.addClass( 'active' );
						} );
					}
				} );
			} );
		};

		window.renderptscAccordion = function () {
			$( '.ptsc_accordion' ).each( function () {
				var $tabs_container = $( this );
				$tabs_container.find( '.ptsc_accordion_toggle' ).on( 'click', function ( e ) {
					e.stopPropagation();
					var accordionID = $( this ).data( 'accordion' );
					$( this ).siblings( '.ptsc_accordion_toggle' ).removeClass( 'active' );
					$( this ).addClass( 'active' );
					$( this ).closest( '.ptsc_accordion' ).children( '.ptsc_accordion_content:not(#' + accordionID + ')' ).slideUp( 500 ).removeClass( 'active' );

					var activeAccordion = $( this ).closest( '.ptsc_accordion' ).find( '#' + accordionID );
					if ( activeAccordion.hasClass( 'active' ) ) {
						$( this ).removeClass( 'active' );
						activeAccordion.slideUp( 500, function () {
							activeAccordion.removeClass( 'active' )
						} );
					}
					else {
						activeAccordion.slideDown( 500, function () {
							activeAccordion.addClass( 'active' );
						} );
					}
				} );
			} );
		};

		window.initptsc = function () {
			window.renderptscTabs();
			window.renderptscModal();
			window.renderptscDropdown();
			window.renderptscCollapse();
			window.renderptscAccordion();
		};




		"use strict";
		$( document ).on( 'ready', function () {
			window.initptsc();

			$( ".ptsc_sticky_item" ).each( function () {
				var offsetTop = $( this ).data( 'nav-top-gap' ) || 20;
				console.log(offsetTop);
				$( this ).ptsc_sticky( {
					'parent': '.ptsc_main',
					'offset_top': offsetTop,
					'recalc_every': 1
				} );
			} );
		} );

		// ptsc plug minus
		$( document ).on( 'click', '.ptsc_plus', function ( e ) {
			e.preventDefault();
			var num_input = $( this ).siblings( 'input[type=number]' );
			var num_val = parseInt( num_input.val() );
			var max_val = parseInt( num_input.prop( 'max' ) ) || 999999;
			var min_val = parseInt( num_input.prop( 'min' ) ) || 0;
			var new_val = num_val + 1;
			if ( (
				     min_val <= new_val
			     ) && (
				     new_val <= max_val
			     ) ) {
				num_input.val( new_val ).trigger( 'change' );
			}
		} );
		$( document ).on( 'click', '.ptsc_minus', function ( e ) {
			e.preventDefault();
			var num_input = $( this ).siblings( 'input[type=number]' );
			var num_val = parseInt( num_input.val() );
			var max_val = parseInt( num_input.prop( 'max' ) ) || 999999;
			var min_val = parseInt( num_input.prop( 'min' ) ) || 0;
			var new_val = num_val - 1;
			if ( (
				     min_val <= new_val
			     ) && (
				     new_val <= max_val
			     ) ) {
				num_input.val( new_val ).trigger( 'change' );
			}
		} );

		$( document ).on( 'keyup input', '#ptsc_tld_fields_live_search', function () {
			var tld = $(this).val();
			$('#ptsc_tld_fields_live_search_div').find('.ptsc_collapse').each(function(){
				var tld_tag = $(this).data('tld-name');
				if (tld_tag.indexOf(tld) !== -1) {
					$(this).show();
				}
				else {
					$(this).hide();
				}
			});
			console.log(tld);
		});

		$( document ).on( 'change', '.ptsc_radio input', function () {
			var item = $( this );
			var itemName = item.prop( 'name' );
			$( 'input[type="radio"][name="' + itemName + '"]' ).each( function () {
				var label = $( this ).closest( 'label' );
				if ( $( this ).is( ':checked' ) ) {
					label.addClass( 'ptsc_checked' );
				}
				else {
					label.removeClass( 'ptsc_checked' );
				}
			} );
			console.log('changed');
		} );
		$( document ).on( 'change', '.ptsc_checkbox input', function () {
			var item = $( this );
			var label = item.closest( 'label' );
			if ( item.prop( 'checked' ) ) {
				label.addClass( 'ptsc_checked' );
			}
			else {
				label.removeClass( 'ptsc_checked' );
			}
			console.log('changed');
		} );

		// Smooth_scroll {
		$( document ).on('click', 'a.ptsc_smooth_scroll', function ( event ) {
			event.preventDefault();
			if (this.hash !== "") {
				event.preventDefault();
				var offset = $( this ).data( 'scroll-top-gap' ) || 20;
				var speed = 1000;
				var target = $(this.hash);
				var hash = this.hash;

				$('html, body').animate({
					scrollTop: target.offset().top - offset
				},speed );
			}
			$(this).closest('li').trigger('click');
			return false;
		} );

		// General AJAX form processor
		$( document ).on( 'submit', '.ptsc_ajax_form', function ( e ) {
			e.preventDefault();
			var form = $( this );

			var submit = form.find( 'button[type="submit"]' );
			var submit_val = submit.html();

			var response_text = form.find( '.wcop_df_response_text' );

			var ptsc_main = form.parents( 'ptsc_main' );

			var data = form.serializeArray();

			submit.html( '<i class="ptsc_icon_spinner animate-spin"></i>' );

			jQuery.ajax( {
				url: ptsc_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					console.log( res );
					submit.html( submit_val );
					if ( res.status === "OK" ) {
						result.html( res.response_form ).show();
					}
					else {
						result.html( res.message ).show();
					}
				}
			} );
		} );

		// ptsc Client Registration Form
		$( document ).on( 'submit', '.ptsc_register_client_form', function ( e ) {
			e.preventDefault();
			var form = $( this );

			var submit = form.find( 'button[type="submit"]' );
			var submit_val = submit.html();

			var response_text = form.find( '.wcop_df_response_text' );

			var ptsc_main = form.parents( 'ptsc_main' );

			var data = form.serializeArray();

			submit.html( '<i class="ptsc_icon_spinner animate-spin"></i>' );

			jQuery.ajax( {
				url: ptsc_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					console.log( res );
					submit.html( submit_val );
					if ( res.status === "OK" ) {
						result.html( res.response_form ).show();
					}
					else {
						result.html( res.message ).show();
					}
				}
			} );
		} );

		// ptsc Add/update Item to cart form
		$( document ).on( 'submit', '.ptsc_add_update_cart_item_form', function ( e ) {
			e.preventDefault();
			var form = $( this );

			var submit = form.find( 'button[type="submit"]' );
			var submit_val = submit.html();

			var response_text = form.find( '.wcop_df_response_text' );

			var ptsc_main = form.parents( 'ptsc_main' );

			var data = form.serializeArray();

			submit.html( '<i class="ptsc_icon_spinner animate-spin"></i>' );

			jQuery.ajax( {
				url: ptsc_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					console.log( res );
					submit.html( submit_val );
					if ( res.status === "OK" ) {
						result.html( res.response_form ).show();
					}
					else {
						result.html( res.message ).show();
					}
				}
			} );
		} );

		// ptsc Delete Item from cart
		$( document ).on( 'submit', '.ptsc_delete_cart_item_form', function ( e ) {
			e.preventDefault();
			var form = $( this );

			var submit = form.find( 'button[type="submit"]' );
			var submit_val = submit.html();

			var response_text = form.find( '.wcop_df_response_text' );

			var ptsc_main = form.parents( 'ptsc_main' );

			var data = form.serializeArray();

			submit.html( '<i class="ptsc_icon_spinner animate-spin"></i>' );

			jQuery.ajax( {
				url: ptsc_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					console.log( res );
					submit.html( submit_val );
					if ( res.status === "OK" ) {
						result.html( res.response_form ).show();
					}
					else {
						result.html( res.message ).show();
					}
				}
			} );
		} );

		// ptsc Update current currency
		$( document ).on( 'click', '.ptsc_currency_updater_item', function ( e ) {
			e.preventDefault();

			var button = $( this );
			var button_html = button.html();
			var data = {};
			data.action = "ptsc_currency_updater_item";
			data.currency_id = button.data( 'currency-id' );

			button.html( ptsc_spinner_icon );

			console.log( data );
			jQuery.ajax( {
				url: ptsc_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					console.log( res );
					button.html( button_html );
					if ( res.status === "OK" ) {
						window.location.reload();
					}
				}
			} );
		} );


	}( jQuery )
);