<?php
/**
 * Created by PhpStorm.
 * User: Nadeem
 * Date: 8/11/2017
 * Time: 2:36 AM
 */

require_once(ABSPATH . 'wp-admin/includes/upgrade.php');

class ptsc_install
{
    public function __construct()
    {

        if (is_admin()) {

            if (function_exists('vc_map')) {
                require_once(PTSC_PATH . '/admin/admin_pages/vc.php');

            }
            require_once(PTSC_PATH . '/admin/admin_pages/fusion_builder.php');
            require_once(PTSC_PATH . '/admin/admin.php');

            add_action('admin_menu', [$this, 'ptsc_add_admin_pages']);
            add_action('admin_enqueue_scripts', [$this, 'ptsc_enqueue_admin_styles_n_scripts']);
        }

        add_action("wp_enqueue_scripts", [$this, 'ptsc_enqueue_styles']);
        require_once(PTSC_PATH . '/includes/ajax-functions.php');

        $this->add_shortcodes();


        add_action('admin_init', [$this, 'register_setting']);
        add_action('admin_init', [$this, 'default_settings']);
        add_action('admin_init', [$this, 'makli_redirect_after_activation']);


        /*add_action('wp_ajax_whmpress_action', 'whmp_frontend_ajax_action');
        add_action('wp_ajax_nopriv_whmpress_action', 'whmp_frontend_ajax_action');*/

    }

    /*function whmp_frontend_ajax_action()
    {
        require_once(PTSC_PATH . "/includes/ajax.php");
    }*/

    /**
     * function called when the application is activated
     */

    public function install()
    {
        global $wpdb;
        $charset_collate = $wpdb->get_charset_collate();
        $table_name = $this->get_table_name("groups");

        $query = "CREATE TABLE {$table_name} (
              `group_id` INT(11) AUTO_INCREMENT,
              `name` VARCHAR (255) NOT NULL,
              `rows` INT(11) NOT NULL DEFAULT 6,
              `currency` INT(11) NOT NULL,
              `color` VARCHAR (10) NOT NULL,
              `ribbon_text` VARCHAR (50) NOT NULL DEFAULT 'Most Important',
              `billingcycle` VARCHAR (50) NULL DEFAULT 'monthly',
              `billingcycle2` VARCHAR (50) NULL DEFAULT 'annually',
              `billingcycle3` VARCHAR (50) NULL,
              `billingcycle4` VARCHAR (50) NULL,
              `billingcycle5` VARCHAR (50) NULL,
              `billingcycle6` VARCHAR (50) NULL,
              `billingcycle_override_string` VARCHAR (50) NULL,
              `billingcycle2_override_string` VARCHAR (50) NULL,
              `billingcycle3_override_string` VARCHAR (50) NULL,
              `billingcycle4_override_string` VARCHAR (50) NULL,
              `billingcycle5_override_string` VARCHAR (50) NULL,
              `billingcycle6_override_string` VARCHAR (50) NULL,
              `toggle_style` varchar (50)  NULL  DEFAULT 'radio_button',
              `shortcode` VARCHAR (50) NOT NULL DEFAULT 'single pricing table',
              `html_class` VARCHAR (50) NOT NULL,
              `html_id` VARCHAR (50) NOT NULL,
              `decimals` INT(11) NOT NULL DEFAULT 2,
              `decimals_tag` VARCHAR (50) NOT NULL,
              `hide_decimal` VARCHAR (5) NOT NULL DEFAULT 'no',
              `prefix` VARCHAR (10) NOT NULL,
              `suffix` VARCHAR (10) NOT NULL,
              `show_duration` VARCHAR (3) NOT NULL,
              `show_duration_as` VARCHAR (10) NOT NULL DEFAULT 'long',
              `duration_style` VARCHAR (10) NOT NULL DEFAULT 'duration',
              `duration_connector` VARCHAR (10) NOT NULL DEFAULT '/',
              `convert_monthly` VARCHAR (3) NOT NULL,
              `alternate_rows` BOOLEAN NOT NULL DEFAULT FALSE,
              `button_text` VARCHAR (50) NOT NULL,
              `template_file` VARCHAR (100) NOT NULL DEFAULT 'default.tpl',
              `description_separator` VARCHAR (10) NOT NULL DEFAULT ':',
              `hide_width` INT (11) NOT NULL DEFAULT 0,
              `convert_to_symbol` BOOLEAN NOT NULL DEFAULT TRUE,
              `convert_yes_with` VARCHAR (50) NOT NULL DEFAULT 'fa-check',
              `convert_no_with` VARCHAR (50) NOT NULL DEFAULT 'fa-close',
              `swipe_scroll`  BOOLEAN NOT NULL DEFAULT TRUE,
              `enable_tooltips`  BOOLEAN NOT NULL DEFAULT TRUE,
              `ptsc_show_order_combo`  BOOLEAN NULL DEFAULT FALSE,
              `enable_table_carousel`  BOOLEAN NULL DEFAULT TRUE,
              `show_discount` VARCHAR (15) NOT NULL DEFAULT 'no',
              `show_discount_secondary` VARCHAR (15) DEFAULT 'no',
              `show_discount_banner` VARCHAR (3) DEFAULT 'no',
              `show_discount_type` VARCHAR (10) DEFAULT 'yearly',
              `table_flag`  INT (11) NOT NULL DEFAULT 1,
              `custom_text` VARCHAR(50),
              `product_vendor` VARCHAR(50) NOT NULL DEFAULT 'ptsc_prods',
              `product_section` VARCHAR (50) NOT NULL DEFAULT 'wc_desc',
              `woo_prods_ids` VARCHAR(50),
              `prod_count` VARCHAR (10),
               PRIMARY KEY  (`group_id`)
            )" . $charset_collate;

        dbDelta($query);

        $table_name = $this->get_table_name("products");
        $query = " CREATE TABLE {$table_name} (
			`product_id` INT(11) AUTO_INCREMENT,
			`product_name` VARCHAR (255) NOT NULL,
			`product_description` TEXT,
			`formatted_product_description` TEXT,
			`pay_type` VARCHAR (255) NOT NULL,
			`order_url` VARCHAR (255),
			`product_button_text` VARCHAR (255),
			`type` TEXT,
			`gid` INT(10),
			`hidden` TINYINT(1),
			`welcomeemail` INT(10),
			`stockcontrol` TINYINT(1),
			`qty` INT(10),
			`proratabilling` TINYINT(1),
			`proratadate` INT(2),
			`proratachargenextmonth` INT(2),
			`allowqty` INT(1),
			`subdomain` TEXT,
			`autosetup` TEXT,
			`servertype` TEXT,
			`servergroup` INT(10),
			`configoption1` TEXT,
			`configoption2` TEXT,
			`configoption3` TEXT,
			`configoption4` TEXT,
			`configoption5` TEXT,
			`configoption6` TEXT,
			`configoption7` TEXT,
			`configoption8` TEXT,
			`configoption9` TEXT,
			`configoption10` TEXT,
			`configoption11` TEXT,
			`configoption12` TEXT,
			`configoption13` TEXT,
			`configoption14` TEXT,
			`configoption15` TEXT,
			`configoption16` TEXT,
			`configoption17` TEXT,
			`configoption18` TEXT,
			`configoption19` TEXT,
			`configoption20` TEXT,
			`configoption21` TEXT,
			`configoption22` TEXT,
			`configoption23` TEXT,
			`configoption24` TEXT,
			`freedomain` TEXT,
			`freedomainpaymentterms` TEXT,
			`freedomaintlds` TEXT,
			`recurringcycles` INT(2),
			`autoterminatedays` INT(4),
			`autoterminateemail` INT(10),
			`configoptionsupgrade` TINYINT(1),
			`billingcycleupgrade` TEXT,
			`upgradeemail` INT(10),
			`overagesenabled` VARCHAR(10),
			`overagesdisklimit` INT(10),
			`overagesbwlimit` INT(10),
			`overagesdiskprice` DECIMAL(6,4),
			`overagesbwprice` DECIMAL(6,4),
			`tax` TINYINT(1),
			`affiliateonetime` TINYINT(1),
			`affiliatepaytype` TEXT,
			`affiliatepayamount` DECIMAL (10,2),
			`order` INT(10),
			`retired` TINYINT(1),
			`is_featured` TINYINT(1),
			`created_at` TIMESTAMP,
			`updated_at` TIMESTAMP,
			 PRIMARY KEY  (`product_id`)
			)" . $charset_collate;
        dbDelta($query);

        $table_name = $this->get_table_name("tooltips");
        $query = " CREATE TABLE {$table_name} (
			 `tooltip_id` int(11) AUTO_INCREMENT,
              `match_string` varchar(50) NOT NULL,
              `tooltip_text` text NOT NULL,
              `tooltiplink` text(50) NOT NULL,
              `tooltipicon` text(50) NOT NULL,
               PRIMARY KEY  (`tooltip_id`)
		)" . $charset_collate;
        dbDelta($query);

        $table_name = $this->get_table_name("coupons");
        $query = " CREATE TABLE {$table_name} (
			 `coupon_id` int(11) AUTO_INCREMENT,
			 `coupon_code` varchar(50) NOT NULL,
              `type` varchar(50) NOT NULL,
              `value` int(50) NULL,
              `max_uses` int(50) NOT NULL,
              `uses` int(50) NOT NULL Default 0,
              `products` varchar (100) NOT NULL,
              `start_date` varchar (50) NOT NULL,
              `expire_date` varchar (50) NOT NULL,
              `notes` TEXT,
              `activate` TINYINT(1),
               PRIMARY KEY  (`coupon_id`)
		)" . $charset_collate;
        dbDelta($query);

        $table_name = $this->get_table_name("orders");
        $query = " CREATE TABLE {$table_name} (
		  `order_id` int(10) AUTO_INCREMENT,
          `userid` int(10),
          `product_id` int(10),
          `order_number` bigint(10),
          `client_name` varchar(20),
          `order_date` VARCHAR (30),
          `expire_date` VARCHAR (30),
          `amount` decimal(10,2) NOT NULL DEFAULT '0.00',
          `billingcycle` VARCHAR(50) NOT NULL DEFAULT 'monthly',
          `shipping_details` varchar(50),
          `payment_method` text NULL,
          `status` TEXT, 
          `notes` TEXT,
          PRIMARY KEY  (order_id)	
		)" . $charset_collate;
        dbDelta($query);

        $table_name = $this->get_table_name("client_services");
        $query = " CREATE TABLE {$table_name} (
		  `id` int(10) AUTO_INCREMENT,
          `user_id` INT(10),
          `order_id` INT(10),
          `package_id` INT(10),
          `package_name` VARCHAR (30),
          `reg_date` DATE ,
          `payment_method` VARCHAR (20),
          `first_payment_amount` DECIMAL (10,2) NOT NULL DEFAULT '0.00',
          `amount` DECIMAL (10,2) NOT NULL DEFAULT '0.00',
          `billingcycle` VARCHAR(50) NOT NULL DEFAULT 'monthly',
          `next_due_date` DATE ,
          `next_invoice_date` DATE ,
          `termination_date` DATE ,
          `completed_date` DATE ,
          `notes` TEXT,
          `subscription_id` TEXT,
          `promo_id` INT(10),
          `promo_count` INT (10),
          `suspend_reason` TEXT,
          `override_auto_suspend` TINYINT(1),
          `override_suspend_until` DATE ,
          `last_update` DATETIME NOT NULL DEFAULT '0000-00-00:00:00',
          `created_at` TIMESTAMP NOT NULL DEFAULT '0000-00-00:00:00' ,
          `updated_at` TIMESTAMP NOT NULL DEFAULT '0000-00-00:00:00',
          PRIMARY KEY  (id)	
		)" . $charset_collate;
        dbDelta($query);

        $table_name = $this->get_table_name("group_details");
        $query = " CREATE TABLE {$table_name} (
 			`group_detail_id` int(11) AUTO_INCREMENT,
		  	 `group_id` INT (11) NOT NULL,
              `product_id` INT (11) NOT NULL,
              `comp_append` TEXT (500),
              `order_by` INT (11) NOT NULL,
              `font_awesome` VARCHAR (100) NOT NULL DEFAULT '',
              `featured` int(2) DEFAULT 0,
              PRIMARY KEY (`group_detail_id`)
		)" . $charset_collate;
        dbDelta($query);

        $table_name = $this->get_table_name("currencies");
        $query = "CREATE TABLE {$table_name} (
		 `c_id` INT (10) auto_increment,
         `code` TEXT NOT NULL,
         `prefix` TEXT NOT NULL,
         `suffix` text NOT NULL,
         `format` INT (1) NOT NULL,
         `rate` DECIMAL (10,5) NOT NULL DEFAULT '1.00000',
         `default` INT (1) NOT NULL,
          primary key  (`c_id`) 
		)" . $charset_collate;
        dbDelta($query);

        $table_name = $this->get_table_name("currencies");
        global $wpdb;
        $check = $wpdb->get_results("SELECT * FROM $table_name");
        if (count($check) == 0) {
            $query = "INSERT INTO `$table_name`(`code`,`prefix`,`suffix`,`format`,`rate`,`default`)VALUES('USD','$','USD',1,1.00,1)";
            dbDelta($query);
        } else {

        }

        $table_name = $this->get_table_name("pricings");
        $query = " CREATE TABLE {$table_name} (
		`pr_id` int(10) AUTO_INCREMENT,
         `type` VARCHAR(255) not null,
          `currency` INT (10) not null,
          `relid` INT (10),
          `msetupfee` DECIMAL (10,2) NOT NULL,
          `qsetupfee` DECIMAL (10,2) NOT NULL,
          `ssetupfee` DECIMAL (10,2) NOT NULL,
          `asetupfee` DECIMAL (10,2) NOT NULL,
          `bsetupfee` DECIMAL (10,2) NOT NULL,
          `tsetupfee` DECIMAL (10,2) NOT NULL,
          `monthly` DECIMAL (10,2) NOT NULL,
          `monthly_url` TEXT NULL,
          `quarterly` DECIMAL (10,2) NOT NULL,
          `quarterly_url` TEXT NULL,
          `semiannually` DECIMAL (10,2) NOT NULL,
          `semiannually_url` TEXT NULL,
          `annually` DECIMAL (10,2) NOT NULL,
          `annually_url` TEXT NULL,
          `biennially` DECIMAL (10,2) NOT NULL,
          `biennially_url` TEXT NULL,
          `triennially` DECIMAL (10,2) NOT NULL,
          `triennially_url` TEXT NULL,
          `order_url` VARCHAR (255),
          PRIMARY KEY  (pr_id)	
		)" . $charset_collate;
        dbDelta($query);


        $table_name = $this->get_table_name("payment_gateways");
        $query = " CREATE TABLE {$table_name} (
		  `id` int(10) AUTO_INCREMENT,
          `gateway` text NOT NULL,
          `display_name` text NOT NULL,
          `type` text NOT NULL,
          PRIMARY KEY (id)	
		)" . $charset_collate;
        dbDelta($query);

        $table_name = $this->get_table_name("payment_gateway_options");
        $query = " CREATE TABLE {$table_name} (
		  `id` int(10) AUTO_INCREMENT,
          `gid` int(10) NOT NULL,
          `option` text NOT NULL,
          `option_value` text NOT NULL,
          PRIMARY KEY (id)	
		)" . $charset_collate;
        dbDelta($query);

        $table_name = $this->get_table_name("promotions");
        $query = " CREATE TABLE {$table_name} (
		  `id` int(10) AUTO_INCREMENT,
          `code` text NOT NULL,
          `type` text NOT NULL,
          `recurring` INT(1),
          `value` DECIMAL(10,2) NOT NULL,
          `appliesto` text NOT NULL,
          `requires` text NOT NULL,
          `requiresexisting` INT(1) NOT NULL,
          `startdate` DATE,
          `expirationdate` DATE,
          `maxuses` iNT(10) NOT NULL,
          `uses` INT(10) NOT NULL,
          `lifetimepromo` INT(1) NOT NULL,
          `applyonce` INT(1) NOT NULL,
          `newsignups` INT(1) NOT NULL,
          `existingclient` INT(11) NOT NULL,
          `onceperclient` INT(11) NOT NULL,
          `recurfor` INT(3) NOT NULL,
          `cycles` INT(1) NOT NULL,
          `upgrades` INT(1) NOT NULL,
          `upgradeconfig` text NOT NULL,
          `notes` text NOT NULL,
          PRIMARY KEY  (id)
		)" . $charset_collate;
        dbDelta($query);

        $table_name = $this->get_table_name("email_templates");
        $query = " CREATE TABLE {$table_name} (
		  `id` int(10) AUTO_INCREMENT,
          `type` text NOT NULL,
          `name` text NOT NULL,
          `subject` text NOT NULL,
          `message` text NOT NULL,
          `from_name` text NOT NULL,
          `from_email` text NOT NULL,
          PRIMARY KEY  (id)	
		)" . $charset_collate;
        dbDelta($query);

        $table_name = $this->get_table_name("invoices");
        $query = " CREATE TABLE {$table_name} (
		  `id` int(10) AUTO_INCREMENT,
          `user_id` INT(10),
          `invoice_no` VARCHAR (50),
          `cur_id` INT(10),
          `invoice_date` datetime NOT NULL,
          `due_date` datetime NOT NULL,
          `date_paid` datetime NOT NULL,
          `last_capture_attempt` datetime NOT NULL,
          `refund_date` datetime NOT NULL,
          `cancel_date` datetime NOT NULL,
          `sub_total` DECIMAL(16,2),
          `tax` DECIMAL(16,2),
          `tax_rate` DECIMAL(10,3),
          `total` DECIMAL(16,2),
          `status` text NOT NULL,
          `payment_method` text NULL,
          `created_date` datetime NOT NULL,
          `updated_date` datetime NOT NULL,
          `notes` text NOT NULL,
          PRIMARY KEY  (id)	
		)" . $charset_collate;
        dbDelta($query);

        $table_name = $this->get_table_name("invoice_items");
        $query = " CREATE TABLE {$table_name} (
		  `id` int(10) AUTO_INCREMENT,
		  `invoice_id` INT(10),
          `user_id` INT(10),
          `item_descriptions` text,
          `amount` DECIMAL (16,2),
          `notes` text NOT NULL,
          PRIMARY KEY  (id)	
		)" . $charset_collate;
        dbDelta($query);

        $table_name = $this->get_table_name("users");
        $query = " CREATE TABLE {$table_name} (
		  `id` int(10) AUTO_INCREMENT,
		  `wp_id` INT(10),
		  `user_name` TEXT,
          `email` VARCHAR(50),
          `hash` VARCHAR (50),
          `payment_gateway` text,
          `company_name` VARCHAR (50) NULL,
          `phone_number` VARCHAR (50) NULL,
          `address1` VARCHAR (50) NULL,
          `address2` VARCHAR (50) NULL,
          `country` VARCHAR (50) NULL,
          `state` VARCHAR (50) NULL,
          `city` VARCHAR (50) NULL,
          `dob` DATE NULL,
          `profession` VARCHAR (50) NULL,
          `investment_budget` int (50) NULL,
          `cnic` varchar(50) NULL,
          `remarks` VARCHAR (50) NULL,
          PRIMARY KEY  (id)	
		)" . $charset_collate;
        dbDelta($query);


        //~~ Inserting default email templates to Database

        $table_name = $this->get_table_name("email_templates");
        if ( $wpdb->get_var( "SELECT COUNT(*) FROM `$table_name`" ) == "0" ) {
            $insert__etemp__query = $this->ptsc_read_local_file(dirname(__FILE__) . "/email-templates.sql");
            $insert__etemp__query = str_replace("INSERT INTO `email_templates`", "INSERT INTO `$table_name`", $insert__etemp__query);
            $wpdb->query($insert__etemp__query);
        }

        update_option("ptsc_email_header_content",'<div id="makli-email-template">
<table style="border: 1px solid #d0d0d0; background: #fff; margin: auto; width: 100%; max-width: 600px;">
    <thead style="background: #d0d0d0;">
    <tr align="left" valign="top">
        <th valign="top" class="headerContent" style="padding: 27px 10px;">
            <a href=\'{company_domain}\' style="display: block; text-align: center; text-decoration: none;">
                <img src="{company_logo_url}" id="headerImage" alt="{company_name}"/> 
            </a>
        </th>
    </tr>
    </thead>
    <tbody style="border-bottom: 10px solid #f0f0f0;" width="90%">
    <tr align="left" valign="top">
        <td valign="top" class="bodyContent" style="padding: 23px 30px; border-bottom: 1px solid #d0d0d0;"> ');
        update_option("ptsc_email_footer_content",'</td>
    </tr>
    </tbody>
    <tfoot>
    <tr align="center" valign="top">
        <th valign="top" class="footerContent" style="padding: 20px 0;">
            <a href="{company_domain}">visit our website</a>
            <span class="hide-mobile"> | </span>
            <a href="{company_domain}">log in to your account</a>
            <span class="hide-mobile"> | </span>
            <a href="{company_domain}submitticket.php">get support</a> <br/>
            Copyright © {company_name}, All rights reserved.
        </th>
    </tr>
    </tfoot>
</table>
</div> ');


    }


    public function uninstall()
    {

    }

    /*
    //==========Function to get the table name==============//
    */
    public function get_table_name($name = "")
    {
        global $wpdb;

        switch ($name) {
            case "groups":
                return $wpdb->prefix . "ptsc_groups";
            case "products":
                return $wpdb->prefix . "ptsc_products";
            case "tooltips":
                return $wpdb->prefix . "ptsc_tooltips";
            case "group_details":
                return $wpdb->prefix . "ptsc_group_details";
            case "currencies":
                return $wpdb->prefix . "ptsc_currencies";
            case "pricings":
                return $wpdb->prefix . "ptsc_pricings";
            case "payment_gateways":
                return $wpdb->prefix . "ptsc_payment_gateways";
            case "payment_gateway_options":
                return $wpdb->prefix . "ptsc_payment_gateway_options";
            case "promotions":
                return $wpdb->prefix . "ptsc_promotions";
            case "orders":
                return $wpdb->prefix . "ptsc_orders";
            case "client_services":
                return $wpdb->prefix . "ptsc_client_services";
            case "email_templates":
                return $wpdb->prefix . "ptsc_email_templates";
            case "invoices":
                return $wpdb->prefix . "ptsc_invoices";
            case "invoice_items":
                return $wpdb->prefix . "ptsc_invoice_items";
            case "users":
                return $wpdb->prefix . "ptsc_users";
            case 'coupons':
                return $wpdb->prefix . "ptsc_coupons";
            default:
                return $wpdb->prefix . "ptsc_groups";
        }
    }

    /*
    //==========Register Settings==============//
    */

    public function register_setting()
    {
        register_setting("ptsc", "ptsc_load_style_order");

        register_setting("ptsc", "ptsc_cost_string1_" . $this->get_current_language());

        register_setting("ptsc", "ptsc_cost_string2_" . $this->get_current_language());

        register_setting("ptsc", "ptsc_discount_string1_" . $this->get_current_language());

        register_setting("ptsc", "ptsc_discount_string2_" . $this->get_current_language());

        register_setting("ptsc", "ptsc_feature_string1_" . $this->get_current_language());

        register_setting("ptsc", "ptsc_featuer_String2_" . $this->get_current_language());

        register_setting("ptsc_pice_settings", "ptsc_duration_style");

        register_setting("ptsc_pice_settings", "ptsc_duration_connector");

        register_setting("ptsc_pice_settings", "ptsc_override_string_price_due");

        register_setting("ptsc_currency", "ptsc_default_currency");

        register_setting("ptsc_pice_settings", "ptsc_decimals");

        register_setting("ptsc_pice_settings", "ptsc_decimal_separator");

        register_setting("ptsc_pice_settings", "ptsc_thousand_separator");

        register_setting("ptsc_display", "ptsc_description_separator");

        register_setting("ptsc_display", "gp_api");

        register_setting("ptsc_display", "order_comp_msg");

        register_setting("ptsc_display", "ptsc_primary_color");

        register_setting("ptsc_display", "ptsc_secondary_color");

        register_setting("ptsc_display", "ptsc_enable_pg");

        register_setting("ptsc_billing_settings", "ptsc_order_page_url");

        register_setting("ptsc_email", "ptsc_email_sender");

        register_setting("ptsc_email", "ptsc_email_sender_email");

        register_setting("ptsc_pice_settings", "ptsc_show_trailing_zeros");

        register_setting("ptsc_pice_settings", "ptsc_price_not_configured_" . $this->get_current_language());

        register_setting("ptsc_pice_settings", "ptsc_price_zero_" . $this->get_current_language());

        register_setting("ptsc_currency", "_symbol");

        register_setting("ptsc_currency", "ptsc_default_currency_suffix");

        register_setting("ptsc", "paypal_display_name");

        register_setting("ptsc", "Reciever_paypal_mail");

        register_setting("ptsc", "ptsc_email_subject_" . $this->get_current_language());

        register_setting("ptsc", "ptsc_order_accepted_msg_" . $this->get_current_language());

        register_setting("ptsc", "ptsc_order_placed_msg_" . $this->get_current_language());

        register_setting("ptsc_social_settings", "ptsc_google_client_id");

        register_setting("ptsc_social_settings", "ptsc_show_google_login");

        register_setting("ptsc_billing_settings", "invoice_due_days");

        register_setting("ptsc_billing_settings", "invoice_generated_before_days");

        register_setting("ptsc_billing_settings", "invoice_prefix");

        register_setting("ptsc_billing_settings", "invoice_start");

        register_setting("ptsc_email", "ptsc_email_styling");

        register_setting("ptsc_email", "ptsc_email_header_content");

        register_setting("ptsc_email", "ptsc_email_footer_content");

        register_setting("ptsc_email", "Ptsc_email_signature");

        register_setting("ptsc_email", "enable_order-confirmation");

        register_setting("ptsc_email", "enable_invoice-generated");

        register_setting("ptsc_email", "enable_invoice-paid");

        register_setting("ptsc_company", "ptsc_Company_name_url");

        register_setting("ptsc_company", "ptsc_Company_name");

        register_setting("ptsc_company", "ptsc_company_domain");

        register_setting("ptsc_company", "ptsc_Company_details");

        register_setting("ptsc_company", "ptsc_Company_address_one");

        register_setting("ptsc_company", "ptsc_Company_address_tow");

        register_setting("ptsc_company", "ptsc_country_name");

        register_setting("ptsc_company", "ptsc_city_name");

        register_setting("ptsc_company", "ptsc_postal_code");

        register_setting("ptsc_display", "w_mode");

        register_setting("ptsc_display", "set_cart");

        register_setting("ptsc_client_fields", "ptsc_client_company_name");

        register_setting("ptsc_client_fields", "ptsc_client_address1");

        register_setting("ptsc_client_fields", "ptsc_client_address2");

        register_setting("ptsc_client_fields", "ptsc_client_country");

        register_setting("ptsc_client_fields", "ptsc_client_state");

        register_setting("ptsc_client_fields", "ptsc_client_city");

        register_setting("ptsc_client_fields", "ptsc_client_dob");

        register_setting("ptsc_client_fields", "ptsc_client_profession");

        register_setting("ptsc_client_fields", "ptsc_client_investment_budget");

        register_setting("ptsc_client_fields", "ptsc_client_cnic");

        register_setting("ptsc_client_fields", "ptsc_client_remarks");

        register_setting("ptsc_terms_services_fields", "ptsc_tc_text");

        register_setting("ptsc_terms_services_fields", "ptsc_tc_link");

        register_setting("ptsc_terms_services_fields", "show_tc");

        register_setting('ptsc_purchase_data', 'ptsc_purchase_code');

        register_setting('ptsc_purchase_data', 'ptsc_purchase_email');

        register_setting('ptsc_purchase_data', 'ptsc_verified');
    }


    /*
    //==========Default Settings==============//
    */

    public function default_settings()
    {
        add_option("ptsc_load_style_order", "");

        add_option("ptsc_cost_string1_" . $this->get_current_language(), "");

        add_option("ptsc_cost_string2_" . $this->get_current_language(), "");

        add_option("ptsc_discout_string1_" . $this->get_current_language(), "Switch {duration}<br> and Save {discount}<br>");

        add_option("ptsc_discount_string2_" . $this->get_current_language(), "You saved {discount}<br>");

        add_option("ptsc_feature_string1_" . $this->get_current_language(), "Switch {duration}<br> and Save {discount}");

        add_option("ptsc_feature_string2_" . $this->get_current_language(), "You saved {discount}<br>");

        add_option("ptsc_load_style_order", "");

        add_option("ptsc_duration_connector_" . $this->get_current_language(), "/");

        add_option("ptsc_default_currency", '0');

        add_option("ptsc_decimals", "2");

        add_option("ptsc_decimal_separator", ".");

        add_option("ptsc_thousand_separator", "");

        add_option("ptsc_description_separator", ":");

        add_option("ptsc_show_trailing_zeros", "no");

        add_option("ptsc_price_not_configured_" . $this->get_current_language(), "N/A");

        add_option("ptsc_price_zero_" . $this->get_current_language(), "0.0");

        add_option("ptsc_default_currency_symbol", "$");

        add_option("ptsc_default_currency_suffix", "USD");

        add_option("paypal_display_name", "paypal");

        add_option("paypal_mail", "");



    }

    /*
   //==========Redirect After Activation==============//
   */

    public function makli_redirect_after_activation()
    {
        if (get_option('makli_do_activation_redirect', false)) {
            delete_option('makli_do_activation_redirect');
            if (!isset($_GET['activate-multi'])) {
                exit(wp_redirect("admin.php?page=ptsc-getting-started"));
            }
        }
    }


    /*
    //==========Enqueue stylesheet==============//
    */

    public function ptsc_enqueue_styles()
    {
        //wp_enqueue_script('jquery');

        wp_dequeue_style('whmp_grp_jQuery_UI_CSS');
        wp_dequeue_script('whmp_grp_jQuery_UI_JS');

        // Enqueue Plugins Styles and Scripts
        wp_dequeue_style('whmp_grp_styles');
        wp_dequeue_script('whmp_grp_scripts');

        wp_dequeue_script('jquery-ui-dialog');

        wp_enqueue_style("ptsc_default_style", PTSC_URL . '/css/styles.css');

        wp_enqueue_style("ptsc_whmpress_default", PTSC_URL . '/css/default.css');
        wp_enqueue_style("ptsc_whmpress_minimal", PTSC_URL . '/css/minimal.css');
        wp_enqueue_style('ptsc_nice_select_css', PTSC_URL . '/css/nice-select.css');

        wp_enqueue_style("ptsc_whmpress_style", PTSC_URL . '/css/ptsc_whmpress.css');
        wp_enqueue_style('ptsc_slick_css', PTSC_URL . '/js/slick/slick.css');
        wp_enqueue_script('ptsc_slick_js', PTSC_URL . '/js/slick/slick.js', ['jquery']);
        wp_enqueue_script('ptsc_nice_select_js', PTSC_URL . '/js/jquery.nice-select.js', ['jquery']);

        //~~ Country picker CSS and JS
        wp_enqueue_style("ptsc_country_picker_css", PTSC_URL . '/css/countrySelect.css');
        //wp_register_script("ptsc_jquery_min",'https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"', 'jquery');
        wp_enqueue_script('ptsc_country_picker_js', PTSC_URL . '/js/countrySelect.js');

        // Enqueue jQuery UI on front-end
        wp_enqueue_style('ptsc_jQuery_UI_CSS', '//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css');
        wp_enqueue_script('ptsc_jQuery_UI_JS', PTSC_URL . '/js/jquery-ui.min.js', 'jquery');
        wp_enqueue_script('ptsc_jQuery_touchpunch_JS', PTSC_URL . '/js/touchpunch.js', 'jquery');
        wp_enqueue_script('ptsc_jQuery_easytabs', 'https://cdnjs.cloudflare.com/ajax/libs/jquery.easytabs/3.2.0/jquery.easytabs.min.js', 'jquery');


        wp_enqueue_style("ptsc_pricing_tables_css", PTSC_URL . '/css/ptsc_pricing_tables.css');


        wp_enqueue_script("ptsc_default_script", PTSC_URL . '/js/scripts.js', array('jquery'));




        $localized_array = [
            'ajax_url' => admin_url('admin-ajax.php'),
        ];
        wp_localize_script('ptsc_default_script', 'ptsc_ajax', $localized_array);

        wp_enqueue_script("ptsc_google_map_places", '//maps.googleapis.com/maps/api/js?key='.get_option('gp_api'));

        wp_enqueue_style('custom_wp_tele_phone_styles', 'https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/6.4.1/css/intlTelInput.css');

        wp_enqueue_script("ptsc_tele_phone_scripts", 'https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/6.4.1/js/intlTelInput.min.js', 'jquery');

    }

    /*
    //==========Enqueue Admin stylesheet==============//
    */

    public function ptsc_enqueue_admin_styles_n_scripts()
    {
        wp_register_style("ptsc_admin_styles", PTSC_URL . '/admin/assets/css/admin-styles.css');
        wp_register_style("ptsc_admin_com_styles", PTSC_URL . '/admin/assets/css/ptsc_admin.css');
        wp_register_style('custom_wp_admin_icons', '//cdn.linearicons.com/free/1.0.0/icon-font.min.css', false, '1.0.0');
        wp_register_style('custom_wp_select2_styles', 'https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css');
        wp_register_script("ptsc_select2_scripts", 'https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js', 'jquery');
        wp_register_script("ptsc_admin_scripts", PTSC_URL . '/admin/assets/js/admin-scripts.js','jquery');
        wp_register_script("ptsc_admin_com_scripts", PTSC_URL . '/admin/assets/js/whcom.js', 'jquery');
        wp_register_script("ptsc_jquery_min",'https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"', 'jquery');

        wp_enqueue_style("ptsc_admin_styles");
        wp_enqueue_style('custom_wp_select2_styles');
        wp_enqueue_style("ptsc_admin_com_styles");
        wp_enqueue_style('custom_wp_admin_icons');
        wp_enqueue_script("ptsc_jquery_min");
        wp_enqueue_script("ptsc_admin_scripts");
        wp_enqueue_script("ptsc_admin_com_scripts");
        wp_enqueue_script("ptsc_select2_scripts");
    }

    /*
    //==========Get the Current Language==============//
    */
    public function get_current_language()
    {
        if (defined('ICL_LANGUAGE_CODE')) {
            return ICL_LANGUAGE_CODE;
        } elseif (function_exists('pll_current_language')) {
            return pll_current_language();
        } elseif (isset($_GET["lang"])) {
            return $_GET["lang"];
        } else {
            return get_locale();
        }
    }


    /*
    //==========Function to add shortcodes==============//
    */
    public function add_shortcodes()
    {
        add_shortcode("ptsc_comparison_table", [$this, 'comparison_shortcode']);
        add_shortcode("makli_comparison_table", [$this, 'comparison_shortcode']);
        add_shortcode("ptsc_order_slider", [$this, "slider_shortcode"]);
        add_shortcode("makli_order_slider", [$this, "slider_shortcode"]);
        add_shortcode("ptsc_pricing_table_group", [$this, 'table_group_shortcode']);
        add_shortcode("makli_pricing_table_group", [$this, 'table_group_shortcode']);
        add_shortcode("ptsc_pricing_table", [$this, 'table_shortcode']);
        add_shortcode("makli_pricing_table", [$this, 'table_shortcode']);
        add_shortcode("ptsc_currency_combo", [$this, 'currency_combo_shortcode']);
        add_shortcode("makli_currency_combo", [$this, 'currency_combo_shortcode']);
        add_shortcode("ptsc_paypal_user", [$this, 'paypal_user']);
        add_shortcode("makli_paypal_user", [$this, 'paypal_user']);
        add_shortcode("ptsc_cart_single_page", [$this, 'single_page_cart_shortcode']);
        add_shortcode("makli_cart_single_page", [$this, 'single_page_cart_shortcode']);
        add_shortcode("ptsc_list_all", [$this, 'list_all_shortcode']);
        add_shortcode("makli_list_all", [$this, 'list_all_shortcode']);
        add_shortcode("ptsc_client_area", [$this, 'shortcode_client_area']);
        add_shortcode("makli_client_area", [$this, 'shortcode_client_area']);
        add_shortcode("makli_jumbotron", [$this, 'shortcode_jumbotron']);
        add_shortcode("ptsc_jumbotron", [$this, 'shortcode_jumbotron']);
        add_shortcode("makli_section", [$this, 'shortcode_section']);
        add_shortcode("ptsc_section", [$this, 'shortcode_section']);
        add_shortcode("makli_tabs", [$this, 'shortcode_tabs']);
        add_shortcode("ptsc_tabs", [$this, 'shortcode_tabs']);
        add_shortcode("makli_carousel", [$this, 'shortcode_carousel']);
        add_shortcode("ptsc_carousel", [$this, 'shortcode_carousel']);

    }


    /*
    //==========group Shortcode here==============//
    */
    public function comparison_shortcode($atts = [], $content)
    {
        ob_start();
        include(PTSC_PATH . '/shortcode/shortcode_comparison.php');
        $content = ob_get_clean();
        return $content;
    }


    public function list_all_shortcode()
    {
        include(PTSC_PATH . '/shortcode/list_all.php');
    }

    /*
    //==========Slider Shortcode Here==============//
    */
    public function slider_shortcode($atts = [], $content)
    {
        ob_start();
        include(PTSC_PATH . '/shortcode/shortcode_slider.php');
        $content = ob_get_clean();
        return $content;
    }


    /*
    //==========Table Group Shortcode Here==============//
    */
    public function table_group_shortcode($atts = [], $content)
    {

        ob_start();
        include(PTSC_PATH . '/shortcode/shortcode_table_group.php');
        $content = ob_get_clean();
        return $content;
    }


    /*
    //==========Table Shortcode Here==============//
    */
    public function table_shortcode($atts = [], $content)
    {

        ob_start();
        include(PTSC_PATH . '/shortcode/shortcode_table.php');
        $content = ob_get_clean();
        return $content;
    }

    /*
    //==========Currency Combo Shortcode Here==============//
    */
    public function currency_combo_shortcode($atts = [], $content)
    {

        ob_start();
        include(PTSC_PATH . '/shortcode/shortcode_currency_combo.php');
        $content = ob_get_clean();
        return $content;
    }

    /*
    //==========paypal_user Shortcode Here==============//
    */
    public function paypal_user($atts = [], $content)
    {

        ob_start();
        include(PTSC_PATH . '/shortcode/paypal_user.php');
        $content = ob_get_clean();
        return $content;
    }

    /*
    //==========ptsc_single_page_cart Shortcode Here==============//
    */
    public function single_page_cart_shortcode($atts = [], $content)
    {

        ob_start();
        include(PTSC_PATH . '/shortcode/shortcode_single_page_cart.php');
        $content = ob_get_clean();
        return $content;
    }

    public function shortcode_client_area($atts = [], $content)
    {
        ob_start();
        include_once(PTSC_PATH . '/shortcode/ptsc_client_area.php');
        $content = ob_get_clean();
        return $content;
    }

    public function shortcode_jumbotron($atts = [], $content)
    {
        ob_start();
        include(PTSC_PATH . '/shortcode/shortcode_jumbotron.php');
        $content = ob_get_clean();
        return $content;
    }

    public function shortcode_section($atts = [], $content)
    {
        ob_start();
        include(PTSC_PATH . '/shortcode/ptsc_section.php');
        $content = ob_get_clean();
        return $content;
    }

    public function shortcode_tabs($atts = [], $content)
    {
        ob_start();
        include(PTSC_PATH . '/shortcode/ptsc_tabs.php');
        $content = ob_get_clean();
        return $content;
    }

    public function shortcode_carousel($atts = [], $content)
    {
        ob_start();
        include(PTSC_PATH . '/shortcode/ptsc_carousel.php');
        $content = ob_get_clean();
        return $content;
    }

    /*
    //==========Function to add Admin Pages==============//
    */
    public function ptsc_add_admin_pages()
    {
        global $ptsc_page;
        add_menu_page(__('MAKLI', 'ptsc'), __('MAKLI', 'ptsc'), 'manage_options', 'ptsc', [
            $this,
            'ptsc_load_plugin_page',
        ], PTSC_URL . "/admin/images/ptsc.png", '83.59856');

        if (get_option('w_mode') == 'display_and_sell') {

            add_menu_page(__('MAKLI Operations', 'ptsc'), __('MAKLI Operations', 'ptsc'), 'manage_options', 'ptsc_operations', [
                $this,
                'ptsc_load_plugin_page',
            ], PTSC_URL . "/admin/images/ptsc.png", '83.59856');
        }


        $ptsc_page = add_submenu_page('ptsc', __('MAKLI', 'ptsc'), __('Makli Dashboard', 'ptsc'), 'manage_options', 'ptsc', [
            $this,
            'ptsc_load_plugin_page',
        ]);


        add_action('load-' . $ptsc_page, [$this, 'ptsc_dashboard_help_section']);

        //add_filter( 'screen_settings', [ $this, 'show_screen_options' ], 10, 2 );

        /*
                //==========Getting stared Page Here==============//
              */

        add_submenu_page('ptsc', __('MAKLI', 'ptsc'), __('Getting Started', 'ptsc'), 'manage_options', 'ptsc-getting-started', [
            $this,
            'ptsc_load_getting_stared_page',
        ]);


        /*
        //==========Add Table Data Page Here==============//
        */
        add_submenu_page(null, __('MAKLI - ShortCodes', 'ptsc'), __('Add Table Data', 'ptsc'), 'manage_options', 'ptsc-add-table-data', [
            $this,
            'ptsc_load_add_table_data_page',
        ]);


        /*
        //==========Product Pages Here==============//
        */
        global $ptsc_list_service_page;
        $ptsc_list_service_page = add_submenu_page('ptsc', __('MAKLI - ShortCodes', 'ptsc'), __('Services', 'ptsc'), 'manage_options', 'ptsc-products', [
            $this,
            'ptsc_load_products_page',
        ]);
        add_action('load-' . $ptsc_list_service_page, [$this, 'ptsc_list_service_help_section']);
        add_action('load-' . $ptsc_list_service_page, [$this, 'ptsc_list_service_screen_options']);

        $ptsc_add_service_page = add_submenu_page(null, __('MAKLI - ShortCodes', 'ptsc'), __('Add Products', 'ptsc'), 'manage_options', 'ptsc-add-products', [
            $this,
            'ptsc_load_add_products_page',
        ]);
        add_action('load-' . $ptsc_add_service_page, [$this, 'ptsc_add_service_help_section']);

        add_submenu_page(null, __('MAKLI - ShortCodes', 'ptsc'), __('Add Pricing', 'ptsc'), 'manage_options', 'ptsc-add-pricing', [
            $this,
            'ptsc_load_add_pricing_page',
        ]);

        /*
        //==========Coupons Pages Here==============//
        */
        global $ptsc_list_coupons_page;
        $ptsc_list_coupons_page = add_submenu_page('ptsc', __('MAKLI - ShortCodes', 'ptsc'), __('Coupons', 'ptsc'), 'manage_options', 'ptsc-coupons', [
            $this,
            'ptsc_load_coupons_page',
        ]);
        add_action('load-' . $ptsc_list_coupons_page, [$this, 'ptsc_list_coupon_help_section']);
        add_action('load-' . $ptsc_list_coupons_page, [$this, 'ptsc_list_coupons_screen_options']);

        $ptsc_add_coupon_page = add_submenu_page(null, __('MAKLI - ShortCodes', 'ptsc'), __('Add Coupons', 'ptsc'), 'manage_options', 'ptsc-add-coupons', [
            $this,
            'ptsc_load_add_coupon_page',
        ]);
        add_action('load-' . $ptsc_add_coupon_page, [$this, 'ptsc_add_coupon_help_section']);

        /*
         //=========Users Page Here==========//
         */

        $ptsc_users_page = add_submenu_page('ptsc_operations', __('MAKLI - ShortCodes', 'ptsc'), __('Users', 'ptsc'), 'manage_options', 'ptsc-users', [
            $this,
            'ptsc_load_users_page',
        ]);

        /*
         //=========Create New Shortcode Pages Here==========//
         */

        $ptsc_create_new_shortdoce_page = add_submenu_page(null, __('MAKLI - Create-new-shortcode', 'ptsc'), __('Add Shortcode', 'ptsc'), 'manage_options', 'ptsc-create-new-shortcode', [
            $this,
            'ptsc_load_create_new_shortcode_page',
        ]);
        add_action('load-' . $ptsc_create_new_shortdoce_page, [$this, 'ptsc_create_new_shortdoce_page_help_section']);

        /*
        //==========Widgets Pages Here==============//
        */
        global $ptsc_sale_groups_page;
        $ptsc_sale_groups_page = add_submenu_page('ptsc', __('MAKLI - Groups', 'ptsc'), __('Widgets ', 'ptsc'), 'manage_options', 'ptsc-groups', [
            $this,
            'ptsc_load_groups_page',
        ]);
        add_action('load-' . $ptsc_sale_groups_page, [$this, 'ptsc__sale_groups_page_help_section']);
        add_action('load-' . $ptsc_sale_groups_page, [$this, 'ptsc_sale_groups_screen_options']);

        /*add_submenu_page(null, __('MAKLI - Groups', 'ptsc'), __('Add Groups', 'ptsc'), 'manage_options', 'ptsc-add-groups', [
            $this,
            'ptsc_load_add_groups_page',
        ]);*/

        /*
        //==========Widgwets Templates Pages Here==============//
        */
        global $ptsc_widget_templates_page;
        $ptsc_widget_templates_page = add_submenu_page('ptsc', __('MAKLI - Widget Templates', 'ptsc'), __('Widget Templates ', 'ptsc'), 'manage_options', 'ptsc-widget-template', [
            $this,
            'ptsc_load_widget_templates_page',
        ]);
        add_action('load-' . $ptsc_widget_templates_page, [$this, 'ptsc_widget_templates_page_help_section']);
        add_action('load-' . $ptsc_widget_templates_page, [$this, 'ptsc_widget_templates_screen_options']);

        /*
        //==========Order Pages Here==============//
        */
        global $ptsc_orders_page;
        $ptsc_orders_page = add_submenu_page('ptsc_operations', __('MAKLI - ShortCodes', 'ptsc'), __('Orders', 'ptsc'), 'manage_options', 'ptsc-orders', [
            $this,
            'ptsc_load_orders_page',
        ]);
        add_action('load-' . $ptsc_orders_page, [$this, 'ptsc_orders_page_help_section']);
        add_action('load-' . $ptsc_orders_page, [$this, 'ptsc_order_screen_options']);

        $ptsc_add_orders_page = add_submenu_page(null, __('MAKLI - ShortCodes', 'ptsc'), __('Add Orders', 'ptsc'), 'manage_options', 'ptsc-add-orders', [
            $this,
            'ptsc_load_add_orders_page',
        ]);
        add_action('load-' . $ptsc_add_orders_page, [$this, 'ptsc_add_orders_page_help_section']);

        //=========invoice Pages Here==========//
        global $ptsc_all_invoice_page;
        $ptsc_all_invoice_page = add_submenu_page('ptsc_operations', __('MAKLI - invoice', 'ptsc'), __('Invoice', 'ptsc'), 'manage_options', 'ptsc-invoice', [
            $this,
            'ptsc_load_invoice_page',
        ]);
        add_action('load-' . $ptsc_all_invoice_page, [$this, 'ptsc_all_invoice_page_help_section']);
        add_action('load-' . $ptsc_all_invoice_page, [$this, 'ptsc_all_invoice_screen_option']);

        $ptsc_add_invoice_page = add_submenu_page(null, __('MAKLI - ShortCodes', 'ptsc'), __('Add Invoice', 'ptsc'), 'manage_options', 'ptsc-add-invoice', [
            $this,
            'ptsc_load_add_invoice_page',
        ]);
        add_action('load-' . $ptsc_add_invoice_page, [$this, 'ptsc_add_invoice_page_help_section']);

        /*
       //==========Services Pages Here==============//
       */

        global $ptsc_service_list_page;
        $ptsc_service_list_page = add_submenu_page('ptsc_operations', __('MAKLI - ShortCodes', 'ptsc'), __('Client Services', 'ptsc'), 'manage_options', 'ptsc-services', [
            $this,
            'ptsc_load_services_page',
        ]);
        add_action('load-' . $ptsc_service_list_page, [$this, 'ptsc_service_list_page_help_section']);
        add_action('load-' . $ptsc_service_list_page, [$this, 'ptsc_service_list_screen_options']);

        $ptsc_add_service_list_page = add_submenu_page(null, __('MAKLI - ShortCodes', 'ptsc'), __('Add Services', 'ptsc'), 'manage_options', 'ptsc-add-services', [
            $this,
            'ptsc_load_add_services_page',
        ]);
        add_action('load-' . $ptsc_add_service_list_page, [$this, 'ptsc_add_service_list_page_help_section']);

        /*add_submenu_page(null, __('PTSC - ShortCodes', 'ptsc'), __('Add Pricing', 'ptsc'), 'manage_options', 'ptsc-add-pricing', [
            $this,
            'ptsc_load_add_pricing_page',
        ]);*/

        /*
      //==========Email templates page Here==============//
      */
        global $ptsc_email_templates;
        $ptsc_email_templates = add_submenu_page('ptsc', __('MAKLI - ShortCodes', 'ptsc'), __('Email Templates', 'ptsc'), 'manage_options', 'ptsc-email-templates', [
            $this,
            'ptsc_load_email_templates_page',
        ]);
        add_action('load-' . $ptsc_email_templates, [$this, 'ptsc_email_templates_help_section']);
        add_action('load-' . $ptsc_email_templates, [$this, 'ptsc_email_templates_screen_option']);


        /*
     //==========Add Email templates page Here==============//
     */

        $ptsc_add_email_templates = add_submenu_page(null, __('MAKLI - ShortCodes', 'ptsc'), __('Add Email Template', 'ptsc'), 'manage_options', 'ptsc-add-email-template', [
            $this,
            'ptsc_load_add_email_templates_page',
        ]);
        add_action('load-' . $ptsc_add_email_templates, [$this, 'ptsc_add_email_templates_help_section']);
        /*
        //==========Currency Pages Here==============//
        */
        global $ptsc_currencies_page;
        $ptsc_currencies_page = add_submenu_page(null, __('MAKLI - Currencies', 'ptsc'), __('Currencies', 'ptsc'), 'manage_options', 'ptsc-currencies', [
            $this,
            'ptsc_load_currencies_page',
        ]);
        add_action('load-' . $ptsc_currencies_page, [$this, 'ptsc_currencies_page_help_section']);
        add_action('load-' . $ptsc_currencies_page, [$this, 'ptsc_currencies_page_screen_option']);

        $ptsc_add_currencies_page = add_submenu_page(null, __('MAKLI - Currencies', 'ptsc'), __('Currencies', 'ptsc'), 'manage_options', 'ptsc-add-currencies', [
            $this,
            'ptsc_load_currencies_add_page',
        ]);

        add_action('load-' . $ptsc_add_currencies_page, [$this, 'ptsc_add_currencies_page_help_section']);


        /*
         //=========Tooltips Pages Here==========//
         */
        global $ptsc_tooltips_page;
        $ptsc_tooltips_page = add_submenu_page(null, __('MAKLI - ToolTips', 'ptsc'), __('Tooltips', 'ptsc'), 'manage_options', 'ptsc-tooltips', [
            $this,
            'ptsc_load_tooltips_page',
        ]);
        add_action('load-' . $ptsc_tooltips_page, [$this, 'ptsc_tooltips_page_help_section']);
        add_action('load-' . $ptsc_tooltips_page, [$this, 'ptsc_tooltips_page_screen_option']);

        /*
         //=========Create shortcode Pages Here==========//
         */
        /*add_submenu_page('ptsc', __('PTSC - Create-Shortcode', 'ptsc'), __('Create Shortcode', 'ptsc'), 'manage_options', 'ptsc-create-shortcode', [
            $this,
            'ptsc_load_create_shortcode_page',
        ]);

        add_submenu_page(null, __('PTSC - Create-Shortcode', 'ptsc'), __('Table List', 'ptsc'), 'manage_options', 'ptsc-table-list', [
            $this,
            'ptsc_load_table_list_page',
        ]);
        add_submenu_page(null, __('PTSC - Create-Shortcode', 'ptsc'), __('Table Options', 'ptsc'), 'manage_options', 'ptsc-table-options', [
            $this,
            'ptsc_load_table_options_page',
        ]);*/

        // =======================================================================//
        // Papal page Page here        //
        // =======================================================================//

        /*add_submenu_page('ptsc', __('PTSC - Paypal_setup', 'ptsc'), __('Paypal Setup', 'ptsc'), 'manage_options', 'ptsc-paypal-setup', [
            $this,
            'ptsc_load_paypal_setup_page',
        ]);*/

        /*
          //==========Sustem_status Page Here==============//
          //==========Sustem_status Page Here==============//

        */

        add_submenu_page('ptsc', __('MAKLI', 'ptsc'), __('System Status', 'ptsc'), 'manage_options', 'ptsc-stystem-status', [
            $this,
            'ptsc_load_system_status_page',
        ]);
        // =======================================================================//
        // Settings Page here        //
        // =======================================================================//

        $ptsc_settings_page = add_submenu_page('ptsc', __('MAKLI - Settings', 'ptsc'), __('Settings', 'ptsc'), 'manage_options', 'ptsc-settings', [
            $this,
            'ptsc_load_settings_page',
        ]);
        add_action('load-' . $ptsc_settings_page, [$this, 'ptsc_settings_page_help_section']);

    }


    /**
     * Set default values for all fields used in Settings page in Admin panel.
     */


    public function ptsc_load_plugin_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/ptsc_dashboard.php');
    }

    /*
    //==========Getting Started pages Load here==============//
    */
    public function ptsc_load_getting_stared_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/getting_started.php');
    }

    /*
    //==========group pages Load here==============//
    */
    public function ptsc_load_add_table_data_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/product/products_add.php');
    }

    /*
    //==========group pages Load here==============//
    */
    public function ptsc_load_groups_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/ptsc_groups_page.php');
    }

    public function ptsc_load_add_groups_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/group/group-add.php');
    }


    public function ptsc_load_groups_arrays_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/group_array_page.php');
    }


    /*
 //==========Widget Template pages Load here==============//
 */
    public function ptsc_load_widget_templates_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/ptsc_widget_template.php');
    }



    /*
    //==========Product Pages Load Here==============//
    */

    public function ptsc_load_products_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/ptsc_products_page.php');
    }

    public function ptsc_load_add_products_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/product/products_add.php');
    }


    public function ptsc_load_add_pricing_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/product/product_pricing.php');
    }

    /*
    //==========Coupons Pages Load Here==============//
    */

    public function ptsc_load_coupons_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/ptsc_coupons_page.php');
    }

    public function ptsc_load_add_coupon_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/coupon/coupon_add.php');
    }


    /*
    //==========Users Page Load Here==============//
    */

    public function ptsc_load_users_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/ptsc_users.php');
    }


    /*
    //==========Order Pages Load Here==============//
    */

    public function ptsc_load_orders_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/ptsc_orders_page.php');
    }

    public function ptsc_load_add_orders_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/orders/orders_add.php');
    }


    /*
   //==========Services Pages Load Here==============//
   */

    public function ptsc_load_services_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/ptsc_services_page.php');
    }

    public function ptsc_load_add_services_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/services/services_add.php');
    }

    /*
   //==========Services Pages Load Here==============//
   */

    public function ptsc_load_email_templates_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/ptsc_email_template_page.php');
    }

    public function ptsc_load_add_email_templates_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/email_templates/email_template_add.php');
    }


    /*public function ptsc_load_add_pricing_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/product/product_pricing.php');
    }*/


    /*
    //==========Currencies pages Here==============//
    */

    public function ptsc_load_currencies_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/ptsc_currency_page.php');
    }

    public function ptsc_load_currencies_add_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/currency/currency_add.php');
    }

    /*
     //=========Tooltips pages Here=======//
     */

    public function ptsc_load_tooltips_page()
    {
        require_once(PTSC_PATH . "/admin/admin_pages/tooltips.php");
    }

    /*
     //=========Create Shortcode pages Here=======//
     */

    public function ptsc_load_create_shortcode_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/ptsc_create_shortcode.php');
    }

    public function ptsc_load_table_list_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/table_list.php');
    }

    public function ptsc_load_table_options_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/table_options.php');
    }

    /*
     //=========Create New Shortcode page Here=======//
     */
    public function ptsc_load_create_new_shortcode_page()
    {
        require_once(PTSC_PATH . "/admin/admin_pages/create_new_shortcode.php");
    }

    // =======================================================================//
    // Paypal Setup page here        //
    // =======================================================================//

    /*public function ptsc_load_paypal_setup_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/paypal_setup.php');
    }*/

    // =======================================================================//
    // invoice page here        //
    // =======================================================================//
    public function ptsc_load_invoice_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/ptsc_invoice.php');
    }

    public function ptsc_load_add_invoice_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/invoices/invoice_add.php');
    }

    // =======================================================================//
    // system status page here        //
    // =======================================================================//


    public function ptsc_load_system_status_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/system_status.php');
    }

    // =======================================================================//
    // Setttings page here        //
    // =======================================================================//


    public function ptsc_load_settings_page()
    {
        require_once(PTSC_PATH . '/admin/admin_pages/settings.php');
    }


    public function ptsc_dashboard_help_section()
    {
        $screen = get_current_screen();
        // Add my_help_tab if current screen is My Admin Page
        $screen->add_help_tab(array(
            'id' => 'makli_dashboard',
            'title' => esc_html__('Help', 'admin', 'ptsc'),
            'content' => '<p>' . esc_html__("Makli is a webshop system that offers WordPress Shopping Cart Plugin for growing your small business. It’s designed for small vendors selling a few products & services through WordPress.", "admin", "ptsc") . '</p>',
        ));

    }

    public function ptsc_add_service_help_section()
    {
        $screen = get_current_screen();

        // Add my_help_tab if current screen is My Admin Page
        $screen->add_help_tab(array(
            'id' => 'makli_add_service',
            'title' => esc_html__('Help', 'admin', 'ptsc'),
            'content' => '<p>' . esc_html__("Define your services or products here. Use the following format if you need to compare product features.
                            diskspace: 20GB
                            Free Doamin: YES", "admin", "ptsc") . '</p>',
        ));

    }

    public function ptsc_list_service_help_section()
    {
        $screen = get_current_screen();

        // Add my_help_tab if current screen is My Admin Page
        $screen->add_help_tab(array(
            'id' => 'makli_list_service',
            'title' => esc_html__('Help', 'admin', 'ptsc'),
            'content' => '<p>' . esc_html__("This page lists all defined products/tables. You can make products groups and use as ShortCodes", "admin", "ptsc") . '</p>',
        ));
    }

    public function ptsc_add_coupon_help_section()
    {
        $screen = get_current_screen();

        // Add my_help_tab if current screen is My Admin Page
        $screen->add_help_tab(array(
            'id' => 'makli_add_coupon',
            'title' => esc_html__('Help', 'admin', 'ptsc'),
            'content' => '<p>' . esc_html__("Define your services or coupons here", "admin", "ptsc") . '</p>',
        ));

    }

    public function ptsc_list_coupon_help_section()
    {
        $screen = get_current_screen();

        // Add my_help_tab if current screen is My Admin Page
        $screen->add_help_tab(array(
            'id' => 'makli_list_coupon',
            'title' => esc_html__('Help', 'admin', 'ptsc'),
            'content' => '<p>' . esc_html__("This page lists all defined coupons. You can make coupons and can apply in checkout", "admin", "ptsc") . '</p>',
        ));
    }

    public function ptsc__sale_groups_page_help_section()
    {
        $screen = get_current_screen();

        // Add my_help_tab if current screen is My Admin Page
        $screen->add_help_tab(array(
            'id' => 'makli_sale_group_page',
            'title' => esc_html__('Help', 'admin', 'ptsc'),
            'content' => '<p>' . esc_html__("On this page you can create a Group of Pricing Tables and then use the corresponding ShortCode to display them on your pages.After creating group, use Select Plans to add remove Plans/Packages and Configure Options to change all other settings.", "admin", "ptsc") . '</p>',
        ));
    }

    public function ptsc_widget_templates_page_help_section()
    {
        $screen = get_current_screen();

        // Add my_help_tab if current screen is My Admin Page
        $screen->add_help_tab(array(
            'id' => 'makli_sale_group_page',
            'title' => esc_html__('Help', 'admin', 'ptsc'),
            'content' => '<p>' . esc_html__("On this page you can create a Group of Pricing Tables and then use the corresponding ShortCode to display them on your pages.After creating group, use Select Plans to add remove Plans/Packages and Configure Options to change all other settings.", "admin", "ptsc") . '</p>',
        ));
    }


    public function ptsc_orders_page_help_section()
    {
        $screen = get_current_screen();

        // Add my_help_tab if current screen is My Admin Page
        $screen->add_help_tab(array(
            'id' => 'makli_order_page',
            'title' => esc_html__('Help', 'admin', 'ptsc'),
            'content' => '<p>' . esc_html__("This page lists all orders.", "admin", "ptsc") . '</p>',
        ));
    }

    public function ptsc_add_orders_page_help_section()
    {
        $screen = get_current_screen();

        // Add my_help_tab if current screen is My Admin Page
        $screen->add_help_tab(array(
            'id' => 'makli_add_order_page',
            'title' => esc_html__('Help', 'admin', 'ptsc'),
            'content' => '<p>' . esc_html__("Here you can manage you orders.", "admin", "ptsc") . '</p>',
        ));
    }


    public function ptsc_service_list_page_help_section()
    {
        $screen = get_current_screen();

        // Add my_help_tab if current screen is My Admin Page
        $screen->add_help_tab(array(
            'id' => 'makli_service_list_page',
            'title' => esc_html__('Help', 'admin', 'ptsc'),
            'content' => '<p>' . esc_html__("This page lists all client services.", "admin", "ptsc") . '</p>',
        ));
    }

    public function ptsc_add_service_list_page_help_section()
    {
        $screen = get_current_screen();

        // Add my_help_tab if current screen is My Admin Page
        $screen->add_help_tab(array(
            'id' => 'makli_add_service_list_page',
            'title' => esc_html__('Help', 'admin', 'ptsc'),
            'content' => '<p>' . esc_html__("Here you can manage the client service.", "admin", "ptsc") . '</p>',
        ));
    }

    public function ptsc_email_templates_help_section()
    {
        $screen = get_current_screen();

        // Add my_help_tab if current screen is My Admin Page
        $screen->add_help_tab(array(
            'id' => 'makli_email_templates',
            'title' => esc_html__('Help', 'admin', 'ptsc'),
            'content' => '<p>' . esc_html__("This page lists all pre design Email Templates.", "admin", "ptsc") . '</p>',
        ));
    }

    public function ptsc_add_email_templates_help_section()
    {
        $screen = get_current_screen();

        // Add my_help_tab if current screen is My Admin Page
        $screen->add_help_tab(array(
            'id' => 'makli_add_email_templates',
            'title' => esc_html__('Help', 'admin', 'ptsc'),
            'content' => '<p>' . esc_html__("Add your desired Email Template in html format.", "admin", "ptsc") . '</p>',
        ));
    }

    public function ptsc_tooltips_page_help_section()
    {
        $screen = get_current_screen();

        // Add my_help_tab if current screen is My Admin Page
        $screen->add_help_tab(array(
            'id' => 'makli_ptsc_tooltips_page',
            'title' => esc_html__('Tooltip Help', 'admin', 'ptsc'),
            'content' => '<p>' . esc_html__("This page lists all defined tooltips.", "admin", "ptsc") . '</p>',
        ));
        $screen->add_help_tab(array(
            'id' => 'makli_ptsc_tooltips-add_page',
            'title' => esc_html__('Add Tooltip Help', 'admin', 'ptsc'),
            'content' => '<p>' . esc_html__("You can use tool tips to give extra details about package features you are offering. Tool tip will appear if you have enabled it in group and a feature name matches with a tool tip.", "admin", "ptsc") . '</p>',
        ));
    }

    public function ptsc_settings_page_help_section()
    {
        $screen = get_current_screen();

        // Add my_help_tab if current screen is My Admin Page
        $screen->add_help_tab(array(
            'id' => 'makli_ptsc_tooltips_page',
            'title' => esc_html__('Help', 'admin', 'ptsc'),
            'content' => '<p>' . esc_html__("These are overall plugin settings and will effect all ShortCodes a like.", "admin", "ptsc") . '</p>',
        ));
    }

    public function ptsc_create_new_shortdoce_page_help_section()
    {
        $screen = get_current_screen();

        // Add my_help_tab if current screen is My Admin Page
        $screen->add_help_tab(array(
            'id' => 'makli_ptsc_new_shortcode_page',
            'title' => esc_html__('Help', 'admin', 'ptsc'),
            'content' => '<p>' . esc_html__("On this page you can create a Group of Pricing Tables and then use the corresponding ShortCode to display them on your pages.After creating group, use Select Plans to add remove Plans/Packages and Configure Options to change all other settings.", "admin", "ptsc") . '</p>',
        ));
    }

    public function ptsc_all_invoice_page_help_section()
    {
        $screen = get_current_screen();

        // Add my_help_tab if current screen is My Admin Page
        $screen->add_help_tab(array(
            'id' => 'makli_all_invoices_page',
            'title' => esc_html__('Help', 'admin', 'ptsc'),
            'content' => '<p>' . esc_html__("This page lists all invoice.", "admin", "ptsc") . '</p>',
        ));
    }

    public function ptsc_add_invoice_page_help_section()
    {
        $screen = get_current_screen();

        // Add my_help_tab if current screen is My Admin Page
        $screen->add_help_tab(array(
            'id' => 'makli_add_invoices_page',
            'title' => esc_html__('Help', 'admin', 'ptsc'),
            'content' => '<p>' . esc_html__("Here you can manage you invoice.", "admin", "ptsc") . '</p>',
        ));
    }

    public function ptsc_currencies_page_help_section()
    {
        $screen = get_current_screen();

        // Add my_help_tab if current screen is My Admin Page
        $screen->add_help_tab(array(
            'id' => 'makli_currencies_page',
            'title' => esc_html__('Help', 'admin', 'ptsc'),
            'content' => '<p>' . esc_html__("dummy data about currency list.", "admin", "ptsc") . '</p>',
        ));
    }

    public function ptsc_add_currencies_page_help_section()
    {
        $screen = get_current_screen();

        // Add my_help_tab if current screen is My Admin Page
        $screen->add_help_tab(array(
            'id' => 'makli_add_currencies_page',
            'title' => esc_html__('Help', 'admin', 'ptsc'),
            'content' => '<p>' . esc_html__("Dummy data about add currency.", "admin", "ptsc") . '</p>',
        ));
    }


    /*
     * Here it is the Screen Options for
     * Makli List pages
     * */

    public function ptsc_order_screen_options()
    {
        global $ptsc_orders_page;
        $screen = get_current_screen();

        // get out of here if we are not on our settings page
        if (!is_object($screen) || $screen->id != $ptsc_orders_page)
            return;

        $args = array(
            'label' => esc_html__('Show orders per page', 'ptsc'),
            'default' => 99,
            'option' => 'ptsc_orders_per_page'
        );
        add_screen_option('per_page', $args);
    }

    public function ptsc_service_list_screen_options()
    {
        global $ptsc_service_list_page;
        $screen = get_current_screen();

        // get out of here if we are not on our settings page
        if (!is_object($screen) || $screen->id != $ptsc_service_list_page)
            return;

        $args = array(
            'label' => esc_html__('Show services per page', 'ptsc'),
            'default' => 99,
            'option' => 'ptsc_services_list_per_page'
        );
        add_screen_option('per_page', $args);
    }

    public function ptsc_list_service_screen_options()
    {
        global $ptsc_list_service_page;
        $screen = get_current_screen();

        // get out of here if we are not on our settings page
        if (!is_object($screen) || $screen->id != $ptsc_list_service_page)
            return;

        $args = array(
            'label' => esc_html__('Show product per page', 'ptsc'),
            'default' => 99,
            'option' => 'ptsc_list_services_per_page'
        );
        add_screen_option('per_page', $args);
    }

    public function ptsc_list_coupons_screen_options()
    {
        global $ptsc_list_coupons_page;
        $screen = get_current_screen();

        // get out of here if we are not on our settings page
        if (!is_object($screen) || $screen->id != $ptsc_list_coupons_page)
            return;

        $args = array(
            'label' => esc_html__('Show coupons per page', 'ptsc'),
            'default' => 99,
            'option' => 'ptsc_list_coupons_per_page'
        );
        add_screen_option('per_page', $args);
    }

    public function ptsc_sale_groups_screen_options()
    {
        global $ptsc_sale_groups_page;
        $screen = get_current_screen();

        // get out of here if we are not on our settings page
        if (!is_object($screen) || $screen->id != $ptsc_sale_groups_page)
            return;

        $args = array(
            'label' => esc_html__('Show Sale page per page', 'ptsc'),
            'default' => 99,
            'option' => 'ptsc_sale_groups_per_page'
        );
        add_screen_option('per_page', $args);
    }


    public function ptsc_widget_templates_screen_options()
    {
        global $ptsc_widget_templates_page;
        $screen = get_current_screen();

        // get out of here if we are not on our settings page
        if (!is_object($screen) || $screen->id != $ptsc_widget_templates_page)
            return;

        $args = array(
            'label' => esc_html__('Show Sale page per page', 'ptsc'),
            'default' => 99,
            'option' => 'ptsc_sale_groups_per_page'
        );
        add_screen_option('per_page', $args);
    }



    public function ptsc_widget_template_screen_options()
    {
        global $ptsc_widget_templates_page;
        $screen = get_current_screen();

        // get out of here if we are not on our settings page
        if (!is_object($screen) || $screen->id != $ptsc_widget_templates_page)
            return;

        $args = array(
            'label' => esc_html__('Show Sale page per page', 'ptsc'),
            'default' => 99,
            'option' => 'ptsc_widget_templates_page'
        );
        add_screen_option('per_page', $args);
    }

    public function ptsc_all_invoice_screen_option()
    {
        global $ptsc_all_invoice_page;
        $screen = get_current_screen();

        // get out of here if we are not on our settings page
        if (!is_object($screen) || $screen->id != $ptsc_all_invoice_page)
            return;

        $args = array(
            'label' => esc_html__('Show invoice per page', 'ptsc'),
            'default' => 99,
            'option' => 'ptsc_all_invoice_per_page'
        );
        add_screen_option('per_page', $args);
    }

    public function ptsc_email_templates_screen_option()
    {
        global $ptsc_email_templates;
        $screen = get_current_screen();

        // get out of here if we are not on our settings page
        if (!is_object($screen) || $screen->id != $ptsc_email_templates)
            return;

        $args = array(
            'label' => esc_html__('Show Email Templates per page', 'ptsc'),
            'default' => 99,
            'option' => 'ptsc_email_templates_per_page'
        );
        add_screen_option('per_page', $args);
    }

    public function ptsc_tooltips_page_screen_option()
    {
        global $ptsc_tooltips_page;
        $screen = get_current_screen();

        // get out of here if we are not on our settings page
        if (!is_object($screen) || $screen->id != $ptsc_tooltips_page)
            return;

        $args = array(
            'label' => esc_html__('Show Email Templates per page', 'ptsc'),
            'default' => 99,
            'option' => 'ptsc_tooltips_page_per_page'
        );
        add_screen_option('per_page', $args);
    }

    public function ptsc_currencies_page_screen_option()
    {
        global $ptsc_currencies_page;
        $screen = get_current_screen();

        // get out of here if we are not on our settings page
        if (!is_object($screen) || $screen->id != $ptsc_currencies_page)
            return;

        $args = array(
            'label' => esc_html__('Show Currency per page', 'ptsc'),
            'default' => 99,
            'option' => 'ptsc_currency_page_per_page'
        );
        add_screen_option('per_page', $args);
    }

    public function ptsc_read_local_file($filepath){
        if (!is_file($filepath)) {
            return false;
        }
        global $wp_filesystem;
        if (empty($wp_filesystem)) {
            require_once(ABSPATH . '/wp-admin/includes/file.php');
            WP_Filesystem();
        }

        $content = $wp_filesystem->get_contents($filepath);
        if (empty($content)) {
            $content = file_get_contents($filepath);
        }

        return $content;
    }

}