<?php
/*
 * Comparison Table Shortcode
 * */
?>
<?php
extract(shortcode_atts([
    'html_template' => '',
    'image'         => '',
    'id'            => '',
    'gid'           => '',
    'product_vendor' => '',
    'product_id' => array(),
    'woocommerce_multiple_pids' => array(),
    'featured_rows' => '10',
    'description_separator' => '',
    'billingcycle' => 'monthly',
    'billingcycle2' => '',
    'enable_tooltips' => '',
    'button_text' => 'Buy Now',
    'show_discount' => '',
    'hide_width_comparison' => '',
    'featured_text' => '',
    'toggle_style' => '',
    'show_yes_no_icon' => '',
    'convert_yes_with' => '',
    'convert_no_with' => '',
    'featured_id'     => '',
    'primary_color' => get_option('ptsc_primary_color'),
    'secondary_color' => get_option('ptsc_secondary_color'),
    'woocommerce_featured_id' => ''
], $atts));
require_once (PTSC_PATH."/classes/ptsc.php");


$ptsc = new PTSC();
if($gid != "" || $gid != NULL )
{
    $id = $gid;
}
else{
    $id = $id;
}

//== If Shortcode is set from VC
if ($id == NULL || $id == "") {

    global $wpdb;
    $group_para = array();



    //== All product ids added
    $Q = "SELECT `product_id` FROM `" . $this->get_table_name("products") . "` ";
    $All_pids_data = $wpdb->get_results($Q, ARRAY_A);
    foreach($All_pids_data as $id => $value)
    {
        $All_pids[] = $value["product_id"];
    }

    if($atts["product_vendor"] == 'WC') {
        $woocommerce_multiple_pids = $atts['woocommerce_multiple_pids'];
        $woocommerce_multiple_pids = explode(',', $woocommerce_multiple_pids);

        //== Get All Products from WooCommerce
        if (class_exists('WooCommerce')) {
            $categories_ids = get_terms("product_cat", "term_id");
            foreach ($categories_ids as $cat) {
                $product_WC_product_id = $ptsc->get_products_from_category_by_ID($cat);
                $product_WC_name = array();
                foreach ($product_WC_product_id as $index => $wc_id) {
                    $product_WC_name[] = get_the_title($wc_id);
                }
                foreach ($product_WC_name as $index_pro => $name_pro) {
                    $All_pro_name_WC[] = $product_WC_product_id[$index_pro];
                }
            }
        }

        //== Check if Entered Products Ids exist in WooCommerce
        $WC_matched_ids = array_intersect($All_pro_name_WC, $woocommerce_multiple_pids);


        if ($woocommerce_multiple_pids == "" || empty($WC_matched_ids)) {
            $error_heading = esc_html__('No table ids selected to show', 'ptsc');
            $error_instruction1 = esc_html__('Please Insert table ids in ', 'ptsc');
            $error_instruction2 = esc_html__('"Select Product Ids" ', 'ptsc');
            $error_instruction3 = esc_html__('field.', 'ptsc');
            $final_string = '<div class="ptsc_error"><div><strong>';
            $final_string .= $error_heading;
            $final_string .= '</strong></div>';
            $final_string .= $error_instruction1;
            $final_string .= '<strong>' . $error_instruction2 . '</strong>';
            $final_string .= $error_instruction3;
            $final_string .= '</div>';
            echo $final_string;
            return $final_string;
        }
    }
    $billingcycle = ($billingcycle == "") ? "monthly" : $billingcycle;
    $enable_tooltips = $enable_tooltips == "yes" ? 1 : 0;
    $show_yes_no_icon = $show_yes_no_icon == "yes" ? 1 : 0;

    $sep = $description_separator;
    if (empty($sep)) {
        $sep = ":";
    }
    $rows = $featured_rows;
    if (empty($product_id) && !empty($woocommerce_multiple_pids)) {
        if (class_exists('WooCommerce')) {
            $woocommerce_comparison_table = $ptsc->ptsc_woocommerce_comparison_table_shortcode(
                [
                    'html_template' => $html_template,
                    'image'         => $image,
                    'woocommerce_multiple_pids' => $woocommerce_multiple_pids,
                    'featured_rows' => $featured_rows,
                    'description_separator' => $description_separator,
                    'billingcycle' => 'monthly',
                    'billingcycle2' => '',
                    'enable_tooltips' => $enable_tooltips,
                    'button_text' => $button_text,
                    'show_discount' => '',
                    'hide_width_comparison' => $hide_width_comparison,
                    'featured_text' => $featured_text,
                    'toggle_style' => '',
                    'show_yes_no_icon' => $show_yes_no_icon,
                    'convert_yes_with' => $convert_yes_with,
                    'convert_no_with' => $convert_no_with,
                    'woocommerce_featured_id' => $woocommerce_featured_id
                ]
            );
            return $woocommerce_comparison_table;
        } else {
            $error_heading = esc_html__('WooCommerce is not Active!!', 'ptsc');
            $error_instruction1 = esc_html__('Please Activate WooCommerce', 'ptsc');
            $error_instruction2 = esc_html__(' from Plugins Section ', 'ptsc');
            $woocommece_not_exist_string = '<div class="ptsc_error"><div><strong>';
            $woocommece_not_exist_string .= $error_heading;
            $woocommece_not_exist_string .= '</strong></div>';
            $woocommece_not_exist_string .= $error_instruction1;
            $woocommece_not_exist_string .= $error_instruction2;
            $woocommece_not_exist_string .= '</div>';
            echo $woocommece_not_exist_string;
            return $woocommece_not_exist_string;
        }
    }
    else {

        //== Product ids from shortcode attribute
        $product_ids = $atts['product_id'];
        $product_ids = explode(',', $product_ids);


        //== Check if product ids from shortcode attribute exist in Available Products
        $matched_ids = array_intersect($All_pids, $product_ids);

        if ($product_ids == "" || empty($matched_ids)) {
            $error_heading = esc_html__('No table ids selected to show', 'ptsc');
            $error_instruction1 = esc_html__('Please Insert table ids in ', 'ptsc');
            $error_instruction2 = esc_html__('"Select Product Ids" ', 'ptsc');
            $error_instruction3 = esc_html__('field.', 'ptsc');
            $final_string = '<div class="ptsc_error"><div><strong>';
            $final_string .= $error_heading;
            $final_string .= '</strong></div>';
            $final_string .= $error_instruction1;
            $final_string .= '<strong>' . $error_instruction2 . '</strong>';
            $final_string .= $error_instruction3;
            $final_string .= '</div>';
            echo $final_string;
            return $final_string;
        }

        $group_para["have_sections"] = 0;
        $group_para["mobile_breakpoint"] = $hide_width_comparison;
        $group_para["billingcycle"] = $billingcycle;
        $group_para["billingcycle2"] = $billingcycle2;
        $group_para["show_discount"] = "no";
        $group_para["decimals"] = get_option("decimals");
        $group_para["show_duration_as"] = get_option("show_duration_as");
        $group_para["important"] = "";
        $group_para["show_discount_secondary"] = "";
        $group_para['convert_to_symbol'] = $show_yes_no_icon;
        $group_para['convert_no_with'] = $convert_no_with;
        $group_para['convert_yes_with'] = $convert_yes_with;
        $group_para['button_text'] = $button_text;
        $group_para['enable_tooltips'] = $enable_tooltips;
        $group_para['ribbon_text'] = $featured_text;
        $product_count = count($product_ids);

        //== Save all product data in one Array
        $count = 0;
        $product_para = array();
        foreach ($product_ids as $p_id) {
            $ptsc_products_para = $ptsc->ptsc_products;
            $product_para[$count] = $ptsc_products_para->ptsc_get($p_id);
            $count++;
        }

        $group_para["plans"] = $product_para;

        $currency_id = "1";
        /*$currency = $ptsc->ptsc_currency_info();*/
        $cur = $ptsc-> ptsc_get_current_currency_id_i();
        $currency = $ptsc->ptsc_currency_info_combo($cur);

        $group_para["prefix"] = $currency["prefix"];

        $html_template = $html_template;
        if ($html_template == trim("")) {
            $html_template = "default.tpl";
        }

        $html_template = $ptsc->get_template_file($html_template, 'ptsc_comparison_table');

        $html_table_class = str_replace(['.html', '.tpl'], '', basename($html_template));

        $html_template = $ptsc->select_tpl_first($html_template);

        //== If html_template is valid
        if (is_file($html_template)) {
            foreach ($group_para["plans"] as &$plan) {
                //~~----Price
                $price_tmp = $ptsc->ptsc_break_price($group_para, $plan["product_id"], $group_para["billingcycle"]);

                $group_para["prefix"] = $currency["prefix"];
                $group_para["suffix"] = $currency["suffix"];
                $group_para["currency"] = $currency["c_id"];
                $plan["decimal"] = '.';
                $plan["prefix"] = $currency["prefix"];
                $plan["suffix"] = $currency["suffix"];
                $plan["currency"] = $currency["c_id"];
                $plan["price"] = $price_tmp["price"];
                $plan["amount"] = $price_tmp["amount"];
                $plan["fraction"] = $price_tmp["fraction"];
                $plan["featured"] = "";
                $plan["name"] = $plan["product_name"];
                $plan["cdescription"] = "";
                if ($price_tmp["amount"] == "Free") {
                    //$plan["prefix"]   = "";
                    //$plan["suffix"]   = "";
                }
                if ($plan["price"] == -1) {
                    //$plan["prefix"]   = "";
                    //$plan["suffix"]   = "";
                }

                //$plan["duration"] = $price_tmp["duration"];
                $plan["billingcycle"] = (!empty($group_para["billingcycle"])) ? $group_para["billingcycle"] : "";
                $plan["billingcycle2"] = (!empty($group_para["billingcycle2"])) ? $group_para["billingcycle2"] : "";

                //build array from both duration

                $plan["all_durations"] = $ptsc->all_prices(
                    $group_para,
                    $plan["product_id"],
                    [
                        $group_para["billingcycle"],
                        $group_para["billingcycle2"]
                    ]
                );

                //~~----Description
                //~~Simple Description + append long comparision description to it.
                $plan_description = $plan["product_description"];
//		//~~Description in array
                $plan["description"] = $ptsc->description_to_array($plan_description, $rows, $sep, 3, 1);

                //		//~~Description in Associative Array
                $plan["description_array"] = $ptsc->linked_description_to_array($plan_description, $rows, $sep, 4, 1);
//

                //todo: maybe change it to include featured in plan
                if ($plan["product_id"] == $featured_id) {
                    $plan["featured"] = "yes";
                } else {
                    $plan["featured"] = "no";
                }
//
//		//~~ Description2Array >> description, rows , sep, return, strip_sections
//		/** return values
//		 * 0 > features;
//		 * 1 > values;
//		 * 3 > $simple_description;
//		 * 4 > features_values;
//		 * 5 > strip_section
//		 */

                $tmp = $ptsc->description_to_array($plan_description, $rows, $sep, 3, false);
                //~~ build sections
                $section_index = 0;
                $description_section_index = 0;
                $description_section = [];
                foreach ($tmp as $line) {
                    if (strpos($line, "--") !== false && strpos($line, "--", 3) == true) {
                        $description_section_index = $section_index;
                        $section = str_replace("--", "", $line);
                        $group_para["section"][$section_index] = $section;
                        $group_para["have_sections"] = 1;
                        $section_index++;
                    } else {
                        $strpos = strpos($line, $sep);
                        $feature = substr($line, 0, $strpos);
                        $value = trim(substr($line, $strpos + 1));
                        if ($strpos === false) {
                            $plan["description_section"][$line] = "";
                        } else {
                            $plan["description_section"][$description_section_index][$feature] = [
                                "value" => $value,
                                "tooltip" => $ptsc->return_tooltip($feature),
                            ];
                        }
                    }
                }
            }


            $vars = [
                "group" => $group_para,
            ];

            $vars["random"] = $r = rand();


            $vars['group_new'] = $ptsc->ptsc_prepare_html($group_para, $html_table_class, $r);


            $OutputString = $ptsc->ptsc_smarty_template($html_template, $vars);
        }
    }

}
else {
    $group = $ptsc->ptsc_get_group_full($id);

    $woocommerce_multiple_pids = $group["woo_prods_ids"];
    $woocommerce_multiple_pids = explode(',', $woocommerce_multiple_pids);

    if ($group["product_vendor"] == "woo_prods") {
        if (class_exists('WooCommerce')) {
            $woocommerce_comparison_table_bs = $ptsc->ptsc_woocommerce_comparison_table_shortcode(
                [
                    'html_template' => $group["template_file"],
                    'image'         => "",
                    'woocommerce_multiple_pids' => $woocommerce_multiple_pids,
                    'featured_rows' => $group["rows_comparison"],
                    'description_separator' => $group["description_separator"],
                    'billingcycle' => 'monthly',
                    'billingcycle2' => '',
                    'enable_tooltips' => $group["enable_tooltips"],
                    'button_text' => $group["button_text"],
                    'show_discount' => '',
                    'hide_width_comparison' => $group["hide_width_comparison"],
                    'featured_text' => $group["ribbon_text"],
                    'toggle_style' => '',
                    'show_yes_no_icon' => $group["convert_to_symbol"],
                    'convert_yes_with' => $group["convert_yes_with"],
                    'convert_no_with' => $group["convert_no_with"],
                    'woocommerce_featured_id' => ""
                ]
            );
            return $woocommerce_comparison_table_bs;
        } else {
            $error_heading = esc_html__('WooCommerce is not Active!!', 'ptsc');
            $error_instruction1 = esc_html__('Please Activate WooCommerce', 'ptsc');
            $error_instruction2 = esc_html__(' from Plugins Section ', 'ptsc');
            $woocommece_not_exist_string = '<div class="ptsc_error"><div><strong>';
            $woocommece_not_exist_string .= $error_heading;
            $woocommece_not_exist_string .= '</strong></div>';
            $woocommece_not_exist_string .= $error_instruction1;
            $woocommece_not_exist_string .= $error_instruction2;
            $woocommece_not_exist_string .= '</div>';
            echo $woocommece_not_exist_string;
            return $woocommece_not_exist_string;
        }
    } else {

        if (!is_array($group) && is_string($group)) {
            return $group;
        }


        if (count($group) == "0" || !isset($group["plans"]) || count($group["plans"]) == "0") {
            $error_heading = esc_html__('No plans selected to show', 'ptsc');
            $error_instruction1 = esc_html__('Please choose plans from ', 'ptsc');
            $error_instruction2 = esc_html__('"List All > Select Plans" ', 'ptsc');
            $error_instruction3 = esc_html__('then select products to include.', 'ptsc');
            $final_string = '<div class="ptsc_error"><div><strong>';
            $final_string .= $error_heading;
            $final_string .= '</strong></div>';
            $final_string .= $error_instruction1;
            $final_string .= '<strong>' . $error_instruction2 . '</strong>';
            $final_string .= $error_instruction3;
            $final_string .= '</div>';
            echo $final_string;
            return $final_string;
        }


        //$description = $group["description"];
        $name = $group["name"];
        $sep = $group["description_separator"];
        if (empty($sep)) {
            $sep = ":";
        }
        $rows = $group["rows"];
        $group["have_sections"] = 0;
        $group["mobile_breakpoint"] = $group['hide_width'];

//~~ Not offering multicurrency, so this is not needed at the moment.
        /*$currency_id = (isset($group['currency'])&&$group['currency']!=0)?$group['currency']:get_option("ptsc_default_currency");
        $currency = $ptsc->ptsc_currency->ptsc_get($currency_id);
        */

        $currency_id = "1";
        //== Because currency is not changing according to currency combo
        //$currency = $ptsc->ptsc_currency_info();
        $cur = $ptsc-> ptsc_get_current_currency_id_i();
        $currency = $ptsc->ptsc_currency_info_combo($cur);

        $group["prefix"] = $currency["prefix"];

        if ($html_template == "") {
            $html_template = $group['template_file'];
            if ($html_template == trim("")) {
                $html_template = "default.tpl";
            }
        }

        $html_template = $ptsc->get_template_file($html_template, 'ptsc_comparison_table');

        $html_table_class = str_replace(['.html', '.tpl'], '', basename($html_template));


        $html_template = $ptsc->select_tpl_first($html_template);

        if (is_file($html_template)) {
            foreach ($group["plans"] as &$plan) {
                //~~----Price
                $price_tmp = $ptsc->ptsc_break_price($group, $plan["product_id"], $group["billingcycle"]);

                $group["prefix"] = $currency["prefix"];
                $group["suffix"] = $currency["suffix"];
                $group["currency"] = $currency["c_id"];
                $plan["decimal"] = '.';
                $plan["prefix"] = $currency["prefix"];
                $plan["suffix"] = $currency["suffix"];
                $plan["currency"] = $currency["c_id"];
                $plan["price"] = $price_tmp["price"];
                $plan["amount"] = $price_tmp["amount"];
                $plan["fraction"] = $price_tmp["fraction"];
                $plan['show_discount'] = $group['show_discount'];
                if ($price_tmp["amount"] == "Free") {
                    //$plan["prefix"]   = "";
                    //$plan["suffix"]   = "";
                }
                if ($plan["price"] == -1) {
                    //$plan["prefix"]   = "";
                    //$plan["suffix"]   = "";
                }

                //$plan["duration"] = $price_tmp["duration"];
                $plan["billingcycle"] = (!empty($group["billingcycle"])) ? $group["billingcycle"] : "";
                $plan["billingcycle2"] = (!empty($group["billingcycle2"])) ? $group["billingcycle2"] : "";

                $plan["billingcycle_override_string"] = $group["billingcycle_override_string"];
                $plan["billingcycle2_override_string"] = $group["billingcycle2_override_string"];
                $plan["billingcycle3_override_string"] = $group["billingcycle3_override_string"];
                $plan["billingcycle4_override_string"] = $group["billingcycle4_override_string"];
                $plan["billingcycle5_override_string"] = $group["billingcycle5_override_string"];
                $plan["billingcycle6_override_string"] = $group["billingcycle6_override_string"];

                //build array from both duration

                $plan["all_durations"] = $ptsc->all_prices(
                    $group,
                    $plan["product_id"],
                    [
                        $group["billingcycle"],
                        $group["billingcycle2"],
                        $group["billingcycle3"],
                        $group["billingcycle4"],
                        $group["billingcycle5"],
                        $group["billingcycle6"],
                    ]
                );

                $plan['complete_discount_string'] = $ptsc->ptsc_discount_string_com_sli($plan,$group);
                //ppa($plan['all_durations']);

                //~~----Description
                //~~Simple Description + append long comparision description to it.
                $plan_description = $plan["formatted_description"];
//		//~~Description in array
                $plan["description"] = $ptsc->description_to_array($plan_description, $rows, $sep, 3, 1);

                //		//~~Description in Associative Array
                $plan["description_array"] = $ptsc->linked_description_to_array($plan_description, $rows, $sep, 4, 1);
//

                //todo: maybe change it to include featured in plan
                if (!empty($plan['featured'])) {
                    $plan["featured"] = "yes";
                } else {
                    $plan["featured"] = "no";
                }
//
//		//~~ Description2Array >> description, rows , sep, return, strip_sections
//		/** return values
//		 * 0 > features;
//		 * 1 > values;
//		 * 3 > $simple_description;
//		 * 4 > features_values;
//		 * 5 > strip_section
//		 */

                $tmp = $ptsc->description_to_array($plan_description, $rows, $sep, 3, false);
                //~~ build sections
                $section_index = 0;
                $description_section_index = 0;
                $description_section = [];
                foreach ($tmp as $line) {
                    if (strpos($line, "--") !== false && strpos($line, "--", 3) == true) {
                        $description_section_index = $section_index;
                        $section = str_replace("--", "", $line);
                        $group["section"][$section_index] = $section;
                        $group["have_sections"] = 1;
                        $section_index++;
                    } else {
                        $strpos = strpos($line, $sep);
                        $feature = substr($line, 0, $strpos);
                        $value = trim(substr($line, $strpos + 1));
                        if ($strpos === false) {
                            $plan["description_section"][$line] = "";
                        } else {
                            $plan["description_section"][$description_section_index][$feature] = [
                                "value" => $value,
                                "tooltip" => $ptsc->return_tooltip($feature),
                                "tooltip_url" => $ptsc->return_tooltip_url($feature),
                            ];
                        }
                    }
                }
            }
            $group["primary_color"] = get_option('ptsc_primary_color');
            $group["secondary_color"] = get_option('ptsc_secondary_color');
            $vars = [
                "group" => $group,
            ];

            $vars["random"] = $r = rand();


            $vars['group_new'] = $ptsc->ptsc_prepare_html($group, $html_table_class, $r);


            $OutputString = $ptsc->ptsc_smarty_template($html_template, $vars);
        } /**~~----------------------------------------------------------------
         * If there is no smarty template selected, then show below text
         * --------------------------------------------------------------------*/
        else {
            echo "<div class='ptsc_error'>No template selected or template does not exist. <br/>Please choose a template from <b> Set Options > Select Template File</b> under \"Group Options\" section.</div>";
        }
    }
}


