<?php
/**
 * Created by PhpStorm.
 * User: zain
 * Date: 7/6/2020
 * Time: 10:45 AM
 */


require_once PTSC_PATH . '/classes/ptsc.php';
$ptsc = new PTSC();
$cart_item = !empty($cart_item) ? $cart_item : ''; // This is coming from post data in ajax
$current_currency = $ptsc->ptsc_get_current_currency_id_i();
$summary_html = [
    'side' => 'something went wrong',
];

ob_start();
?>
<div class="ptsc_default_summary">
    <div class="ptsc_sp_summary_details">
        <ul class="ptsc_list ptsc_list_padded ptsc_list_bordered">
            <?php
            if(!empty($cart_item)){
                $found_item = $product = $addon = $service = false;
                $domain_text = $domain_details = [];
                $tld = '';
                $found_array = [
                    'product' => false,
                ];

                // check if some product is selected
                if (!empty($cart_item['ptsc_pid']) && (int)$cart_item['ptsc_pid'] > 0) {
                    $pid = (empty($cart_item['ptsc_pid'])) ? 0 : (int)$cart_item['ptsc_pid'];

                    $product = ptsc_get_product_details($pid);
                    if($product['pay_type'] == 'one time'){
                        $cart_billing = 'monthly';
                    }else{
                        $cart_billing = $cart_item['ptsc_order_billingcycle'];
                    }
                    if ($product) {
                        $found_array['product'] = $found_item = true;
                    }
                }

                // If product is found
                if ($found_array['product']){
                    $product_price = (float)$product['all_prices'][$cart_billing][$current_currency]['price'];
                } ?>

                <li>
                    <div class="ptsc_op_summary_item_container"
                         id="ptsc_op_summary_item_product_<?php echo $cart_item['ptsc_pid'] ?>">
                        <div class="ptsc_row">
                            <div class="ptsc_col_sm_7">
                                <strong class="ptsc_summary_product_title"><?php echo $product['product_name']; ?></strong><br>
                                <span class="ptsc_text_small ptsc_summary_product_group_title"><?php echo $product['group_name']; ?></span>

                            </div>
                            <div class="ptsc_col_sm_5 ptsc_text_right">
                                <div class="ptsc_op_summary_item_price ptsc_summary_product_price <?php echo ((float)$product_price > 0) ? '' : 'free'; ?>">
                                    <strong><?php echo ptsc_format_amount($product_price) ?></strong>
                                </div>
                                <div class="ptsc_text_small ptsc_summary_product_billingcycle">
                                    <?php echo $cart_item['ptsc_order_billingcycle'] ?>
                                </div>
                            </div>
                            <?php // Final Array Population -> product


                            $totals["monthly"] = $product_price;
                            $product_total = $product_price;
                            $totals['base_price'] = $totals['base_price'] + $product_total;
                            $totals['final_price'] = $totals['final_price'] + $product_total;
                            ?>
                        </div>


                    </div>
                </li>

                <?php $counter++; ?>
            <?php }
            ?>
        </ul>
    </div>

    <div class="ptsc_sp_summary_totals">
        <div class="ptsc_clearfix ptsc_margin_bottom_5 ptsc_padding_5_0 ptsc_bordered_bottom">
            <span class="ptsc_pull_left"><?php esc_html_e('Subtotal', 'ptsc') ?></span>
            <span class="ptsc_pull_right"><?php echo ptsc_format_amount($totals['base_price']); ?></span>
        </div>

        <div class="ptsc_clearfix ptsc_margin_bottom_30">
            <div class="ptsc_pull_left_sm">
                <span class="ptsc_pull_left"><?php esc_html_e('Totals', 'ptsc') ?></span>
            </div>
            <div class="ptsc_pull_right_sm">
                <?php
                $billingcycles = [
                    'monthly',
                    'quarterly',
                    'semiannually',
                    'annually',
                    'biennially',
                    'triennially',
                ];
                ?>
                <?php foreach ($totals as $key => $total) { ?>
                    <?php if ($total && in_array($key, $billingcycles)) { ?>
                        <div class="ptsc_clearfix">
                            <div class="ptsc_pull_right">
                                <span><?php echo ptsc_format_amount($total); ?></span>
                                <span><?php echo $cart_item['ptsc_order_billingcycle'] ?></span>
                            </div>
                        </div>
                    <?php } ?>
                <?php } ?>
            </div>
        </div>
        <div class="ptsc_clearfix">
            <div class="ptsc_text_right ptsc_text_2x">
                <?php echo ptsc_format_amount($totals['final_price']); ?>
            </div>
            <div class="ptsc_text_right"><?php esc_html_e('Total Due Today', 'ptsc') ?></div>
        </div>
        <div>
        </div>
    </div>
</div>

<?php
$summary_html = [
    'side' => ob_get_clean(),
];