{if $plan.primary_color eq '' || $plan.primary_color eq '#000000'}
{$plan.primary_color='#E3EBF4'}
{/if}

{if $plan.secondary_color eq '' || $plan.secondary_color eq '#000000'}
{$plan.secondary_color='#5273A5'}
{/if}


<style>
	#{$random_id} {
		border: 4px solid {$plan.primary_color};
		text-align: center;
		box-shadow: none;
		border-radius: 0;
		margin-bottom: 40px;
	}
	#{$random_id}:before {
		border-color:  transparent transparent transparent;
	}
	#{$random_id} .pricing_table_combo .ptsc_order_button,
	#{$random_id} .pricing_table_combo a,
	#{$random_id} .pricing_table_combo button,
	#{$random_id} .pricing_table_submit .ptsc_order_button,
	#{$random_id} .pricing_table_submit a,
	#{$random_id} .pricing_table_submit button {
	background: {$plan.secondary_color};
	width: 80%;
	margin-top: 40px;
	max-width: 20rem;
	border-radius: 0;
	box-shadow: -5px -5px 0 0 #f0f0f5;
		border: none;
	}
	#{$random_id} .pricing_table_combo .ptsc_order_button:hover,
	#{$random_id} .pricing_table_combo a:hover,
	#{$random_id} .pricing_table_combo button:hover,
	#{$random_id} .pricing_table_submit .ptsc_order_button:hover,
	#{$random_id} .pricing_table_submit a:hover,
	#{$random_id} .pricing_table_submit button {
	background: #f0f0f5;
	box-shadow:none;
	color:{$plan.secondary_color};
	}
	#{$random_id} .pricing_table_features ul li:nth-child(odd) {
	}





	.ptsc.ptsc_pricing_table.alt-02 .pricing_table_heading .holder h2{
		font-size: 35px;
		text-transform: uppercase;
		font-weight: bold;
		margin-top: 5px;
		margin-bottom: 0;
	}
	.ptsc.ptsc_pricing_table.alt-02 .pricing_table_detail {
		display: none;
	}
	.ptsc.ptsc_pricing_table.alt-02 .pricing_table_detail.details {
		display: block;
	}
	.ptsc.ptsc_pricing_table.alt-02 .pricing_table_detail .holder{
		font-size: 17px;
		margin-top: 5px;
		color: #848484;
		line-height: 1.2;
	}
	.ptsc.ptsc_pricing_table.alt-02 .pricing_table_price .holder {
		font-size: 65px;
		font-weight: 900;
		color: #484848;
	}
	.ptsc.ptsc_pricing_table.alt-02 .pricing_table_price .holder .currency{
		font-size: 46px;
	}
	.ptsc.ptsc_pricing_table.alt-02 .pricing_table_price .holder .duration{
		font-size: 33px;
		font-weight: 400;
	}


	.ptsc.ptsc_pricing_table.alt-02 .pricing_table_features .holder ul{
		border:none;
		padding: 30px 0 0 0;
	}
	.ptsc.ptsc_pricing_table.alt-02 .pricing_table_features .holder ul li{
		border-top: 1px dashed #d7dee8;
		border-bottom:none;
		font-size:17px;
		color:#484848;
		padding: 18px 0;
	}
	.ptsc.ptsc_pricing_table.alt-02 .pricing_table_features .holder ul li strong{
		display:block;
	}
	.ptsc.ptsc_pricing_table.alt-02 .pricing_table_features .holder ul li span{
		border-bottom: 1px dashed #BCBEC0;
	}
	.vc_column_container>.vc_column-inner{
		padding: 0 0;
	}
	#{$random_id}.featured{
		border: 4px solid {$plan.secondary_color};
		transform: scaleY(1);
	}
	.ptsc.ptsc_pricing_table.alt-02 .holder .ptsc_radio_toggle label input[type=radio]:checked + span{
		background: {$plan.secondary_color};
	}

</style>


<div class="ptsc ptsc_pricing_table alt-02 {if $plan.featured eq "yes"}featured{/if}" id="{$random_id}">
	<div class="ptsc_price_toggle">
		<div class="holder">
			{$group.duration_toggle}
		</div>
	</div>
	<div class="pricing_table_heading">
		<div class="holder">
			<h2><i class="fa {$plan.sub_icon}"></i> {$plan.product_name}</h2>
		</div>
	</div>
	<div class="pricing_table_detail">
		<div class="holder">
			<p>{$plan.product_detail}</p>
		</div>
	</div>
	{if $plan.product_detail ne "" || $plan.product_tag_line ne ""}
	<div class="pricing_table_detail details">
		<div class="holder">
			{if $plan.product_detail ne ""}
			{$plan.product_detail}
			{elseif $plan.product_tag_line ne ""}
			{$plan.product_tag_line}
			{/if}
		</div>
	</div>
	{/if}
	<div class="pricing_table_price ptsc_price_table">
			{*<span class="currency">{$prefix}</span><span class="amount">{$amount}</span>{if $fraction ne ""}<span
				class="decimal">{$decimal}</span><span class="fraction">{$fraction}</span>{/if}<span class="duration">{$duration}</span>*}
			{foreach $plan.all_durations as $duration_key => $duration}
				<div class="holder {$duration_key} {if $duration@index ne 0}ptsc_hidden{/if}">
					<span class="currency">{$plan.prefix}</span><span class="amount">{$duration.price.amount}</span>{if $duration.price.fraction ne ""}<span
							class="decimal">{$plan.decimal}</span><span class="fraction">{$duration.price.fraction}</span>{/if}<span class="duration">{$duration.price.duration}</span>
				</div>
			{/foreach}

			<!-- price sub text -->
			{if $plan.price_sub_text ne ""}
			<div class="duration">
				{$plan.price_sub_text}
			</div>
			{/if}
			<!-- /price sub text -->

	</div>
	<div class="pricing_table_combo">
		<div class="holder">

				{$plan.product_order_button}
		</div>
	</div>
	{if $plan.process_description|lower eq "yes"}
		<div class="pricing_table_features">
			<div class="holder">
				<ul>
					{if $plan.description_process eq "true"}
						{foreach $plan.split_description as $desc}
							<li class="{if $group.enable_tooltips eq 'yes' } ptsc_has_tooltip{/if}">
                    <span class="ptsc_description_title">
                        {if $plan.show_description_icon eq 'yes' and $desc.icon_class ne ''}
							<i class="{$desc.icon_class}"></i>
						{/if}
						{*{if $desc.icon_class ne 'yes' || $desc.icon_class eq ''}
                            <i class=""></i>
                        {/if}*}

						{$desc.feature_title}
						{if $group.enable_tooltips eq 'yes' and $desc.tooltip_text ne '' }
							<span class="ptsc_tooltip">{$desc.tooltip_text}</span>
						{/if}
						{if $desc.feature_value ne "" }: {/if}
                    </span>
								<span class="ptsc_description_value">{$desc.feature_value}</span>
							</li>
						{/foreach}
					{else}
						{foreach $description as $desc}
							<li><span class="ptsc_description_value">{$desc}</span></li>
						{/foreach}
					{/if}
				</ul>
			</div>
		</div>
	{else}
		{$plan.product_description}
	{/if}
	<div class="pricing_table_submit">
		<div class="holder">
            {*{$plan.product_order_button}*}
		</div>
	</div>
</div>  <!-- /.price-table -->
<script>
    jQuery(document).ready(function () {
        slider_toggle(jQuery('#{$random_id}'));
        dropdownToggle(jQuery('#{$random_id}'));
        toggleTableGroupPrice(jQuery('#{$random_id}'));
    });
</script>
