{if $plan.primary_color eq '' || $plan.primary_color eq '#000000'}
{$plan.primary_color='#F4F4F4'}
{/if}

{if $plan.secondary_color eq '' || $plan.secondary_color eq '#000000'}
{$plan.secondary_color='#7786A0'}
{/if}


<style>
	#{$random_id} .main {
	background-color: {$plan.primary_color};
	box-shadow: 0 3px 8px 0 #EBEBEB;
	padding-bottom: 12px;
	border-bottom: solid 1px #CBCBCB;
	}
	#{$random_id}:before {
	border-color: {$plan.primary_color} transparent transparent transparent;
	}
	.ptsc.ptsc_pricing_table.retro-05 .pricing_table_combo .ptsc_order_button,
	.ptsc.ptsc_pricing_table.retro-05 .pricing_table_combo a,
	.ptsc.ptsc_pricing_table.retro-05 .pricing_table_combo button,
	.ptsc.ptsc_pricing_table.retro-05 .pricing_table_submit .ptsc_order_button,
	.ptsc.ptsc_pricing_table.retro-05 .pricing_table_submit a,
	.ptsc.ptsc_pricing_table.retro-05 .pricing_table_submit button {
		background: #ef663c;
		border-radius: 5px;
		margin-top: 20px;
		font-size: 14px;
		font-weight: 700;
		width: 225px;
		padding: 12px 0;
	}
	.ptsc.ptsc_pricing_table.retro-05 .pricing_table_combo .ptsc_order_button:hover,
	.ptsc.ptsc_pricing_table.retro-05 .pricing_table_combo a:hover,
	.ptsc.ptsc_pricing_table.retro-05 .pricing_table_combo button:hover,
	.ptsc.ptsc_pricing_table.retro-05 .pricing_table_submit .ptsc_order_button:hover,
	.ptsc.ptsc_pricing_table.retro-05 .pricing_table_submit a:hover,
	.ptsc.ptsc_pricing_table.retro-05 .pricing_table_submit button {
		background: #f58058;
		color: white;
	}
	#{$random_id} .pricing_table_features ul li:nth-child(odd) {
		background: none;
	}


	.ptsc.ptsc_pricing_table.retro-05 {
		padding-top: 0;
		box-shadow: none;
		border: solid 1px #E1E1E1;
		border-radius: 6px;
		margin-bottom:20px;
	}
	.ptsc.ptsc_pricing_table.retro-05 i.fa.fa-home {
		font-size: 32px;
		border: solid 1px #4B9F34;
		border-radius: 22px;
		height: 44px;
		width: 44px;
		line-height: 41px;
		background-color: #4B9F34;
		color: white;
	}
	.ptsc.ptsc_pricing_table.retro-05 .icon {
		padding-top: 25px;
		padding-bottom: 10px;
	}
	.ptsc.ptsc_pricing_table.retro-05 .pricing_table_detail.details {
		display: none;
	}
	#{$random_id}.ptsc.ptsc_pricing_table.retro-05 .pricing_table_price .holder h2 {
		font-size: 26px;
		font-weight: 700;
		color: #333333;
	}
	.ptsc.ptsc_pricing_table.retro-05 .pricing_table_detail {
		padding-top: 3px;
		font-size: 14px;
		color: #666666;
		font-weight: 400;
	}
	#{$random_id}.ptsc.ptsc_pricing_table.retro-05 .pricing_table_price .holder {
		font-size: 26px;
		font-weight: 700;
		color: #59a345;
		padding-bottom: 5px;
		padding-top: 12px;
		border-bottom: solid 1px #CBCBCB;
		width: 270px;
		margin: auto;
	}
	.ptsc.ptsc_pricing_table.retro-05 ul {
		border: none;
		text-align: left;
		margin-top: 0;
	}
	.ptsc.ptsc_pricing_table.retro-05 ul li {
		border: none;
		font-size: 14px;
		color: #666666;
		font-weight: 400;
	}
	#{$random_id} i.fa.fa-check-square {
		color: {$plan.secondary_color};
		font-size: 15px;
		padding-right: 4PX;
	}

	.ptsc.ptsc_pricing_table.retro-05.featured {
		-webkit-transform: scaleY(1.05);
		transform: scaleY(1.05);
	}
</style>

<div class="ptsc ptsc_pricing_table retro-05 {if $plan.featured eq "yes"}featured{/if}" id="{$random_id}">
	<div class="ptsc_price_toggle">
		<div class="holder">
			{$group.duration_toggle}
		</div>
	</div>
	<div class="main">
		<div class="icon">
   <span class="green">
      <i class="fa {$plan.sub_icon}" aria-hidden="true"></i>
   </span>
		</div>
	<div class="pricing_table_heading">
		<div class="holder">
			<h2>{$plan.product_name}</h2>
		</div>
	</div>
	<div class="pricing_table_detail details">
		<div class="holder">
			<p>{$plan.product_detail}</p>
		</div>
	</div>
	{if $plan.product_detail ne "" || $plan.product_tag_line ne ""}
	<div class="pricing_table_detail">
		<div class="holder">
			{if $plan.product_detail ne ""}
			{$plan.product_detail}
			{elseif $plan.product_tag_line ne ""}
			{$plan.product_tag_line}
			{/if}
		</div>
	</div>
	{/if}
	</div>
	<div class="pricing_table_price ptsc_price_table">
			{*<span class="currency">{$plan.prefix}</span><span class="amount">{$amount}</span>{if $fraction ne ""}<span
				class="decimal">{$decimal}</span><span class="fraction">{$fraction}</span>{/if}<span class="duration">{$duration}</span>*}
			{foreach $plan.all_durations as $duration_key => $duration}
				<div class="holder {$duration_key} {if $duration@index ne 0}ptsc_hidden{/if}">
					<span class="currency">{$plan.prefix}</span><span class="amount">{$duration.price.amount}</span>{if $duration.price.fraction ne ""}<span
							class="decimal">{$plan.decimal}</span><span class="fraction">{$duration.price.fraction}</span>{/if}<span class="duration">{$duration.price.duration}</span>
				</div>
			{/foreach}

			<!-- price sub text -->
			{if $plan.price_sub_text ne ""}
			<div class="duration">
				{$plan.price_sub_text}
			</div>
			{/if}
			<!-- /price sub text -->

	</div>
	{if $plan.process_description|lower eq "yes"}
		<div class="pricing_table_features">
			<div class="holder">
				<ul>
					{if $plan.description_process eq "true"}
						{foreach $plan.split_description as $desc}
							<li class="{if $group.enable_tooltips eq 'yes' } ptsc_has_tooltip{/if}">
                    <span class="ptsc_description_title">
                        {if $plan.show_description_icon eq 'yes' and $desc.icon_class ne ''}
							<i class="{$desc.icon_class}"></i>
						{/if}
						{*{if $desc.icon_class ne 'yes' || $desc.icon_class eq ''}
                            <i class=""></i>
                        {/if}*}

						{$desc.feature_title}
						{if $group.enable_tooltips eq 'yes' and $desc.tooltip_text ne '' }
							<span class="ptsc_tooltip">{$desc.tooltip_text}</span>
						{/if}
						{if $desc.feature_value ne "" }: {/if}
                    </span>
								<span class="ptsc_description_value">{$desc.feature_value}</span>
							</li>
						{/foreach}
					{else}
						{foreach $description as $desc}
							<li><span class="ptsc_description_value">{$desc}</span></li>
						{/foreach}
					{/if}
				</ul>
			</div>
		</div>
	{else}
		{$plan.product_description}
	{/if}
	<div class="pricing_table_combo">
		<div class="holder">

				{$plan.product_order_button}
		</div>
	</div>
	<div class="pricing_table_submit">
		<div class="holder">
            {*{$plan.product_order_button}*}

		</div>
	</div>

</div>  <!-- /.price-table -->

<script>
    jQuery(document).ready(function () {
        slider_toggle(jQuery('#{$random_id}'));
        dropdownToggle(jQuery('#{$random_id}'));
        toggleTableGroupPrice(jQuery('#{$random_id}'));
    });
</script>
