{if $plan.primary_color eq '' || $plan.primary_color eq '#000000'}
{$plan.primary_color='#1A8CFF'}
{/if}

{if $plan.secondary_color eq '' || $plan.secondary_color eq '#000000'}
{$plan.secondary_color='#06c'}
{/if}

<style>
	#{$random_id}  {
		border-radius: 0;
		box-shadow: none;
		background-color: {$plan.primary_color};
		color: white;
		padding-top: 0px;
		padding-bottom: 0;
		margin-bottom: 30px;
	}
	#{$random_id}:before {
	border-color: {$plan.primary_color} transparent transparent transparent;
	}
	#{$random_id} .pricing_table_combo .ptsc_order_button,
	#{$random_id} .pricing_table_combo a,
	#{$random_id} .pricing_table_combo button,
	#{$random_id} .pricing_table_submit .ptsc_order_button,
	#{$random_id} .pricing_table_submit a,
	#{$random_id} .pricing_table_submit button {
	background: white;
	border-radius: 30px;
	color: #1A8CFF;
	margin-top: 15px;
					  width: 100%;
		border: none;
		padding: 10px 20px;
	}
	#{$random_id} .pricing_table_combo .ptsc_order_button:hover,
	#{$random_id} .pricing_table_combo a:hover,
	#{$random_id} .pricing_table_combo button:hover,
	#{$random_id} .pricing_table_submit .ptsc_order_button:hover,
	#{$random_id} .pricing_table_submit a:hover,
	#{$random_id} .pricing_table_submit button {
		transition: all 0.2s ease-in-out;
		box-shadow: 0 8px 34px 0 rgba(0,0,0,0.3);
		transform: scale(1.05);
	}
	#{$random_id} .pricing_table_features ul li:nth-child(odd) {
	}



	#{$random_id} .pricing_table_heading .holder h2 {
		background: {$plan.secondary_color};
		margin: -6px;
		font-size: 21px;
		padding: 13px 0;
		color: #fff;
	}

	.ptsc.ptsc_pricing_table.twelve .pricing_table_price .amount {
		font-weight: 600;
		font-size: 72px;
	}

	.ptsc.ptsc_pricing_table.twelve .pricing_table_price .currency, .ptsc.ptsc_pricing_table.twelve .pricing_table_price .decimal,
	.ptsc.ptsc_pricing_table.twelve .pricing_table_price .fraction, .ptsc.ptsc_pricing_table.twelve .pricing_table_price .duration{
		font-size: 24px;
		letter-spacing: -1px;
		font-weight: 600;
		line-height: 0;
		padding-right: 3px;
		top: -31px;
		position: relative;
	}
    .ptsc.ptsc_pricing_table.twelve .pricing_table_features .holder ul {
        border: none;
        padding: 0;
    }
    .ptsc.ptsc_pricing_table.twelve .pricing_table_features .holder ul li {
        border: none;
        padding: 2px 0;
        color: white;
    }

	.ptsc.ptsc_pricing_table.twelve.featured {
		transform: scaleY(1.05);
	}
	.ptsc.ptsc_pricing_table.twelve .holder .ptsc_radio_toggle label span{
		color: #000;
	}
</style>




<div class="ptsc ptsc_pricing_table twelve {if $plan.featured eq "yes"}featured{/if}" id="{$random_id}">
	<div class="ptsc_price_toggle">
		<div class="holder">
			{$group.duration_toggle}
		</div>
	</div>
	<div class="pricing_table_heading">
		<div class="holder">
			<h2><i class="fa {$plan.sub_icon}"></i> {$plan.product_name}</h2>
		</div>
	</div>
	<div class="pricing_table_detail">
		<div class="holder">
			{*<p>{$plan.product_detail}</p>*}
		</div>
	</div>
	<div class="pricing_table_price ptsc_price_table">
			{*<span class="currency">{$prefix}</span><span class="amount">{$amount}</span>{if $fraction ne ""}<span
				class="decimal">{$decimal}</span><span class="fraction">{$fraction}</span>{/if}<span class="duration">{$duration}</span>*}
			{foreach $plan.all_durations as $duration_key => $duration}
				<div class="holder {$duration_key} {if $duration@index ne 0}ptsc_hidden{/if}">
					<span class="currency">{$plan.prefix}</span><span class="amount">{$duration.price.amount}</span>{if $duration.price.fraction ne ""}<span
							class="decimal">{$plan.decimal}</span><span class="fraction">{$duration.price.fraction}</span>{/if}<span class="duration">{$duration.price.duration}</span>
				</div>
			{/foreach}

			<!-- price sub text -->
			{if $plan.price_sub_text ne ""}
			<div class="duration">
				{$plan.price_sub_text}
			</div>
			{/if}
			<!-- /price sub text -->

	</div>
	{if $plan.product_detail ne "" || $plan.product_tag_line ne ""}
	<div class="pricing_table_detail details">
		<div class="holder">
			{if $plan.product_detail ne ""}
			{$plan.product_detail}
			{elseif $plan.product_tag_line ne ""}
			{$plan.product_tag_line}
			{/if}
		</div>
	</div>
	{/if}
	{if $plan.process_description|lower eq "yes"}
		<div class="pricing_table_features">
			<div class="holder">
				<ul>
					{if $plan.description_process eq "true"}
						{foreach $plan.split_description as $desc}
							<li class="{if $group.enable_tooltips eq 'yes' } ptsc_has_tooltip{/if}">
                    <span class="ptsc_description_title">
                        {if $plan.show_description_icon eq 'yes' and $desc.icon_class ne ''}
							<i class="{$desc.icon_class}"></i>
						{/if}
						{*{if $desc.icon_class ne 'yes' || $desc.icon_class eq ''}
                            <i class=""></i>
                        {/if}*}

						{$desc.feature_title}
						{if $group.enable_tooltips eq 'yes' and $desc.tooltip_text ne '' }
							<span class="ptsc_tooltip">{$desc.tooltip_text}</span>
						{/if}
						{if $desc.feature_value ne "" }: {/if}
                    </span>
								<span class="ptsc_description_value">{$desc.feature_value}</span>
							</li>
						{/foreach}
					{else}
						{foreach $description as $desc}
							<li> <span class="ptsc_description_value">{$desc}</span></li>
						{/foreach}
					{/if}
				</ul>
			</div>
		</div>
	{else}
		{$plan.product_description}
	{/if}
	<div class="pricing_table_combo">
		<div class="holder">

				{$plan.product_order_button}

		</div>
	</div>
</div>  <!-- /.price-table -->
<script>
    jQuery(document).ready(function () {
        slider_toggle(jQuery('#{$random_id}'));
        dropdownToggle(jQuery('#{$random_id}'));
        toggleTableGroupPrice(jQuery('#{$random_id}'));
    });
</script>





