
{if $plan.primary_color eq '' || $plan.primary_color eq '#000000'}
{$plan.primary_color='#DEE2EF'}
{/if}

{if $plan.secondary_color eq '' || $plan.secondary_color eq '#000000'}
{$plan.secondary_color='#3BA9D8'}
{/if}


<style>
	#{$random_id} {
		box-shadow: none;
		border: solid 1px {$plan.primary_color};
		border-radius: 15px;
		padding-top: 0;
		padding-bottom: 0;
		margin-bottom:20px;
	}
	#{$random_id}:before {
	border-color: {$plan.primary_color} transparent transparent transparent;
	}
	#{$random_id} .pricing_table_combo .ptsc_order_button,
	#{$random_id} .pricing_table_combo a,
	#{$random_id} .pricing_table_combo button,
	#{$random_id} .pricing_table_submit .ptsc_order_button,
	#{$random_id} .pricing_table_submit a,
	#{$random_id} .pricing_table_submit button {
		width: 140px;
		background-color: white;
		color: #00aeda;
		font-size: 16px;
		font-weight: 400;
		border: solid 1px #3BA9D8;
		border-radius: 8px
	}
	#{$random_id} .pricing_table_combo .ptsc_order_button:hover,
	#{$random_id} .pricing_table_combo a:hover,
	#{$random_id} .pricing_table_combo button:hover,
	#{$random_id} .pricing_table_submit .ptsc_order_button:hover,
	#{$random_id} .pricing_table_submit a:hover,
	#{$random_id} .pricing_table_submit button {
		background-color: rgba(0,174,218,.1);
		color: #00aeda;
		border-color: #adadad;
	}




	.ptsc.ptsc_pricing_table.ptsc-18 .pricing_table_heading .holder h2 {
		font-size: 16px;
		font-weight: 400;
		color: #364656;
		padding-top: 50px;
	}
	#{$random_id} .pricing_table_heading .holder h2 i.fa.fa.fa-thumbs-o-up {
		position: absolute;
		top: -34px;
		margin-left: 7px;
		background-color: {$plan.secondary_color};
		height: 60px;
		font-size: 32px;
		width: 60px;
		padding: 14px 0;
		border-radius: 38px;
		color: white;
	}
	.ptsc.ptsc_pricing_table.ptsc-18 .pricing_table_detail.details {
		display: none;
	}
	.ptsc.ptsc_pricing_table.ptsc-18 .pricing_table_price .holder .duration {
		display: block;
		font-size: 16px;
		color: #6c848f;
		font-weight: 300;
	}
	.ptsc.ptsc_pricing_table.ptsc-18 .pricing_table_price .holder .fraction {
		display: inline;
	}
	.ptsc.ptsc_pricing_table.ptsc-18 .pricing_table_price .holder {
		font-size: 32px;
		font-weight: 500;
		color: #364656;
		padding-top: 26px;
	}
	.ptsc.ptsc_pricing_table.ptsc-18 .pricing_table_detail {
		padding-top: 0;
	}
	.ptsc.ptsc_pricing_table.ptsc-18 .pricing_table_detail .holder {
		font-size: 16px;
		color: #6c848f;
		font-weight: 100;
	}
	.ptsc.ptsc_pricing_table.ptsc-18 .pricing_table_features .holder ul {
		border: none;
	}
	.ptsc.ptsc_pricing_table.ptsc-18 .pricing_table_features .holder ul li {
		border: none;
		padding-top: 0px;
		font-size: 16px;
		font-weight: 100;
		color: #6c848f;
	}
	#{$random_id} .pricing_table_features .holder ul li .ptsc_description_value {
		color: {$plan.secondary_color};
	}
	#{$random_id}.featured {
		border: solid 2px {$plan.secondary_color};
		box-shadow: 0 0 35px 0 lightgray;
		transform: scaleY(1.05);
	}
	.ptsc.ptsc_pricing_table.ptsc-18 .pricing_table_price .holder .currency {
		padding-right: 8px;
	}
</style>



<div class="ptsc ptsc_pricing_table ptsc-18 {if $plan.featured eq "yes"}featured{/if}" id="{$random_id}">
	<div class="ptsc_price_toggle">
		<div class="holder">
			{$group.duration_toggle}
		</div>
	</div>
	<div class="pricing_table_heading">
		<div class="holder">
			<h2><i class="fa {$plan.sub_icon}"></i> {$plan.product_name}</h2>
		</div>
	</div>
	<div class="pricing_table_detail details">
		<div class="holder">
			<p>{$plan.product_detail}</p>
		</div>
	</div>
	<div class="pricing_table_price ptsc_price_table">
			{*<span class="currency">{$prefix}</span><span class="amount">{$amount}</span>{if $fraction ne ""}<span
				class="decimal">{$decimal}</span><span class="fraction">{$fraction}</span>{/if}<span class="duration">{$duration}</span>*}
			{foreach $plan.all_durations as $duration_key => $duration}
				<div class="holder {$duration_key} {if $duration@index ne 0}ptsc_hidden{/if}">
					<span class="currency">{$plan.prefix}</span><span class="amount">{$duration.price.amount}</span>{if $duration.price.fraction ne ""}<span
							class="decimal">{$plan.decimal}</span><span class="fraction">{$duration.price.fraction}</span>{/if}<span class="duration">{$duration.price.duration}</span>
				</div>
			{/foreach}

			<!-- price sub text -->
			{if $plan.price_sub_text ne ""}
			<div class="duration">
				{$plan.price_sub_text}
			</div>
			{/if}
			<!-- /price sub text -->

	</div>
	{if $plan.product_detail ne "" || $plan.product_tag_line ne ""}
	<div class="pricing_table_detail">
		<div class="holder">
			{if $plan.product_detail ne ""}
			{$plan.product_detail}
			{elseif $plan.product_tag_line ne ""}
			{$plan.product_tag_line}
			{/if}
		</div>
	</div>
	{/if}
	{if $plan.process_description|lower eq "yes"}
		<div class="pricing_table_features">
			<div class="holder">
				<ul>
					{if $plan.description_process eq "true"}
						{foreach $plan.split_description as $desc}
							<li class="{if $group.enable_tooltips eq 'yes' } ptsc_has_tooltip{/if}">
                    <span class="ptsc_description_title">
                        {if $plan.show_description_icon eq 'yes' and $desc.icon_class ne ''}
							<i class="{$desc.icon_class}"></i>
						{/if}
						{*{if $desc.icon_class ne 'yes' || $desc.icon_class eq ''}
                            <i class=""></i>
                        {/if}*}

						{$desc.feature_title}
						{if $group.enable_tooltips eq 'yes' and $desc.tooltip_text ne '' }
							<span class="ptsc_tooltip">{$desc.tooltip_text}</span>
						{/if}
						{if $desc.feature_value ne "" }: {/if}
                    </span>
								<span class="ptsc_description_value">{$desc.feature_value}</span>
							</li>
						{/foreach}
					{else}
						{foreach $description as $desc}
							<li><span class="ptsc_description_value">{$desc}</span></li>
						{/foreach}
					{/if}
				</ul>
			</div>
		</div>
	{else}
		{$plan.product_description}
	{/if}
	<div class="pricing_table_combo">
		<div class="holder">
				{$plan.product_order_button}
		</div>
	</div>
</div>  <!-- /.price-table -->

<script>
    jQuery(document).ready(function () {
        slider_toggle(jQuery('#{$random_id}'));
        dropdownToggle(jQuery('#{$random_id}'));
        toggleTableGroupPrice(jQuery('#{$random_id}'));
    });
</script>