{foreach from=$group.plans item=plan}
    {if $plan.primary_color eq '' || $plan.primary_color eq '#000000'}
        {$plan.primary_color='#ddd'}
    {/if}

    {if $plan.secondary_color eq '' || $plan.secondary_color eq '#000000'}
        {$plan.secondary_color='#45B649'}
    {/if}
{/foreach}

<style>
    .ptsc.ptsc_pricing_table.alt-06 {
        box-shadow: none;
        padding: 0;
        border: 4px solid {$plan.primary_color};
        border-radius: 0;
        width: 100%;
    }
    .ptsc.ptsc_pricing_table.alt-06:before {
        border-color: {$plan.primary_color} transparent transparent transparent;
    }
    .ptsc.ptsc_pricing_table.alt-06 .pricing_table_combo .ptsc_order_button,
    .ptsc.ptsc_pricing_table.alt-06 .pricing_table_combo a,
    .ptsc.ptsc_pricing_table.alt-06 .pricing_table_combo button,
    .ptsc.ptsc_pricing_table.alt-06 .pricing_table_submit .ptsc_order_button,
    .ptsc.ptsc_pricing_table.alt-06 .pricing_table_submit a,
    .ptsc.ptsc_pricing_table.alt-06 .pricing_table_submit button {
        background: #ddd;
        display: block;
        width: 90%;
        margin: 0 auto 15px;
        border: none;
    }
    .ptsc.ptsc_pricing_table.alt-06 .pricing_table_combo .ptsc_order_button:hover,
    .ptsc.ptsc_pricing_table.alt-06 .pricing_table_combo a:hover,
    .ptsc.ptsc_pricing_table.alt-06 .pricing_table_combo button:hover,
    .ptsc.ptsc_pricing_table.alt-06 .pricing_table_submit .ptsc_order_button:hover,
    .ptsc.ptsc_pricing_table.alt-06 .pricing_table_submit a:hover,
    .ptsc.ptsc_pricing_table.alt-06 .pricing_table_submit button {
        background: {$plan.secondary_color};
    }
    .ptsc.ptsc_pricing_table.alt-06.featured .pricing_table_combo .ptsc_order_button,
    .ptsc.ptsc_pricing_table.alt-06.featured .pricing_table_combo a,
    .ptsc.ptsc_pricing_table.alt-06.featured .pricing_table_combo button,
    .ptsc.ptsc_pricing_table.alt-06.featured .pricing_table_submit .ptsc_order_button,
    .ptsc.ptsc_pricing_table.alt-06.featured .pricing_table_submit a,
    .ptsc.ptsc_pricing_table.alt-06.featured .pricing_table_submit button {
        background: {$plan.secondary_color};
    }



    .ptsc.ptsc_pricing_table.alt-06 .pricing_table_heading .holder h2 {
        color: #333;
        font-weight: 700;
        font-size: 23px;
        margin: 20px auto -41px 0px;
        padding: 15px;
    }
    .ptsc.ptsc_pricing_table.alt-06 .pricing_table_price .holder{
        color: #808080;
        font-size: 38px;
        font-weight: 700;
    }
    .ptsc.ptsc_pricing_table.alt-06 .pricing_table_price .holder .duration{
        display: block;
        font-size: 13px;
        font-weight: 300;
        margin-top: -6px;
        border-bottom: 1px solid #eee;
        padding-bottom: 20px;
        width: 50%;
        margin: 0 auto;
    }
    .ptsc.ptsc_pricing_table.alt-06 .pricing_table_price .holder .currency{
        font-size: 19px;
        position: relative;
        top: -16px;
        padding-right: 2px;
    }
    .ptsc.ptsc_pricing_table.alt-06 .pricing_table_detail .holder{
        font-size: 14px;
        font-weight: 300;
        color: #808080;
    }

    .ptsc.ptsc_pricing_table.alt-06 .pricing_table_features .holder ul{
        border-top: none;
    }
    .ptsc.ptsc_pricing_table.alt-06 .pricing_table_features .holder ul li{
        border: none;
        color: #333333;
    }
    .ptsc.ptsc_pricing_table.alt-06.featured {
         border: 8px solid {$plan.secondary_color};
         position: relative;
     }

    .ptsc.ptsc_pricing_table.alt-06.featured .pricing_table_price .holder{
        color:{$secondary_color};
    }


    .ptsc.ptsc_pricing_table.alt-06.featured .popular{
        background: #5bc0de;
        color: #fff;
        font-size: 12px;
        font-weight: 400;
        padding: 5px 8px 4px;
        margin-left: auto;
        width: 38%;
        margin-bottom: 2px;
        top: -35px;
        position: relative;
        right: -8px;
    }
    .ptsc.ptsc_pricing_table.alt-06 .popular {
        color:white;
    }
    .ptsc.ptsc_pricing_table.alt-06.featured i.fa.fa-check{
        font-size: 20px;
        text-align: center;
        height: 38px;
        width: 38px;
        border-radius: 50%;
        background: {$plan.secondary_color};
        position: absolute;
        top: 15px;
        left: 15px;
        color: white;
        line-height: 37px;
        display:block;
    }
    .ptsc.ptsc_pricing_table.alt-06 i.fa.fa-check{
        position: absolute;
        display:none;
    }
    .ptsc.ptsc_pricing_table.alt-06.featured {
        transform: scaleY(1);
        position: relative;
        padding-top: 0;
    }

    .ptsc_table_group.alt-06-basic-group .holder .ptsc_radio_toggle label input[type=radio]:checked + span{
        background: {$plan.secondary_color};
    }
</style>

<div id="group_{$random}" class="ptsc_table_group alt-06-basic-group {if $featured eq "yes"}featured{/if}
{if $group.enable_table_carousel eq "1"} ptsc_have_carousel {/if}
{if $group.enable_table_dots eq "1"} ptsc_have_dots {/if}
{if $group.plans|count eq 1}one_col
{elseif $group.plans|count eq 2}two_cols
{elseif $group.plans|count eq 3}three_cols
{elseif $group.plans|count eq 4}four_cols
{/if}"
     data-ptsc-hide-mobile="{$group.hide_width_slider}">
    <div class="ptsc_comparison_table_row">
        <h2 class="ptsc_group_title">{$group.name}</h2>
    </div>
    <div class="ptsc_price_toggle">
        <div class="holder">
            {$group.duration_toggle}
        </div>
    </div>
    <div class="ptsc_table_group_row {if $group.enable_table_carousel eq "1"}ptsc_group_carousel{/if}">
        {foreach from=$group.plans item=plan}
            <div class="ptsc_table_group_col">
                <div class="ptsc ptsc_pricing_table alt-06 {if $plan.featured eq "yes"}featured{/if}">
                    <div class="popular">
                        {$plan.featured_text}</div>
                    <div class="pricing_table_heading">
                        <div class="holder">
                            <h2><i class="fa {$plan.sub_icon}"></i> {$plan.product_name}</h2>
                        </div>
                    </div>
                    <div class="pricing_table_detail">
                        <div class="holder">
                            {*<p>{$plan.product_detail}</p>*}
                        </div>
                    </div>
                    {$plan.multi_price}
                    {*<div class="pricing_table_price ptsc_price_table">*}
                        {*<span class="currency">{$prefix}</span><span class="amount">{$amount}</span>{if $fraction ne ""}<span*}
                            {*class="decimal">{$decimal}</span><span class="fraction">{$fraction}</span>{/if}<span class="duration">{$duration}</span>*}
                        {*{foreach $plan.all_durations as $duration_key => $duration}*}
                            {*<div class="holder {$duration_key} {if $duration@index ne 0}ptsc_hidden{/if}">*}
                                {*<span class="currency">{$plan.prefix}</span><span class="amount">{$duration.price.amount}</span>{if $duration.price.fraction ne ""}<span*}
                                        {*class="decimal">{$plan.decimal}</span><span class="fraction">{$duration.price.fraction}</span>{/if}<span class="duration">{$duration.price.duration}</span>*}
                            {*</div>*}
                        {*{/foreach}*}

                        {*<!-- price sub text -->*}
                        {*{if $plan.price_sub_text ne ""}*}
                            {*<div class="duration">*}
                                {*{$plan.price_sub_text}*}
                            {*</div>*}
                        {*{/if}*}
                        {*<!-- /price sub text -->*}

                    {*</div>*}
                    {if $plan.product_detail ne "" || $plan.product_tag_line ne ""}
                        <div class="pricing_table_detail">
                            <div class="holder">
                                {if $plan.product_detail ne ""}
                                    {$plan.product_detail}
                                {elseif $plan.product_tag_line ne ""}
                                    {$plan.product_tag_line}
                                {/if}
                            </div>
                        </div>
                    {/if}
                    <div class="pricing_table_combo">
                        <div class="holder">
                                {$plan.product_order_button}
                        </div>
                    </div>
                    {if $plan.process_description|lower eq "yes"}
                        <div class="pricing_table_features">
                            <div class="holder">
                                <ul>
                                    {if $plan.description_process eq "true"}
                                        {foreach $plan.split_description as $desc}
                                            <li class="{if $group.enable_tooltips eq 'yes' } ptsc_has_tooltip{/if}">
                    <span class="ptsc_description_title">
                        {if $plan.show_description_icon eq 'yes' and $desc.icon_class ne ''}
                            <i class="{$desc.icon_class}"></i>
                        {/if}
                        {*
                        {if $desc.icon_class ne 'yes' || $desc.icon_class eq ''}
                            <i class="--replace here--"></i>
                        {/if}
                        *}

                        {$desc.feature_title}
                        {if $group.enable_tooltips eq 'yes' and $desc.tooltip_text ne '' }
                            <span class="ptsc_tooltip">{$desc.tooltip_text}</span>
                        {/if}
                        {if $desc.feature_value ne "" }: {/if}
                    </span>
                                                <span class="ptsc_description_value">{$desc.feature_value}</span>
                                            </li>
                                        {/foreach}
                                    {else}
                                        {foreach $plan.description as $desc}
                                           <li><span class="ptsc_description_value">{$desc}</span></li>
                                        {/foreach}
                                    {/if}

                                </ul>
                            </div>
                        </div>
                    {else}
                        {$plan.product_description}
                    {/if}
                </div>  <!-- /.price-table -->
            </div>
        {/foreach}
    </div>
</div>
{if $group.enable_table_carousel eq "1"}
    <script>
        runCarousel(jQuery('#group_{$random}'));
    </script>
{/if}
<script>
    jQuery(document).ready(function () {
        slider_toggle(jQuery('#group_{$random}'));
        dropdownToggle(jQuery('#group_{$random}'));
        toggleTableGroupPrice(jQuery('#group_{$random}'));
    });
</script>