<?php
/**
 * Created by PhpStorm.
 * User: Zain Ul Abidin
 * Date: 2/22/2021
 * Time: 7:25 PM
 */

namespace ElementorPtsc\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if (!defined('ABSPATH')) exit; // Exit if accessed directly

/**
 * Elementor Hello World
 *
 * Elementor widget for hello world.
 *
 * @since 1.0.0
 */
class Makli_Order extends Widget_Base
{
    /**
     * Retrieve the widget name.
     *
     * @since 1.0.0
     *
     * @access public
     *
     * @return string Widget name.
     */
    public function get_name()
    {
        return 'makli-order';
    }

    /**
     * Retrieve the widget title.
     *
     * @since 1.0.0
     *
     * @access public
     *
     * @return string Widget title.
     */
    public function get_title()
    {
        return __('Makli Order', 'ptsc');
    }

    /**
     * Retrieve the widget icon.
     *
     * @since 1.0.0
     *
     * @access public
     *
     * @return string Widget icon.
     */
    public function get_icon()
    {
        return 'eicon-posts-ticker';
    }

    /**
     * Retrieve the list of categories the widget belongs to.
     *
     * Used to determine where to display the widget in the editor.
     *
     * Note that currently Elementor supports only one category.
     * When multiple categories passed, Elementor uses the first one.
     *
     * @since 1.0.0
     *
     * @access public
     *
     * @return array Widget categories.
     */
    public function get_categories()
    {
        return ['ptsc'];
    }

    /**
     * Retrieve the list of scripts the widget depended on.
     *
     * Used to set scripts dependencies required to run the widget.
     *
     * @since 1.0.0
     *
     * @access public
     *
     * @return array Widget scripts dependencies.
     */
    public function get_script_depends()
    {
        return ['ptsc'];
    }

    /**
     * Register the widget controls.
     *
     * Adds different input fields to allow the user to change and customize the widget settings.
     *
     * @since 1.0.0
     *
     * @access protected
     */
    protected function _register_controls()
    {

        $this->start_controls_section(
            'general',
            [
                'label' => __('General', 'ptsc'),
            ]
        );

        $this->add_control(
            'style',
            [
                'label' => __('HTML Template', 'ptsc'),
                'type' => \Elementor\Controls_Manager::SELECT,
                'default' => '',
                'options' => [
                    'default.tpl' => __('Default', 'ptsc'),
                ],
            ]
        );


        $this->add_control(
            'hide_product',
            [
                'label' => __('Hide Product', 'ptsc'),
                'type' => \Elementor\Controls_Manager::SELECT,
                'default' => 'no',
                'options' => [
                    'yes' => __('Yes', 'ptsc'),
                    'no' => __('No', 'ptsc'),
                ],
            ]
        );

        $this->add_control(
            'pid',
            [
                'label' => __('Product ID', 'ptsc'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => __('', 'ptsc'),
            ]
        );

        $this->add_control(
            'billingcycle',
            [
                'label' => __('Billing Cyle', 'ptsc'),
                'type' => \Elementor\Controls_Manager::SELECT,
                'default' => 'monthly',
                'options' => [
                    'monthly' => __('Monthly', 'ptsc'),
                    'quarterly' => __('Quarterly',"ptsc"),
                    'semiannually' => __('Semi Annually',"ptsc"),
                    'annually' => __('Annually',"ptsc"),
                    'biennially' => __('Bi Annually',"ptsc"),
                    'triennially' => __('Tri Annually',"ptsc"),
                ],
            ]
        );

        $this->end_controls_section();

    }

    /**
     * Render the widget output on the frontend.
     *
     * Written in PHP and used to generate the final HTML.
     *
     * @since 1.0.0
     *
     * @access protected
     */
    protected function render()
    {
        $settings = $this->get_settings_for_display();
        echo '<div class="">';
        $style = '';
        $hide_product = '';
        $pid = '';
        $billingcycle = '';



        echo do_shortcode('[makli_cart_single_page style="' . $style . '" hide_product="' . $hide_product . '" 
        pid="' . $pid . '" billingcycle="' . $billingcycle . '" ]');
        echo '</div>';
    }

    /**
     * Render the widget output in the editor.
     *
     * Written as a Backbone JavaScript template and used to generate the live preview.
     *
     * @since 1.0.0
     *
     * @access protected
     */
    protected function _content_template()
    {
        ?>
        <div class="title">
            {{{ settings.$style }}}
            {{{ settings.$hide_product }}}
            {{{ settings.$pid }}}
            {{{ settings.$billingcycle }}}


        </div>
        <?php
    }
}